

var chart_green  = 'rgb(71, 209, 71)';
var chart_pink   = 'rgb(255, 0, 255)';
var chart_yellow = 'rgb(255, 255, 102)';
var chart_red    = 'rgb(255, 0, 0)';
var chart_brown  = 'rgba(150, 4, 60, 0.8)';


// chart_doughnut_3('div_chart_Env_prog','chart_Env_prog' , 160,10,519,'Done','Issue','Planned',chart_green,chart_pink,chart_yellow , 'env_prog_trgt_span' , 203 , 'env_prog_gap_span' , 25 , 'env_prog_taux_span' , '+02,72');
//
// chart_doughnut_3('div_chart_Env_acc','chart_Env_acc' , 90,10,60,'Accepted','Rejected','On check',chart_green,chart_red,chart_brown , 'env_acc_trgt_span' , 160 , 'env_acc_gap_span' , 10 , 'env_acc_taux_span' , '+01,63');
//
// chart_doughnut_3('div_chart_Telco_prog','chart_Telco_prog' , 264,0,418,'Done','Issue','Planned',chart_green,chart_pink,chart_yellow , 'Telco_prog_trgt_span' , 322 , 'Telco_prog_gap_span' , 58, 'Telco_prog_taux_span' , '+01,09');
//
// chart_doughnut_3('div_chart_Telco_acc','chart_Telco_acc' , 160,50,8,'Accepted','Rejected','On check',chart_green,chart_red,chart_brown , 'Telco_acc_trgt_span' , 264 , 'Telco_acc_gap_span' , 104, 'Telco_acc_taux_span' , '+01,28');


function chart_doughnut_3( div_canvas , canva , v1 , v2 , v3 , l1 , l2 , l3 , c1 , c2 , c3 ,trgt , vtrgt , gap , vgap , taux , vtaux) {

    var chart_data = {
        labels:[l1, l2, l3],
        datasets:[
            {
                label:'',
                backgroundColor: [
                    c1,c2,c3
                ],

                data: [v1 , v2 , v3 ],
                //borderColor: 'black',
                borderWidth: 1.5,
                borderRadius : 2
            }
        ]
    };

    var canv_myChart = document.getElementById(canva);
    canv_myChart.remove();

    var div_chart = document.getElementById(div_canvas);
    div_chart.innerHTML = '<canvas id='+canva+'></canvas>';

    var group_chart = document.getElementById(canva);

    var optionspie = {
        maintainAspectRatio: false,

        plugins: {
            datalabels: {
                color: 'black',
                labels: {
                    title: {
                        font: {
                            weight: 'bold',

                        }
                    },
                    value: {
                        color: 'green'
                    }
                }
            },
            legend : {
                position : 'right',
                labels : {boxWidth : 20 ,
                    // usePointStyle : true , pointStyle : 'circle'
                }
            }
        }
    };

    var graph_chart = new Chart(group_chart, {
        type:"doughnut",
        data:chart_data,
        options:optionspie,
        plugins: [ChartDataLabels]
    });

    document.getElementById(trgt).innerHTML = vtrgt;
    document.getElementById(gap).innerHTML = vgap;
    document.getElementById(taux).innerHTML = vtaux+' % ';

    if(vgap>0){ document.getElementById(gap).style.color = 'red'; }
    if( parseFloat(vtaux)>0){
        document.getElementById(taux).style.color = '#47D147';
        // document.getElementById("env_prog_trending_up").style.display = 'block';
        // document.getElementById("env_prog_trending_down").style.display = 'none';
    } else
        if ( parseFloat(vtaux)<0)
        {
            document.getElementById(taux).style.color = 'red';
            // document.getElementById("env_prog_trending_up").style.display = 'none';
            // document.getElementById("env_prog_trending_down").style.display = 'block';
        }
}





function chart_bar_3( div_canvas , canva , v1 , v2 , v3 , l1 , l2 , l3 , c1 , c2 , c3 ,trgt , vtrgt , gap , vgap , taux , vtaux) {

    var chart_data = {
        labels:[l1, l2, l3],
        datasets:[
            {
                label:'Vote',
                backgroundColor: [
                    c1,c2,c3
                ],

                data: [v1 , v2 , v3 ],
                //borderColor: 'black',
                borderWidth: 1.5,
                borderRadius : 2
            }
        ]
    };

    var canv_myChart = document.getElementById(canva);
    canv_myChart.remove();

    var div_chart = document.getElementById(div_canvas);
    div_chart.innerHTML = '<canvas id='+canva+'></canvas>';

    var group_chart = document.getElementById(canva);

    var optionspie = {
        maintainAspectRatio: false,

        plugins: {
            datalabels: {
                color: 'black',
                labels: {
                    title: {
                        font: {
                            weight: 'bold',

                        }
                    },
                    value: {
                        color: 'green'
                    }
                }
            },
            legend : {
                position : 'right',
                labels : {boxWidth : 20 ,
                    // usePointStyle : true , pointStyle : 'circle'
                }
            }
        }
    };

    var graph_chart = new Chart(group_chart, {
        type:"bar",
        data:chart_data,
        options:optionspie,
        plugins: [ChartDataLabels]
    });

    document.getElementById(trgt).innerHTML = vtrgt;
    document.getElementById(gap).innerHTML = vgap;
    document.getElementById(taux).innerHTML = vtaux+' % ';

    if(vgap>0){ document.getElementById(gap).style.color = 'red'; }
    if( parseFloat(vtaux)>0){
        document.getElementById(taux).style.color = '#47D147';
        // document.getElementById("env_prog_trending_up").style.display = 'block';
        // document.getElementById("env_prog_trending_down").style.display = 'none';
    } else
        if ( parseFloat(vtaux)<0)
        {
            document.getElementById(taux).style.color = 'red';
            // document.getElementById("env_prog_trending_up").style.display = 'none';
            // document.getElementById("env_prog_trending_down").style.display = 'block';
        }
}

function chart_bar_3_stacked(div_canvas, canva, v1, v2, v3, v4, v5, v6, l1, l2, l3, l4, l5, l6, c1, c2, c3, c4, c5, c6, trgt, vtrgt, gap, vgap, taux, vtaux) {

    var chart_data = {
        labels: [l1, l2, l3],
        datasets: [{
            label: 'Vote 1',
            backgroundColor: c1,
            data: [v1, v2, v3],
            borderWidth: 1,
        },
            {
                label: 'Vote 2',
                backgroundColor: c2,
                data: [v4, v5, v6],
                borderWidth: 1,
            }
        ]
    };

    var canv_myChart = document.getElementById(canva);
    canv_myChart.remove();

    var div_chart = document.getElementById(div_canvas);
    div_chart.innerHTML = '<canvas id=' + canva + '></canvas>';

    var group_chart = document.getElementById(canva);

    var optionspie = {
        maintainAspectRatio: false,
        plugins: {
            datalabels: {
                color: 'black',
                labels: {
                    title: {
                        font: {
                            weight: 'bold',

                        }
                    },
                    value: {
                        color: 'green'
                    }
                }
            },
            legend: {
                position: 'right',
                labels: {
                    boxWidth: 20,
                }
            }
        },
        scales: {
            xAxes: [{
                stacked: true
            }],
            yAxes: [{
                stacked: true
            }]
        }
    };

    var graph_chart = new Chart(group_chart, {
        type: "bar",
        data: chart_data,
        options: optionspie,
        plugins: [ChartDataLabels]
    });

    document.getElementById(trgt).innerHTML = vtrgt;
    document.getElementById(gap).innerHTML = vgap;
    document.getElementById(taux).innerHTML = vtaux + ' % ';

    if (vgap > 0) {
        document.getElementById(gap).style.color = 'red';
    }
    if (parseFloat(vtaux) > 0) {
        document.getElementById(taux).style.color = '#47D147';
    } else if (parseFloat(vtaux) < 0) {
        document.getElementById(taux).style.color = 'red';
    }
}

function chart_bar_atp_2( div_canvas , canva , v1 , v2 , l1 , c1 , c2 ) {

    var chart_data = {
        labels:l1,
        datasets:[
            {
                label:'Accepted',
                backgroundColor: c1,
                data: v1,
                //borderColor: 'black',
                borderWidth: 1.5,
                borderRadius : 2
            },
            {
                label:'Rejected',
                backgroundColor: c2,
                data: v2,
                //borderColor: 'black',
                borderWidth: 1.5,
                borderRadius : 2
            }
        ]
    };

    var canv_myChart = document.getElementById(canva);
    canv_myChart.remove();

    var div_chart = document.getElementById(div_canvas);
    div_chart.innerHTML = '<canvas id='+canva+'></canvas>';

    var group_chart = document.getElementById(canva);

    var optionsbar2 = {
        //***************
        plugins: {
            datalabels: {
                color: 'black',
                labels: {
                    title: {
                        font: {
                            weight: 'bold',

                        }
                    },
                    value: {
                        color: 'green'
                    }
                }
            },
            legend : {
                position : 'right',
                labels : {boxWidth : 20 ,
                    // usePointStyle : true , pointStyle : 'circle'
                }
            }
        },
        legend: {
            labels: {
                fontColor: "000000",
                fontSize: 16
            }
        },
        //***************
        responsive:true,
        scales: {
            x: {
                stacked: true ,// this should be set to make the bars stacked

            },
            y: {
                stacked: true, // this also..
                beginAtZero: true
                // ticks: {
                //     major: {
                //       fontStyle: 'bold',
                //       fontColor: '#FF0000'
                //     }
                //   }
            }

        },

    };

    var graph_chart = new Chart(group_chart, {
        type:"bar",
        data:chart_data,
        options:optionsbar2,
        plugins: [ChartDataLabels]
    });

}


function formatCurrentDate() {
    var d = new Date(),
        month = '' + (d.getMonth() + 1),
        day = '' + d.getDate(),
        year = d.getFullYear();

    if (month.length < 2)
        month = '0' + month;
    if (day.length < 2)
        day = '0' + day;

    return [month , day , year ].join('/');
}

function datediff(first, second) {
    // Take the difference between the dates and divide by milliseconds per day.
    // Round to nearest whole number to deal with DST.
    return Math.round((second-first)/(1000*60*60*24));
}

function getNumberOfDays(start, end) {
    const date1 = new Date(start);
    const date2 = new Date(end);

    // One day in milliseconds
    const oneDay = 1000 * 60 * 60 * 24;

    // Calculating the time difference between two dates
    const diffInTime = date2.getTime() - date1.getTime();

    // Calculating the no. of days between two dates
    const diffInDays = Math.round(diffInTime / oneDay);

    return diffInDays;
}