<?php

 $q = $_GET['q'];
 $date = $_GET['d'];

//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;

  //style array start

  $cellBlackYellow = [
     'font'=>[
         'color'=>[
              'rgb'=>'FFFFFF'
            ],
        ],
     'fill'=> [

              'startColor' =>[
                  'rgb'=>'358ED5'
               ],
          ],
  ];



  $styleArray = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),

);

$redWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'ff0000')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $greenWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '00b33c')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $grayWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '333333')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $blackYellow = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '000000')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFA500'),
        'size'  => 11,
        'name'  => 'Verdana'
         ) ,
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $Yellowblack = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'FFA500')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );



   $borderCell = array(
            'borders' => array(
                'allborders' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),

            'font'  => array(

        'color' => array('rgb' => '000000'),
        'size'  => 10,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );
  //style array end.



//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet()->setTitle('Daily Progress '.$dpdate);

$spreadsheet->getActiveSheet()->setAutoFilter('A6:AA889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(20);

//set default font
$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);

//set column dimension to auto size
/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('A')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('B')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);*/
$spreadsheet->getActiveSheet()
            ->getColumnDimension('E')
            ->setAutoSize(true);

/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('F')
            ->setAutoSize(true);*/

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');



$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"$q")
            ->getColumnDimension('A')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('A6:A6')->applyFromArray($grayWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('B6',"Planned date")
            ->getColumnDimension('B')->setWidth('5');
$spreadsheet->getActiveSheet()->getStyle('B6:B6')->applyFromArray($grayWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('C6',"CR")
            ->getColumnDimension('C')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('C6:C6')->applyFromArray($grayWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('D6',"WILAYA")
            ->getColumnDimension('D')->setWidth('15');
$spreadsheet->getActiveSheet()->getStyle('D6:D6')->applyFromArray($grayWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('E2',"Total planned");
$spreadsheet->getActiveSheet()->getStyle('E2:E2')->applyFromArray($blackYellow);

$spreadsheet->getActiveSheet()
            ->setCellValue('E3','=SUBTOTAL(3,E7:E889)');
$spreadsheet->getActiveSheet()->getStyle('E3:E3')->applyFromArray($Yellowblack);

$spreadsheet->getActiveSheet()
            ->setCellValue('E4','OK/DONE');
$spreadsheet->getActiveSheet()->getStyle('E4:E4')->applyFromArray($blackYellow);

$spreadsheet->getActiveSheet()
            ->setCellValue('E5','GAP/NOK');
$spreadsheet->getActiveSheet()->getStyle('E5:E5')->applyFromArray($blackYellow);

$spreadsheet->getActiveSheet()
            ->setCellValue('E6',"Site ID");
$spreadsheet->getActiveSheet()->getStyle('E6:E6')->applyFromArray($grayWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('F3',"PM ENV");
$spreadsheet->getActiveSheet()->getStyle('F3:F3')->applyFromArray($grayWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F4','=COUNTIF(F7:F644,"=Done")');
$spreadsheet->getActiveSheet()->getStyle('F4:F4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F5','=E3-F4');
$spreadsheet->getActiveSheet()->getStyle('F5:F5')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F6','PM ENV');
$spreadsheet->getActiveSheet()->getStyle('F6:F6')->applyFromArray($grayWhite);

//*********GGGGGGGGGG**********

 $spreadsheet->getActiveSheet()
            ->setCellValue('G3','Correction');
$spreadsheet->getActiveSheet()->getStyle('G3:G3')->applyFromArray($greenWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G4','=COUNTIF(G7:G644,"=Done")');
$spreadsheet->getActiveSheet()->getStyle('G4:G4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G5','=S5-G4');
$spreadsheet->getActiveSheet()->getStyle('G5:G5')->applyFromArray($redWhite);

 $spreadsheet->getActiveSheet()
            ->setCellValue('G6','Correction');
$spreadsheet->getActiveSheet()->getStyle('G6:G6')->applyFromArray($greenWhite);

//*********HHHHH******

 $spreadsheet->getActiveSheet()
            ->setCellValue('H6','issue');
$spreadsheet->getActiveSheet()->getStyle('H6:H6')->applyFromArray($grayWhite);

//********IIIIIII****************

$spreadsheet->getActiveSheet()
            ->setCellValue('I3',"EA")
            ->getColumnDimension('I')->setWidth('5');
$spreadsheet->getActiveSheet()->getStyle('I3:I3')->applyFromArray($grayWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I4','=COUNTIF(I7:I889,"=OK")');
$spreadsheet->getActiveSheet()->getStyle('I4:I4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I5','=COUNTIF(I7:I889,"=NOK")');
$spreadsheet->getActiveSheet()->getStyle('I5:I5')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I6','EA')
            ->getStyle('I6:I6')->applyFromArray($grayWhite);


//***********JJJJJJ**************

$spreadsheet->getActiveSheet()
            ->setCellValue('j3',"Equipement")
             ->getColumnDimension('I')->setWidth('5');
$spreadsheet->getActiveSheet()->getStyle('j3:j3')->applyFromArray($grayWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('j4','Les alarmes sont renvoyes sur quel equioements');
$spreadsheet->getActiveSheet()->getStyle('j4:j4')->applyFromArray($redWhite)
            ->getAlignment()->setWrapText(true);



$spreadsheet->getActiveSheet()
            ->setCellValue('j5','');
$spreadsheet->getActiveSheet()->getStyle('j5:j5')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('j6','Equipement')
            ->getStyle('j6:j6')->applyFromArray($grayWhite);


//********KKKKKKKKKK****************

$spreadsheet->getActiveSheet()
            ->setCellValue('k3',"Checklist BSS SM9")
            ->getColumnDimension('k')->setWidth('25');
$spreadsheet->getActiveSheet()->getStyle('k3:k3')->applyFromArray($grayWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('K4','=COUNTIF(K7:K889,"=OK")');
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('K5','=COUNTIF(K7:K889,"=NOK")');
$spreadsheet->getActiveSheet()->getStyle('K5:K5')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('K6','Checklist BSS SM9')
            ->getStyle('K6:K6')->applyFromArray($grayWhite);


//********lllllllllll****************

$spreadsheet->getActiveSheet()
            ->setCellValue('L3',"Mesure de terre")
            ->getColumnDimension('L')->setWidth('22');
$spreadsheet->getActiveSheet()->getStyle('L3:L3')->applyFromArray($grayWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L4','=COUNTIF(L7:L889,"=Done")');
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L5','=E3-L4');
$spreadsheet->getActiveSheet()->getStyle('L5:L5')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L6','Mesure de terre')
            ->getStyle('L6:L6')->applyFromArray($grayWhite);


//********MMMMMMMMM****************

$spreadsheet->getActiveSheet()
            ->setCellValue('M3',"Config PS")
            ->getColumnDimension('M')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('M3:M3')->applyFromArray($grayWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M4','=COUNTIF(M7:M889,"=OK")');
$spreadsheet->getActiveSheet()->getStyle('M4:M4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M5','=COUNTIF(M7:M889,"=NOK")');
$spreadsheet->getActiveSheet()->getStyle('M5:M5')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M6','Config PS')
            ->getStyle('M6:M6')->applyFromArray($grayWhite);



//*********NNNNNNNNNNNN**********

 $spreadsheet->getActiveSheet()
            ->setCellValue('N3','Done PM Global')
            ->getColumnDimension('N')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('N3:N3')->applyFromArray($greenWhite);

 $spreadsheet->getActiveSheet()
             ->setCellValue('N4','=COUNTIF(N7:N889,"=DONE")')
             ->getStyle('N4:N4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('N5','=E3-N4');
$spreadsheet->getActiveSheet()->getStyle('N5:N5')->applyFromArray($redWhite);

 $spreadsheet->getActiveSheet()
            ->setCellValue('N6','Done PM Global');
$spreadsheet->getActiveSheet()->getStyle('N6:N6')->applyFromArray($greenWhite);



//*********OOOOOOOOOO**********

$spreadsheet->getActiveSheet()
            ->setCellValue('O6','Executed date')
            ->getColumnDimension('O')->setWidth('22');
$spreadsheet->getActiveSheet()->getStyle('O6:O6')->applyFromArray($grayWhite);


//*********PPPPPPPPPPPPP**********

$spreadsheet->getActiveSheet()
            ->setCellValue('P6','Date correction')
            ->getColumnDimension('P')->setWidth('22');
$spreadsheet->getActiveSheet()->getStyle('P6:P6')->applyFromArray($greenWhite);



//*********QQQQQQQQQQQQQQ**********

$spreadsheet->getActiveSheet()
            ->setCellValue('Q6','FM Oprema acount')
            ->getColumnDimension('Q')->setWidth('25');
$spreadsheet->getActiveSheet()->getStyle('Q6:Q6')->applyFromArray($grayWhite);

//*********RRRRRRRRRRRRR**********

$spreadsheet->getActiveSheet()
            ->setCellValue('R6','Check BSS Date')
            ->getColumnDimension('R')->setWidth('25');
$spreadsheet->getActiveSheet()->getStyle('R6:R6')->applyFromArray($grayWhite);

//*********SSSSSSSSSSSSS**********

$spreadsheet->getActiveSheet()
            ->setCellValue('S6','Check BSS Correction')
            ->getColumnDimension('S')->setWidth('25');
$spreadsheet->getActiveSheet()->getStyle('S6:S6')->applyFromArray($grayWhite);

//*********TTTTTTTTTTTTT**********

$spreadsheet->getActiveSheet()
            ->setCellValue('T6','FME s')
            ->getColumnDimension('T')->setWidth('25');
$spreadsheet->getActiveSheet()->getStyle('T6:T6')->applyFromArray($grayWhite);

//*********UUUUUUUUUUUUUU**********

$spreadsheet->getActiveSheet()
            ->setCellValue('U6','TL s')
            ->getColumnDimension('U')->setWidth('25');
$spreadsheet->getActiveSheet()->getStyle('U6:U6')->applyFromArray($grayWhite);

//********VVVVVVVVVVVVVVVVVV****************

$spreadsheet->getActiveSheet()
            ->setCellValue('V3',"Status report")
            ->getColumnDimension('V')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('V3:V3')->applyFromArray($grayWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('V4','=COUNTIF(V7:V889,"=Completed")');
$spreadsheet->getActiveSheet()->getStyle('V4:V4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('V5','=COUNTIF(V7:V889,"=Not completed")');
$spreadsheet->getActiveSheet()->getStyle('V5:V5')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('V6','Status report')
            ->getStyle('V6:V6')->applyFromArray($grayWhite);




//********WWWWWWWWWWWWWWWWWWWW****************

$spreadsheet->getActiveSheet()
            ->setCellValue('W3',"Acceptance")
            ->getColumnDimension('W')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('W3:W3')->applyFromArray($grayWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('W4','=COUNTIF(W7:S889,"=Approved")');
$spreadsheet->getActiveSheet()->getStyle('W4:W4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('W5','=COUNTIF(W7:S889,"=Not approved")');
$spreadsheet->getActiveSheet()->getStyle('W5:W5')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('W6','Acceptance')
            ->getStyle('W6:W6')->applyFromArray($grayWhite);



//*********XXXXXXXXXXXXXXXXXXX**********

 $spreadsheet->getActiveSheet()
            ->setCellValue('X3','PM SM9')
            ->getColumnDimension('X')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('X3:X3')->applyFromArray($greenWhite);

 $spreadsheet->getActiveSheet()
             ->setCellValue('X4','=COUNTIF(X7:X889,"=DONE")')
             ->getStyle('X4:X4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('X5','=W4-X4');
$spreadsheet->getActiveSheet()->getStyle('X5:X5')->applyFromArray($redWhite);

 $spreadsheet->getActiveSheet()
            ->setCellValue('X6','PM SM9');
$spreadsheet->getActiveSheet()->getStyle('X6:X6')->applyFromArray($greenWhite);



//********YYYYYYYYYYYYYYYYYY****************

$spreadsheet->getActiveSheet()
            ->setCellValue('Y3',"Correction report")
            ->getColumnDimension('Y')->setWidth('25');
$spreadsheet->getActiveSheet()->getStyle('Y3:Y3')->applyFromArray($grayWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('Y4','=COUNTIF(Y7:Y889,"=PPT")');
$spreadsheet->getActiveSheet()->getStyle('Y4:Y4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('Y5','=COUNTIF(Y7:Y889,"=Oprema")');
$spreadsheet->getActiveSheet()->getStyle('Y5:Y5')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('Y6','Correction report')
            ->getStyle('Y6:Y6')->applyFromArray($grayWhite);



//*********ZZZZZZZZZZZZZZZZZZZZ**********

 $spreadsheet->getActiveSheet()
            ->setCellValue('Z3','Correction SM9')
            ->getColumnDimension('Z')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('Z3:Z3')->applyFromArray($greenWhite);

 $spreadsheet->getActiveSheet()
             ->setCellValue('Z4','=COUNTIF(Z7:Z889,"=DONE")')
             ->getStyle('Z4:Z4')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('Z5','=Y4-Y4');
$spreadsheet->getActiveSheet()->getStyle('Z5:Z5')->applyFromArray($redWhite);

 $spreadsheet->getActiveSheet()
            ->setCellValue('Z6','Correction SM9');
$spreadsheet->getActiveSheet()->getStyle('Z6:Z6')->applyFromArray($greenWhite);



//*********AA AA AA AA AA AA AA **********

$spreadsheet->getActiveSheet()
            ->setCellValue('AA6','First check reserves')
            ->getColumnDimension('AA')->setWidth('60');
$spreadsheet->getActiveSheet()->getStyle('AA6:AA6')->applyFromArray($grayWhite);


//*********AB AB AB AB AB AB AB **********

$spreadsheet->getActiveSheet()
            ->setCellValue('AB6','Coordinateur')
            ->getColumnDimension('AB')->setWidth('25');
$spreadsheet->getActiveSheet()->getStyle('AB6:AB6')->applyFromArray($grayWhite);


//*********AC AC AC AC AC AC AC **********

$spreadsheet->getActiveSheet()
            ->setCellValue('AC6','Adresse')
            ->getColumnDimension('AC')->setWidth('100');
$spreadsheet->getActiveSheet()->getStyle('AC6:AC6')->applyFromArray($grayWhite);



//*********AD AD AD AD AD AD AD **********

$spreadsheet->getActiveSheet()
            ->setCellValue('AD6','priorite Q4')
            ->getColumnDimension('AD')->setWidth('25');
$spreadsheet->getActiveSheet()->getStyle('AD6:AD6')->applyFromArray($grayWhite);



//*********AE AE AE AE AE AE AE **********

$spreadsheet->getActiveSheet()
            ->setCellValue('AE6','Topologie')
            ->getColumnDimension('AE')->setWidth('25');
$spreadsheet->getActiveSheet()->getStyle('AE6:AE6')->applyFromArray($grayWhite);


//************ loop start ***********


$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
mysqli_set_charset( $connect, "utf8" );

$query = "SELECT * FROM progresspmbss2021 WHERE quarter = '$q' and PM_date='$date'  or `BSS_SM9_date`='$date' ";

$statement = mysqli_query($connect,$query);

if(mysqli_num_rows($statement) > 0) {
    $i = 7;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'PROTECH');
        $spreadsheet->getActiveSheet()->setCellValue('B'.$i , $row['plannedDate']);
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i , $row['cr']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i , $row['wilaya']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i , $row['siteId']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i , $row['PM_ENV']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i , $row['correction']);
/*        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['siteId'])->getStyle('H'.$i.':H'.$i)->applyFromArray($borderCell);*/
/*        $spreadsheet->getActiveSheet()->setCellValue('I'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell); */
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['equipement']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i , $row['CheckBSSSM9']);
        $spreadsheet->getActiveSheet()->setCellValue('L'.$i , $row['MesureDeTerre']);
        $spreadsheet->getActiveSheet()->setCellValue('M'.$i , $row['ConfigPs']);
        $spreadsheet->getActiveSheet()->setCellValue('N'.$i , $row['DonePMGlobale']);
        $spreadsheet->getActiveSheet()->setCellValue('O'.$i , $row['PM_date']);
        $spreadsheet->getActiveSheet()->setCellValue('P'.$i , $row['PMcorrection_date']);
        $spreadsheet->getActiveSheet()->setCellValue('Q'.$i , $row['PM_ENV_Emp']);
        $spreadsheet->getActiveSheet()->setCellValue('R'.$i , $row['BSS_SM9_date']);
        $spreadsheet->getActiveSheet()->setCellValue('S'.$i , $row['BSS_correction']);
        $spreadsheet->getActiveSheet()->setCellValue('T'.$i , $row['BSS_SM9_Emp']);
        $spreadsheet->getActiveSheet()->setCellValue('U'.$i , $row['FMOpremaAcount']);
        $spreadsheet->getActiveSheet()->setCellValue('V'.$i , $row['StatusReport']);
        $spreadsheet->getActiveSheet()->setCellValue('W'.$i , $row['Acceptance']);
        $spreadsheet->getActiveSheet()->setCellValue('X'.$i , $row['PMSM9']);
        $spreadsheet->getActiveSheet()->setCellValue('Y'.$i , $row['CorrectionReport']);
        $spreadsheet->getActiveSheet()->setCellValue('Z'.$i , $row['CorrectionSM9']);
        $spreadsheet->getActiveSheet()->setCellValue('AA'.$i , $row['FirstCheckReserve']);
        $spreadsheet->getActiveSheet()->setCellValue('AB'.$i , $row['PM_ENV_Coord']);
        $spreadsheet->getActiveSheet()->setCellValue('AC'.$i , $row['Adresse']);
        $spreadsheet->getActiveSheet()->setCellValue('AD'.$i , $row['Priorite']);
        $spreadsheet->getActiveSheet()->setCellValue('AE'.$i , $row['Topologie']);
        $spreadsheet->getActiveSheet()->getStyle('A'.$i.':AE'.$i)->applyFromArray($styleArray);
       // $spreadsheet->getActiveSheet()->getStyle('A7:AE'.$i)->applyFromArray($styleArray);
        $i++;
    }
}
    $spreadsheet->getActiveSheet()->getStyle('A7:A'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b7:b'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c7:c'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d7:d'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e7:e'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f7:f'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g7:g'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h7:h'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('i7:i'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('j7:j'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('k7:k'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('l7:l'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('m7:m'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('n7:n'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('o7:o'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('p7:p'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('q7:q'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('r7:r'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('s7:s'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('t7:t'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('u7:u'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('v7:v'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('w7:w'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('x7:x'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('y7:y'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('z7:z'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('aa7:aa'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('ab7:ab'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('ac7:ac'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('ad7:ad'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('ae7:ae'.$i)->applyFromArray($styleArray);

    $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);


//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="DAILY PROGRESS PM ENV BSS PROTECH '.$q.'-'.$date.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');