<?php



//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;

  //style array start

  $cellBlackYellow = [
     'font'=>[
         'color'=>[
              'rgb'=>'FFFFFF'
            ],
        ],
     'fill'=> [

              'startColor' =>[
                  'rgb'=>'358ED5'
               ],
          ],
  ];


  $styleArray = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),

);


$redWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'b30000')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Arial'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

$WhiteTitle = array(
            /*'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),*/
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'FFFFFF')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 18,
        'name'  => 'Arial'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $greenWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '3FFF33')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $grayWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '626462')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $blackYellow = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '000000')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFA500'),
        'size'  => 11,
        'name'  => 'Verdana'
         ) ,
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $Yellowblack = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'FFA500')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );



   $borderCell = array(
            'borders' => array(
                'allborders' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),

            'font'  => array(

        'color' => array('rgb' => '000000'),
        'size'  => 10,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

        $borderCella = array(
            'borders' => array(
                'allborders' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                )
            )
       );
  //style array end.







//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle('Invoicing Variable Charge');
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(80);
/*$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);*/
$spreadsheet->getActiveSheet()->getRowDimension('1')->setVisible(false);
$spreadsheet->getActiveSheet()->getRowDimension('2')->setVisible(false);
$spreadsheet->getActiveSheet()->getRowDimension('3')->setVisible(false);
$spreadsheet->getActiveSheet()->getRowDimension('4')->setVisible(false);
$spreadsheet->getActiveSheet()->getRowDimension('5')->setVisible(false);
$spreadsheet->getActiveSheet()->getRowDimension('6')->setVisible(false);
$spreadsheet->getActiveSheet()->getRowDimension('7')->setVisible(false);
$spreadsheet->getActiveSheet()->getRowDimension('8')->setVisible(false);
$spreadsheet->getActiveSheet()->getRowDimension('9')->setVisible(false);

$spreadsheet->getActiveSheet()->getStyle('A1:P50')->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)->getStartColor()->setARGB('ffffff');
$spreadsheet->getActiveSheet()->mergeCells('A12:F12');
$spreadsheet->getActiveSheet()
            ->setCellValue('A12','Invoicing Variable Charge');
$spreadsheet->getActiveSheet()->getStyle('A12:A12')->applyFromArray($WhiteTitle);

$spreadsheet->getActiveSheet()
            ->setCellValue('A18','Extars Work Order');
$spreadsheet->getActiveSheet()->getStyle('A17:A19')->applyFromArray($styleArray);
$spreadsheet->getActiveSheet()->getStyle('A21:A31')->applyFromArray($styleArray);

$spreadsheet->getActiveSheet()
            ->setCellValue('A20','Extars Work');
$spreadsheet->getActiveSheet()->getStyle('A20:A20')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('A23','Refueling');
$spreadsheet->getActiveSheet()
            ->setCellValue('A24','PM CM Spare part');
$spreadsheet->getActiveSheet()
            ->setCellValue('A25','GPM Spare part');
$spreadsheet->getActiveSheet()
            ->setCellValue('A26','EW GPM');

$spreadsheet->getActiveSheet()
            ->setCellValue('A27','GPM Visit');
$spreadsheet->getActiveSheet()
            ->setCellValue('A28','Extars Work PM-CM');
$spreadsheet->getActiveSheet()
            ->setCellValue('A29','Installation GE');

$spreadsheet->getActiveSheet()
            ->setCellValue('A30','Extras SNG');

$spreadsheet->getActiveSheet()
            ->setCellValue('A31','Project speciaux');
 $spreadsheet->getActiveSheet()
            ->setCellValue('A32','Total Amount');
$spreadsheet->getActiveSheet()->getStyle('A32:A32')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()
            ->setCellValue('A33','VAT Amount(19%)');
$spreadsheet->getActiveSheet()->getStyle('A33:A33')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()
            ->setCellValue('A34','Final Amount');
$spreadsheet->getActiveSheet()->getStyle('A34:A34')->applyFromArray($redWhite);



$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('36');
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setWidth('21');
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setWidth('21');
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setWidth('21');
$spreadsheet->getActiveSheet()->getColumnDimension('E')->setWidth('21');
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('21');
$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('21');

// **************BBBBBBBBBBBB

$spreadsheet->getActiveSheet()->mergeCells('B15:B16');
$spreadsheet->getActiveSheet()
            ->setCellValue('B15','Qty');

$spreadsheet->getActiveSheet()->getStyle('b17:b31')->applyFromArray($styleArray);

$spreadsheet->getActiveSheet()->getStyle('B15:B16')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('b32:b32')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('b33:b33')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('b34:b34')->applyFromArray($redWhite);

// **************CCCCCCCCCCCCCCCCC

$spreadsheet->getActiveSheet()->mergeCells('C15:C16');
$spreadsheet->getActiveSheet()
            ->setCellValue('C15','Price');

$spreadsheet->getActiveSheet()->getStyle('C17:C31')->applyFromArray($styleArray);

$spreadsheet->getActiveSheet()->getStyle('C15:C16')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('C32:C32')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('C33:C33')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('C34:C34')->applyFromArray($redWhite);


// **************DDDDDDDDDDDDDDDDDDDD

$spreadsheet->getActiveSheet()->mergeCells('D15:D16');
$spreadsheet->getActiveSheet()
            ->setCellValue('D15','Total Amount ( Corrected )');

$spreadsheet->getActiveSheet()->getStyle('D17:D31')->applyFromArray($styleArray);
$spreadsheet->getActiveSheet()
            ->setCellValue('D23','=Refueling!M4');
$spreadsheet->getActiveSheet()->getStyle('D23:D34')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');

$spreadsheet->getActiveSheet()->getStyle('D17:D31')->applyFromArray($styleArray);
$spreadsheet->getActiveSheet()
            ->setCellValue('D24',"='Spare Parts CM-PM'!K4");

$spreadsheet->getActiveSheet()
            ->setCellValue('D25',"='Generator Spare Parts'!K4");

$spreadsheet->getActiveSheet()
            ->setCellValue('D26',"='Extras Work GPM'!K4");

$spreadsheet->getActiveSheet()
            ->setCellValue('D27',"='GPM Visit'!K4");

$spreadsheet->getActiveSheet()
            ->setCellValue('D28',"='Extras Work CM-PM'!K4");

$spreadsheet->getActiveSheet()
            ->setCellValue('D29',"='Installation Portable DG'!K4");

$spreadsheet->getActiveSheet()
            ->setCellValue('D30',"='Extras SNG'!K4");

$spreadsheet->getActiveSheet()
            ->setCellValue('D31',"='Special Project'!K4");

$spreadsheet->getActiveSheet()
            ->setCellValue('D32','=SUM(D23:D31)');

$spreadsheet->getActiveSheet()
            ->setCellValue('D33','=D32*0.19');

$spreadsheet->getActiveSheet()
            ->setCellValue('D34','=D32+D33');

$spreadsheet->getActiveSheet()->getStyle('D15:D16')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('D32:D32')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('D33:D33')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('D34:D34')->applyFromArray($redWhite);


// **************EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE

$spreadsheet->getActiveSheet()->mergeCells('E15:E16');
$spreadsheet->getActiveSheet()
            ->setCellValue('E15','Cancelled Amount ');

$spreadsheet->getActiveSheet()->getStyle('E17:E31')->applyFromArray($styleArray);
$spreadsheet->getActiveSheet()
            ->setCellValue('E23','=Refueling!N4');
$spreadsheet->getActiveSheet()->getStyle('E23:E34')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');

$spreadsheet->getActiveSheet()->getStyle('E17:E31')->applyFromArray($styleArray);
$spreadsheet->getActiveSheet()
            ->setCellValue('E24',"='Spare Parts CM-PM'!L4");

$spreadsheet->getActiveSheet()
            ->setCellValue('E25',"='Generator Spare Parts'!L4");

$spreadsheet->getActiveSheet()
            ->setCellValue('E26',"='Extras Work GPM'!L4");

$spreadsheet->getActiveSheet()
            ->setCellValue('E27',"='GPM Visit'!L4");

$spreadsheet->getActiveSheet()
            ->setCellValue('E28',"='Extras Work CM-PM'!L4");

$spreadsheet->getActiveSheet()
            ->setCellValue('E29',"='Installation Portable DG'!L4");

$spreadsheet->getActiveSheet()
            ->setCellValue('E30',"='Extras SNG'!L4");

$spreadsheet->getActiveSheet()
            ->setCellValue('E31',"='Special Project'!L4");

$spreadsheet->getActiveSheet()
            ->setCellValue('E32','=SUM(D23:D31)');

$spreadsheet->getActiveSheet()
            ->setCellValue('E33','=E32*0.19');

$spreadsheet->getActiveSheet()
            ->setCellValue('E34','=E32+E33');

$spreadsheet->getActiveSheet()->getStyle('E15:E16')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('E32:E32')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('E33:E33')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('E34:E34')->applyFromArray($redWhite);

// **************FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF

$spreadsheet->getActiveSheet()->mergeCells('F15:F16');
$spreadsheet->getActiveSheet()
            ->setCellValue('F15','OA Comments');

$spreadsheet->getActiveSheet()->getStyle('F15:F16')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('F17:F31')->applyFromArray($styleArray);

$spreadsheet->getActiveSheet()
            ->setCellValue('F32','');

$spreadsheet->getActiveSheet()
            ->setCellValue('F33','');

$spreadsheet->getActiveSheet()
            ->setCellValue('F34','');

$spreadsheet->getActiveSheet()->getStyle('F15:F16')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('F32:F32')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('F33:F33')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('F34:F34')->applyFromArray($redWhite);

// **************FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF

$spreadsheet->getActiveSheet()->mergeCells('G15:G16');
$spreadsheet->getActiveSheet()
            ->setCellValue('G15','PROTECH Comments');

$spreadsheet->getActiveSheet()->getStyle('G15:G16')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('G17:G31')->applyFromArray($styleArray);


$spreadsheet->getActiveSheet()->getStyle('G15:G16')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('G32:G32')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('G33:G33')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('G34:G34')->applyFromArray($redWhite);


//********************************   Refueling *************************************************
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(1)->setTitle('Refueling');

$spreadsheet->getActiveSheet()->setAutoFilter('A6:AA889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(85);
/*$spreadsheet->getActiveSheet()->getStyle('N4:N50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('J4:J50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');*/

//set default font
$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);


//set column dimension to auto size
/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('A')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('B')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);*/
$spreadsheet->getActiveSheet()
            ->getColumnDimension('E')
            ->setAutoSize(true);

/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('F')
            ->setAutoSize(true);*/

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(false);
/*$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('15');*/

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');





$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);


$spreadsheet->getActiveSheet()
            ->setCellValue('M4','=SUM(N7:N1000)');
$spreadsheet->getActiveSheet()->getStyle('M4:M4')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('M4:M4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');




$spreadsheet->getActiveSheet()
            ->setCellValue('N4',"=SUM(N7:N1000)");
$spreadsheet->getActiveSheet()->getStyle('N4:N4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()->mergeCells('B2:P2');
$spreadsheet->getActiveSheet()->setCellValue('B2',"REFUELING");
$spreadsheet->getActiveSheet()->getStyle('B2:P2')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()->mergeCells('B4:L4');
$spreadsheet->getActiveSheet()->setCellValue('B4',"Total");
$spreadsheet->getActiveSheet()->getStyle('B4:N4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('M4',"=SUM(M7:M1000)");
$spreadsheet->getActiveSheet()->getStyle('M4:M4')->applyFromArray($redWhite);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"AREA")
            ->getColumnDimension('A')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('A6:A6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('B6',"Region")
            ->getColumnDimension('B')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('B6:B6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('C6',"Wilaya")
            ->getColumnDimension('C')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('C6:C6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('D6',"Site ID")
            ->getColumnDimension('D')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('D6:D6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('E6',"DATE")
            ->getColumnDimension('E')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('E6:E6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F6',"CR")
            ->getColumnDimension('F')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('F6:F6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G6',"Description-Referance")
            ->getColumnDimension('G')->setWidth('35');
$spreadsheet->getActiveSheet()->getStyle('G6:G6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('H6',"Quantity")
            ->getColumnDimension('H')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('H6:H6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I6',"Canceled QTY")
            ->getColumnDimension('I')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('I6:I6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('J6',"Unit Price")
            ->getColumnDimension('J')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('J6:J6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('K6',"Transportation")
            ->getColumnDimension('K')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('K6:K6')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('L6',"Cancelled Transport")
            ->getColumnDimension('L')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('L6:L6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M6',"Total (HT)")
            ->getColumnDimension('M')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('M6:M6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('N6',"Canclled Amount")
            ->getColumnDimension('N')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('N6:N6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('O6',"OA Comments")
            ->getColumnDimension('O')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('O6:O6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('P6',"Protech Comments")
            ->getColumnDimension('P')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('P6:P6')->applyFromArray($redWhite);


//************ loop start ***********

  $fd = $_GET["fd"];
    $td = $_GET["td"];
$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");

$query = "SELECT * FROM `conssite_rel` WHERE cons_type='Refueling' AND `cons_date` BETWEEN '$fd' AND '$td'";

$statement = mysqli_query($connect,$query);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
    $i = 7;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'NORD');

        $spreadsheet->getActiveSheet()->setCellValue('B'.$i , 'OUEST');
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i , $row['wilaya']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i , $row['cons_c_site']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i , $row['cons_date']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i , $row['cons_cr']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i , $row['item']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['cons_qty']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['price']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i , $row['transport_price']);
        $spreadsheet->getActiveSheet()->setCellValue('M'.$i , '=(H'.$i.'*J'.$i.')+K'.$i);
        $spreadsheet->getActiveSheet()->setCellValue('O'.$i , $row['cons_OA']);
        $spreadsheet->getActiveSheet()->setCellValue('P'.$i , $row['cons_PA']);

          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
        $i++;
    }

/*}   */

$spreadsheet->getActiveSheet()->getStyle('J7:J'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('K7:K'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('M7:M'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('N4:N'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
  $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('A7:A'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b7:b'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c7:c'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d7:d'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e7:e'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f7:f'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g7:g'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h7:h'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('i7:i'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('j7:j'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('k7:k'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('l7:l'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('m7:m'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('n7:n'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('o7:o'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('p7:p'.$i)->applyFromArray($styleArray);


// 3*********************** Generator Spare Parts


$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(2)->setTitle('Generator Spare Parts');

$spreadsheet->getActiveSheet()->setAutoFilter('A6:AA889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(85);
/*$spreadsheet->getActiveSheet()->getStyle('N4:N50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('J4:J50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');*/

//set default font
$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);


//set column dimension to auto size
/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('A')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('B')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);*/
$spreadsheet->getActiveSheet()
            ->getColumnDimension('E')
            ->setAutoSize(true);

/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('F')
            ->setAutoSize(true);*/

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(false);
/*$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('15');*/

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');





$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);


$spreadsheet->getActiveSheet()
            ->setCellValue('K4','=SUM(K7:K1000)');
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');




$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()->mergeCells('B2:N2');
$spreadsheet->getActiveSheet()->setCellValue('B2',"Generator Spare parts");
$spreadsheet->getActiveSheet()->getStyle('B2:N2')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()->mergeCells('B4:J4');
$spreadsheet->getActiveSheet()->setCellValue('B4',"Total");
$spreadsheet->getActiveSheet()->getStyle('B4:N4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"AREA")
            ->getColumnDimension('A')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('A6:A6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('B6',"Region")
            ->getColumnDimension('B')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('B6:B6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('C6',"Wilaya")
            ->getColumnDimension('C')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('C6:C6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('D6',"Site ID")
            ->getColumnDimension('D')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('D6:D6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('E6',"DATE")
            ->getColumnDimension('E')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('E6:E6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F6',"CR")
            ->getColumnDimension('F')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('F6:F6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G6',"Description-Referance")
            ->getColumnDimension('G')->setWidth('35');
$spreadsheet->getActiveSheet()->getStyle('G6:G6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('H6',"Quantity")
            ->getColumnDimension('H')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('H6:H6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I6',"Canceled QTY")
            ->getColumnDimension('I')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('I6:I6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('J6',"Unit Price")
            ->getColumnDimension('J')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('J6:J6')->applyFromArray($redWhite);



$spreadsheet->getActiveSheet()
            ->setCellValue('K6',"Total (HT)")
            ->getColumnDimension('K')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('K6:K6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L6',"Canclled Amount")
            ->getColumnDimension('L')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('L6:L6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M6',"OA Comments")
            ->getColumnDimension('M')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('M6:M6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('N6',"Protech Comments")
            ->getColumnDimension('N')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('N6:N6')->applyFromArray($redWhite);


//************ loop start ***********


$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");
$query = "SELECT * FROM `conssite_rel` WHERE cons_type='Generator Spare Parts' AND `cons_date` BETWEEN '$fd' AND '$td'";

$statement = mysqli_query($connect,$query);

/*if(mysqli_num_rows($statement) > 0) {  */
    $i = 7;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'NORD');

        $spreadsheet->getActiveSheet()->setCellValue('B'.$i , 'OUEST');
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i , $row['wilaya']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i , $row['cons_c_site']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i , $row['cons_date']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i , $row['cons_cr']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i , $row['item']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['cons_qty']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['price']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i , '=H'.$i.'*J'.$i);
        $spreadsheet->getActiveSheet()->setCellValue('M'.$i , $row['cons_OA']);
        $spreadsheet->getActiveSheet()->setCellValue('N'.$i , $row['cons_PA']);
/*        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['siteId'])->getStyle('H'.$i.':H'.$i)->applyFromArray($borderCell);*/
/*        $spreadsheet->getActiveSheet()->setCellValue('I'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell); */
/*        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell);*/
          $spreadsheet->getActiveSheet()->getStyle('A7:N'.$i)->applyFromArray($styleArray);
        $i++;
    }
/*} */
$spreadsheet->getActiveSheet()->getStyle('J7:J'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('K7:K'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
  $spreadsheet->getActiveSheet()->getStyle('A7:N'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('A7:A'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b7:b'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c7:c'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d7:d'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e7:e'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f7:f'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g7:g'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h7:h'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('i7:i'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('j7:j'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('k7:k'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('l7:l'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('m7:m'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('n7:n'.$i)->applyFromArray($styleArray);


// ****** EXTRAS WORK GPM **********************************************************************************

$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(3)->setTitle('Extras Work GPM');

$spreadsheet->getActiveSheet()->setAutoFilter('A6:P889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(85);
/*$spreadsheet->getActiveSheet()->getStyle('N4:N50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('J4:J50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');*/

//set default font
$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);


//set column dimension to auto size
/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('A')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('B')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);*/
$spreadsheet->getActiveSheet()
            ->getColumnDimension('E')
            ->setAutoSize(true);

/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('F')
            ->setAutoSize(true);*/

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(false);
/*$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('15');*/

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');

$spreadsheet->getActiveSheet()->getColumnDimension('K')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('K')->setWidth('20');

$spreadsheet->getActiveSheet()->getColumnDimension('L')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('L')->setWidth('20');





$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);


$spreadsheet->getActiveSheet()
            ->setCellValue('K4','=SUM(K7:K1000)');
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');




$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()->mergeCells('B2:N2');
$spreadsheet->getActiveSheet()->setCellValue('B2',"Extras Work GPM");
$spreadsheet->getActiveSheet()->getStyle('B2:N2')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()->mergeCells('B4:J4');
$spreadsheet->getActiveSheet()->setCellValue('B4',"Total");
$spreadsheet->getActiveSheet()->getStyle('B4:N4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"AREA")
            ->getColumnDimension('A')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('A6:A6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('B6',"Region")
            ->getColumnDimension('B')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('B6:B6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('C6',"Wilaya")
            ->getColumnDimension('C')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('C6:C6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('D6',"Site ID")
            ->getColumnDimension('D')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('D6:D6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('E6',"DATE")
            ->getColumnDimension('E')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('E6:E6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F6',"CR")
            ->getColumnDimension('F')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('F6:F6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G6',"Description-Referance")
            ->getColumnDimension('G')->setWidth('35');
$spreadsheet->getActiveSheet()->getStyle('G6:G6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('H6',"Quantity")
            ->getColumnDimension('H')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('H6:H6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I6',"Canceled QTY")
            ->getColumnDimension('I')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('I6:I6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('J6',"Unit Price")
            ->getColumnDimension('J')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('J6:J6')->applyFromArray($redWhite);



$spreadsheet->getActiveSheet()
            ->setCellValue('K6',"Total (HT)")
            ->getColumnDimension('K')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('K6:K6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L6',"Canclled Amount");
           /* ->getColumnDimension('L')->setWidth('30'); */
$spreadsheet->getActiveSheet()->getStyle('L6:L6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M6',"OA Comments")
            ->getColumnDimension('M')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('M6:M6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('N6',"Protech Comments")
            ->getColumnDimension('N')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('N6:N6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('O6',"Wta Quarter")
            ->getColumnDimension('O')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('O6:O6')->applyFromArray($greenWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('P6',"FAUX CR")
            ->getColumnDimension('P')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('P6:P6')->applyFromArray($greenWhite);

//************ loop start ***********


$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");
$query = "SELECT * FROM `conssite_rel` WHERE cons_type='Extras Work GPM' AND `cons_date` BETWEEN '$fd' AND '$td'";

$statement = mysqli_query($connect,$query);

/*if(mysqli_num_rows($statement) > 0) { */
    $i = 7;
    $refueling = "Transport par volume > 400 L (should be free for transport of <400L)";
    while($row = mysqli_fetch_assoc($statement)) {
        if($row['item']==$refueling){
            $total = '=(H'.$i.'*29.01)+21321';
        }else{
            $total = '=H'.$i.'*J'.$i;
        }
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'NORD');

        $spreadsheet->getActiveSheet()->setCellValue('B'.$i , 'OUEST');
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i , $row['wilaya']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i , $row['cons_c_site']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i , $row['cons_date']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i , $row['cons_cr']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i , $row['item']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['cons_qty']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['price']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i , $total);
        $spreadsheet->getActiveSheet()->setCellValue('M'.$i , $row['cons_OA']);
        $spreadsheet->getActiveSheet()->setCellValue('N'.$i , $row['cons_PA']);
/*        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['siteId'])->getStyle('H'.$i.':H'.$i)->applyFromArray($borderCell);*/
/*        $spreadsheet->getActiveSheet()->setCellValue('I'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell); */
/*        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell);*/
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
        $i++;
    }
/*} */
$spreadsheet->getActiveSheet()->getStyle('J7:J'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('K7:K'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
  $spreadsheet->getActiveSheet()->getStyle('A7:N'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('A7:A'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b7:b'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c7:c'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d7:d'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e7:e'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f7:f'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g7:g'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h7:h'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('i7:i'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('j7:j'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('k7:k'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('l7:l'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('m7:m'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('n7:n'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('O7:O'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('P7:P'.$i)->applyFromArray($styleArray);


// ****** Spare Parts CM-PM  **********************************************************************************

$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(4)->setTitle('Spare Parts CM-PM');

$spreadsheet->getActiveSheet()->setAutoFilter('A6:P889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(85);
/*$spreadsheet->getActiveSheet()->getStyle('N4:N50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('J4:J50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');*/

//set default font
$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);


//set column dimension to auto size
/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('A')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('B')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);*/
$spreadsheet->getActiveSheet()
            ->getColumnDimension('E')
            ->setAutoSize(true);

/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('F')
            ->setAutoSize(true);*/

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(false);
/*$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('15');*/

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');

$spreadsheet->getActiveSheet()->getColumnDimension('K')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('K')->setWidth('20');

$spreadsheet->getActiveSheet()->getColumnDimension('L')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('L')->setWidth('20');





$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);


$spreadsheet->getActiveSheet()
            ->setCellValue('K4','=SUM(K7:K1000)');
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');




$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()->mergeCells('B2:N2');
$spreadsheet->getActiveSheet()->setCellValue('B2',"Spare Parts CM-PM");
$spreadsheet->getActiveSheet()->getStyle('B2:N2')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()->mergeCells('B4:J4');
$spreadsheet->getActiveSheet()->setCellValue('B4',"Total");
$spreadsheet->getActiveSheet()->getStyle('B4:N4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"AREA")
            ->getColumnDimension('A')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('A6:A6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('B6',"Region")
            ->getColumnDimension('B')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('B6:B6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('C6',"Wilaya")
            ->getColumnDimension('C')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('C6:C6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('D6',"Site ID")
            ->getColumnDimension('D')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('D6:D6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('E6',"DATE")
            ->getColumnDimension('E')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('E6:E6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F6',"CR")
            ->getColumnDimension('F')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('F6:F6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G6',"Description-Referance")
            ->getColumnDimension('G')->setWidth('35');
$spreadsheet->getActiveSheet()->getStyle('G6:G6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('H6',"Quantity")
            ->getColumnDimension('H')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('H6:H6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I6',"Canceled QTY")
            ->getColumnDimension('I')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('I6:I6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('J6',"Unit Price")
    ->getColumnDimension('J')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('J6:J6')->applyFromArray($redWhite);



$spreadsheet->getActiveSheet()
            ->setCellValue('K6',"Total (HT)")
            ->getColumnDimension('K')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('K6:K6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L6',"Canclled Amount");
           /* ->getColumnDimension('L')->setWidth('30'); */
$spreadsheet->getActiveSheet()->getStyle('L6:L6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M6',"OA Comments")
            ->getColumnDimension('M')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('M6:M6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('N6',"Protech Comments")
            ->getColumnDimension('N')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('N6:N6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('O6',"Wta Quarter")
            ->getColumnDimension('O')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('O6:O6')->applyFromArray($greenWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('P6',"FAUX CR")
            ->getColumnDimension('P')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('P6:P6')->applyFromArray($greenWhite);

//************ loop start ***********


$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");
$query = "SELECT * FROM `conssite_rel`  WHERE `fact_type`='Spare Parts CM-PM' and cons_type in ('Spare Parts PM') AND `cons_date` BETWEEN '$fd' AND '$td'";

$statement = mysqli_query($connect,$query);

/*if(mysqli_num_rows($statement) > 0) { */
    $i = 7;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'NORD');

        $spreadsheet->getActiveSheet()->setCellValue('B'.$i , 'OUEST');
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i , $row['wilaya']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i , $row['cons_c_site']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i , $row['cons_date']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i , $row['cons_cr']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i , $row['item']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['cons_qty']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['price']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i , '=H'.$i.'*J'.$i);
        $spreadsheet->getActiveSheet()->setCellValue('M'.$i , $row['cons_OA']);
        $spreadsheet->getActiveSheet()->setCellValue('N'.$i , $row['cons_PA']);

/*        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['siteId'])->getStyle('H'.$i.':H'.$i)->applyFromArray($borderCell);*/
/*        $spreadsheet->getActiveSheet()->setCellValue('I'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell); */
/*        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell);*/
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
        $i++;
    }
/*} */
$spreadsheet->getActiveSheet()->getStyle('J7:J'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('K7:K'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
  $spreadsheet->getActiveSheet()->getStyle('A7:N'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('A7:A'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b7:b'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c7:c'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d7:d'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e7:e'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f7:f'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g7:g'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h7:h'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('i7:i'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('j7:j'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('k7:k'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('l7:l'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('m7:m'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('n7:n'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('O7:O'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('P7:P'.$i)->applyFromArray($styleArray);




// ****** Ewtras work CM-PM  **********************************************************************************

$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(5)->setTitle('Extras Work CM-PM');

$spreadsheet->getActiveSheet()->setAutoFilter('A6:P889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(85);
/*$spreadsheet->getActiveSheet()->getStyle('N4:N50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('J4:J50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');*/

//set default font
$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);


//set column dimension to auto size
/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('A')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('B')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);*/
$spreadsheet->getActiveSheet()
            ->getColumnDimension('E')
            ->setAutoSize(true);

/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('F')
            ->setAutoSize(true);*/

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(false);
/*$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('15');*/

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');

$spreadsheet->getActiveSheet()->getColumnDimension('K')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('K')->setWidth('20');

$spreadsheet->getActiveSheet()->getColumnDimension('L')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('L')->setWidth('20');





$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);


$spreadsheet->getActiveSheet()
            ->setCellValue('K4','=SUM(K7:K1000)');
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');




$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()->mergeCells('B2:N2');
$spreadsheet->getActiveSheet()->setCellValue('B2',"Extras Work CM-PM");
$spreadsheet->getActiveSheet()->getStyle('B2:N2')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()->mergeCells('B4:J4');
$spreadsheet->getActiveSheet()->setCellValue('B4',"Total");
$spreadsheet->getActiveSheet()->getStyle('B4:N4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"AREA")
            ->getColumnDimension('A')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('A6:A6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('B6',"Region")
            ->getColumnDimension('B')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('B6:B6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('C6',"Wilaya")
            ->getColumnDimension('C')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('C6:C6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('D6',"Site ID")
            ->getColumnDimension('D')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('D6:D6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('E6',"DATE")
            ->getColumnDimension('E')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('E6:E6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F6',"CR")
            ->getColumnDimension('F')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('F6:F6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G6',"Description-Referance")
            ->getColumnDimension('G')->setWidth('35');
$spreadsheet->getActiveSheet()->getStyle('G6:G6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('H6',"Quantity")
            ->getColumnDimension('H')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('H6:H6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I6',"Canceled QTY")
            ->getColumnDimension('I')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('I6:I6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('J6',"Unit Price")
    ->getColumnDimension('J')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('J6:J6')->applyFromArray($redWhite);



$spreadsheet->getActiveSheet()
            ->setCellValue('K6',"Total (HT)")
            ->getColumnDimension('K')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('K6:K6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L6',"Canclled Amount");
           /* ->getColumnDimension('L')->setWidth('30'); */
$spreadsheet->getActiveSheet()->getStyle('L6:L6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M6',"OA Comments")
            ->getColumnDimension('M')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('M6:M6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('N6',"Protech Comments")
            ->getColumnDimension('N')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('N6:N6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('O6',"Wta Quarter")
            ->getColumnDimension('O')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('O6:O6')->applyFromArray($greenWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('P6',"FAUX CR")
            ->getColumnDimension('P')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('P6:P6')->applyFromArray($greenWhite);

//************ loop start ***********


$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");
$query = "SELECT * FROM `conssite_rel` WHERE fact_type='Extras Work CM-PM' AND `cons_date` BETWEEN '$fd' AND '$td'";
//$query = "SELECT * FROM `conssite_rel` WHERE (fact_type='Extras Work CM-PM' OR (fact_type='Spare Parts CM-PM' AND cons_type='Extras Work PM')) AND `cons_date` BETWEEN '$fd' AND '$td'";

$statement = mysqli_query($connect,$query);

/*if(mysqli_num_rows($statement) > 0) {  */
    $i = 7;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'NORD');

        $spreadsheet->getActiveSheet()->setCellValue('B'.$i , 'OUEST');
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i , $row['wilaya']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i , $row['cons_c_site']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i , $row['cons_date']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i , $row['cons_cr']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i , $row['item']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['cons_qty']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['price']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i , '=H'.$i.'*J'.$i);
        $spreadsheet->getActiveSheet()->setCellValue('M'.$i , $row['cons_OA']);
         $spreadsheet->getActiveSheet()->setCellValue('N'.$i , $row['cons_PA']);
/*        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['siteId'])->getStyle('H'.$i.':H'.$i)->applyFromArray($borderCell);*/
/*        $spreadsheet->getActiveSheet()->setCellValue('I'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell); */
/*        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell);*/
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
        $i++;
    }
/*}*/
$spreadsheet->getActiveSheet()->getStyle('J7:J'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('K7:K'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
  $spreadsheet->getActiveSheet()->getStyle('A7:N'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('A7:A'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b7:b'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c7:c'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d7:d'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e7:e'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f7:f'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g7:g'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h7:h'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('i7:i'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('j7:j'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('k7:k'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('l7:l'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('m7:m'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('n7:n'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('O7:O'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('P7:P'.$i)->applyFromArray($styleArray);



// ****** GPM Visit  **********************************************************************************

$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(6)->setTitle('GPM Visit');

$spreadsheet->getActiveSheet()->setAutoFilter('A6:P889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(85);
/*$spreadsheet->getActiveSheet()->getStyle('N4:N50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('J4:J50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');*/

//set default font
$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);


//set column dimension to auto size
/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('A')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('B')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);*/
$spreadsheet->getActiveSheet()
            ->getColumnDimension('E')
            ->setAutoSize(true);

/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('F')
            ->setAutoSize(true);*/

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(false);
/*$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('15');*/

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');

$spreadsheet->getActiveSheet()->getColumnDimension('K')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('K')->setWidth('20');

$spreadsheet->getActiveSheet()->getColumnDimension('L')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('L')->setWidth('20');





$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);


$spreadsheet->getActiveSheet()
            ->setCellValue('K4','=SUM(K7:K1000)');
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');




$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()->mergeCells('B2:N2');
$spreadsheet->getActiveSheet()->setCellValue('B2',"GPM Visit");
$spreadsheet->getActiveSheet()->getStyle('B2:N2')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()->mergeCells('B4:J4');
$spreadsheet->getActiveSheet()->setCellValue('B4',"Total");
$spreadsheet->getActiveSheet()->getStyle('B4:N4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"AREA")
            ->getColumnDimension('A')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('A6:A6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('B6',"Region")
            ->getColumnDimension('B')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('B6:B6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('C6',"Wilaya")
            ->getColumnDimension('C')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('C6:C6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('D6',"Site ID")
            ->getColumnDimension('D')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('D6:D6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('E6',"DATE")
            ->getColumnDimension('E')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('E6:E6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F6',"CR")
            ->getColumnDimension('F')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('F6:F6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G6',"Description-Referance")
            ->getColumnDimension('G')->setWidth('35');
$spreadsheet->getActiveSheet()->getStyle('G6:G6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('H6',"Quantity")
            ->getColumnDimension('H')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('H6:H6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I6',"Canceled QTY")
            ->getColumnDimension('I')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('I6:I6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('J6',"Unit Price")
    ->getColumnDimension('J')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('J6:J6')->applyFromArray($redWhite);



$spreadsheet->getActiveSheet()
            ->setCellValue('K6',"Total (HT)")
            ->getColumnDimension('K')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('K6:K6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L6',"Canclled Amount");
           /* ->getColumnDimension('L')->setWidth('30'); */
$spreadsheet->getActiveSheet()->getStyle('L6:L6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M6',"OA Comments")
            ->getColumnDimension('M')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('M6:M6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('N6',"Protech Comments")
            ->getColumnDimension('N')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('N6:N6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('O6',"Wta Quarter")
            ->getColumnDimension('O')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('O6:O6')->applyFromArray($greenWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('P6',"FAUX CR")
            ->getColumnDimension('P')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('P6:P6')->applyFromArray($greenWhite);

//************ loop start ***********


$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");
$query = "SELECT * FROM `conssite_rel` WHERE cons_type='GPM Visit' AND `cons_date` BETWEEN '$fd' AND '$td'";

$statement = mysqli_query($connect,$query);

/*if(mysqli_num_rows($statement) > 0) {  */
    $i = 7;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'NORD');

        $spreadsheet->getActiveSheet()->setCellValue('B'.$i , 'OUEST');
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i , $row['wilaya']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i , $row['cons_c_site']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i , $row['cons_date']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i , $row['cons_cr']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i , $row['item']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['cons_qty']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['price']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i , '=H'.$i.'*J'.$i);
         $spreadsheet->getActiveSheet()->setCellValue('M'.$i , $row['cons_PA']);
         $spreadsheet->getActiveSheet()->setCellValue('N'.$i , $row['cons_PA']);
/*        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['siteId'])->getStyle('H'.$i.':H'.$i)->applyFromArray($borderCell);*/
/*        $spreadsheet->getActiveSheet()->setCellValue('I'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell); */
/*        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell);*/
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
        $i++;
    }
/*} */
$spreadsheet->getActiveSheet()->getStyle('J7:J'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('K7:K'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
  $spreadsheet->getActiveSheet()->getStyle('A7:N'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('A7:A'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b7:b'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c7:c'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d7:d'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e7:e'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f7:f'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g7:g'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h7:h'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('i7:i'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('j7:j'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('k7:k'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('l7:l'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('m7:m'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('n7:n'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('O7:O'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('P7:P'.$i)->applyFromArray($styleArray);



// ****** Special project  **********************************************************************************

$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(7)->setTitle('Special Project');

$spreadsheet->getActiveSheet()->setAutoFilter('A6:P889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(85);
/*$spreadsheet->getActiveSheet()->getStyle('N4:N50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('J4:J50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');*/

//set default font
$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);


//set column dimension to auto size
/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('A')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('B')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);*/
$spreadsheet->getActiveSheet()
            ->getColumnDimension('E')
            ->setAutoSize(true);

/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('F')
            ->setAutoSize(true);*/

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(false);
/*$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('15');*/

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');

$spreadsheet->getActiveSheet()->getColumnDimension('K')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('K')->setWidth('20');

$spreadsheet->getActiveSheet()->getColumnDimension('L')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('L')->setWidth('20');





$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);


$spreadsheet->getActiveSheet()
            ->setCellValue('K4','=SUM(K7:K1000)');
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');




$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()->mergeCells('B2:N2');
$spreadsheet->getActiveSheet()->setCellValue('B2',"Special Project");
$spreadsheet->getActiveSheet()->getStyle('B2:N2')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()->mergeCells('B4:J4');
$spreadsheet->getActiveSheet()->setCellValue('B4',"Total");
$spreadsheet->getActiveSheet()->getStyle('B4:N4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"AREA")
            ->getColumnDimension('A')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('A6:A6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('B6',"Region")
            ->getColumnDimension('B')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('B6:B6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('C6',"Wilaya")
            ->getColumnDimension('C')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('C6:C6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('D6',"Site ID")
            ->getColumnDimension('D')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('D6:D6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('E6',"DATE")
            ->getColumnDimension('E')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('E6:E6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F6',"CR")
            ->getColumnDimension('F')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('F6:F6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G6',"Description-Referance")
            ->getColumnDimension('G')->setWidth('35');
$spreadsheet->getActiveSheet()->getStyle('G6:G6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('H6',"Quantity")
            ->getColumnDimension('H')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('H6:H6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I6',"Canceled QTY")
            ->getColumnDimension('I')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('I6:I6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('J6',"Unit Price")
    ->getColumnDimension('J')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('J6:J6')->applyFromArray($redWhite);



$spreadsheet->getActiveSheet()
            ->setCellValue('K6',"Total (HT)")
            ->getColumnDimension('K')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('K6:K6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L6',"Canclled Amount");
           /* ->getColumnDimension('L')->setWidth('30'); */
$spreadsheet->getActiveSheet()->getStyle('L6:L6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M6',"OA Comments")
            ->getColumnDimension('M')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('M6:M6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('N6',"Protech Comments")
            ->getColumnDimension('N')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('N6:N6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('O6',"Wta Quarter")
            ->getColumnDimension('O')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('O6:O6')->applyFromArray($greenWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('P6',"FAUX CR")
            ->getColumnDimension('P')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('P6:P6')->applyFromArray($greenWhite);

//************ loop start ***********


$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");
$query = "SELECT * FROM `conssite_rel` WHERE cons_type='Special Project' AND `cons_date` BETWEEN '$fd' AND '$td'";

$statement = mysqli_query($connect,$query);

/*if(mysqli_num_rows($statement) > 0) { */
    $i = 7;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'NORD');

        $spreadsheet->getActiveSheet()->setCellValue('B'.$i , 'OUEST');
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i , $row['wilaya']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i , $row['cons_c_site']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i , $row['cons_date']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i , $row['cons_cr']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i , $row['item']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['cons_qty']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['price']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i , '=H'.$i.'*J'.$i);
         $spreadsheet->getActiveSheet()->setCellValue('M'.$i , $row['cons_PA']);
         $spreadsheet->getActiveSheet()->setCellValue('N'.$i , $row['cons_PA']);
/*        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['siteId'])->getStyle('H'.$i.':H'.$i)->applyFromArray($borderCell);*/
/*        $spreadsheet->getActiveSheet()->setCellValue('I'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell); */
/*        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell);*/
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
        $i++;
    }
/*} */
$spreadsheet->getActiveSheet()->getStyle('J7:J'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('K7:K'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
  $spreadsheet->getActiveSheet()->getStyle('A7:N'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('A7:A'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b7:b'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c7:c'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d7:d'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e7:e'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f7:f'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g7:g'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h7:h'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('i7:i'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('j7:j'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('k7:k'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('l7:l'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('m7:m'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('n7:n'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('O7:O'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('P7:P'.$i)->applyFromArray($styleArray);



// ****** Extras SNG  **********************************************************************************

$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(8)->setTitle('Extras SNG');

$spreadsheet->getActiveSheet()->setAutoFilter('A6:P889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(85);
/*$spreadsheet->getActiveSheet()->getStyle('N4:N50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('J4:J50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');*/

//set default font
$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);


//set column dimension to auto size
/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('A')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('B')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);*/
$spreadsheet->getActiveSheet()
            ->getColumnDimension('E')
            ->setAutoSize(true);

/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('F')
            ->setAutoSize(true);*/

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(false);
/*$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('15');*/

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');

$spreadsheet->getActiveSheet()->getColumnDimension('K')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('K')->setWidth('20');

$spreadsheet->getActiveSheet()->getColumnDimension('L')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('L')->setWidth('20');





$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);


$spreadsheet->getActiveSheet()
            ->setCellValue('K4','=SUM(K7:K1000)');
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');




$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()->mergeCells('B2:N2');
$spreadsheet->getActiveSheet()->setCellValue('B2',"Extras SNG");
$spreadsheet->getActiveSheet()->getStyle('B2:N2')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()->mergeCells('B4:J4');
$spreadsheet->getActiveSheet()->setCellValue('B4',"Total");
$spreadsheet->getActiveSheet()->getStyle('B4:N4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"AREA")
            ->getColumnDimension('A')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('A6:A6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('B6',"Region")
            ->getColumnDimension('B')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('B6:B6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('C6',"Wilaya")
            ->getColumnDimension('C')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('C6:C6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('D6',"Site ID")
            ->getColumnDimension('D')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('D6:D6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('E6',"DATE")
            ->getColumnDimension('E')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('E6:E6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F6',"CR")
            ->getColumnDimension('F')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('F6:F6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G6',"Description-Referance")
            ->getColumnDimension('G')->setWidth('35');
$spreadsheet->getActiveSheet()->getStyle('G6:G6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('H6',"Quantity")
            ->getColumnDimension('H')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('H6:H6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I6',"Canceled QTY")
            ->getColumnDimension('I')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('I6:I6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('J6',"Unit Price")
    ->getColumnDimension('J')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('J6:J6')->applyFromArray($redWhite);



$spreadsheet->getActiveSheet()
            ->setCellValue('K6',"Total (HT)")
            ->getColumnDimension('K')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('K6:K6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L6',"Canclled Amount");
           /* ->getColumnDimension('L')->setWidth('30'); */
$spreadsheet->getActiveSheet()->getStyle('L6:L6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M6',"OA Comments")
            ->getColumnDimension('M')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('M6:M6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('N6',"Protech Comments")
            ->getColumnDimension('N')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('N6:N6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('O6',"Wta Quarter")
            ->getColumnDimension('O')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('O6:O6')->applyFromArray($greenWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('P6',"FAUX CR")
            ->getColumnDimension('P')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('P6:P6')->applyFromArray($greenWhite);

//************ loop start ***********


$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");
$query = "SELECT * FROM `conssite_rel` WHERE cons_type='Extras SNG' AND `cons_date` BETWEEN '$fd' AND '$td'";

$statement = mysqli_query($connect,$query);

/*if(mysqli_num_rows($statement) > 0) { */
    $i = 7;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'NORD');

        $spreadsheet->getActiveSheet()->setCellValue('B'.$i , 'OUEST');
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i , $row['wilaya']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i , $row['cons_c_site']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i , $row['cons_date']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i , $row['cons_cr']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i , $row['item']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['cons_qty']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['price']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i , '=H'.$i.'*J'.$i);
        $spreadsheet->getActiveSheet()->setCellValue('M'.$i , $row['cons_PA']);
        $spreadsheet->getActiveSheet()->setCellValue('N'.$i , $row['cons_PA']);
/*        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['siteId'])->getStyle('H'.$i.':H'.$i)->applyFromArray($borderCell);*/
/*        $spreadsheet->getActiveSheet()->setCellValue('I'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell); */
/*        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell);*/
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
        $i++;
    }
/*} */
$spreadsheet->getActiveSheet()->getStyle('J7:J'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('K7:K'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
  $spreadsheet->getActiveSheet()->getStyle('A7:N'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('A7:A'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b7:b'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c7:c'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d7:d'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e7:e'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f7:f'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g7:g'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h7:h'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('i7:i'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('j7:j'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('k7:k'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('l7:l'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('m7:m'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('n7:n'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('O7:O'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('P7:P'.$i)->applyFromArray($styleArray);


// ****** Installation Portable DG  **********************************************************************************

$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(9)->setTitle('Installation Portable DG');

$spreadsheet->getActiveSheet()->setAutoFilter('A6:P889');

//set row height
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(85);
/*$spreadsheet->getActiveSheet()->getStyle('N4:N50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('J4:J50')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');*/

//set default font
$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Arial')
            ->setSize(10);


//set column dimension to auto size
/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('A')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('B')
            ->setAutoSize(true);
$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);*/
$spreadsheet->getActiveSheet()
            ->getColumnDimension('E')
            ->setAutoSize(true);

/*$spreadsheet->getActiveSheet()
            ->getColumnDimension('F')
            ->setAutoSize(true);*/

$spreadsheet->getActiveSheet()->getColumnDimension('A')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('15');

$spreadsheet->getActiveSheet()->getColumnDimension('G')->setAutoSize(false);
/*$spreadsheet->getActiveSheet()->getColumnDimension('G')->setWidth('15');*/

$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('5');

$spreadsheet->getActiveSheet()->getColumnDimension('K')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('K')->setWidth('20');

$spreadsheet->getActiveSheet()->getColumnDimension('L')->setAutoSize(false);
$spreadsheet->getActiveSheet()->getColumnDimension('L')->setWidth('20');





$spreadsheet->getActiveSheet()
            ->getColumnDimension('C')
            ->setAutoSize(true);


$spreadsheet->getActiveSheet()
            ->setCellValue('K4','=SUM(K7:K1000)');
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->applyFromArray($redWhite);
$spreadsheet->getActiveSheet()->getStyle('K4:K4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');




$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()->mergeCells('B2:N2');
$spreadsheet->getActiveSheet()->setCellValue('B2',"Installation Portable DG");
$spreadsheet->getActiveSheet()->getStyle('B2:N2')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()->mergeCells('B4:J4');
$spreadsheet->getActiveSheet()->setCellValue('B4',"Total");
$spreadsheet->getActiveSheet()->getStyle('B4:N4')->applyFromArray($redWhite);


$spreadsheet->getActiveSheet()
            ->setCellValue('L4',"=SUM(L7:L1000)");
$spreadsheet->getActiveSheet()->getStyle('L4:L4')->applyFromArray($redWhite);

//simple text data
$spreadsheet->getActiveSheet()
            ->setCellValue('A6',"AREA")
            ->getColumnDimension('A')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('A6:A6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('B6',"Region")
            ->getColumnDimension('B')->setWidth('9');
$spreadsheet->getActiveSheet()->getStyle('B6:B6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('C6',"Wilaya")
            ->getColumnDimension('C')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('C6:C6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('D6',"Site ID")
            ->getColumnDimension('D')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('D6:D6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('E6',"DATE")
            ->getColumnDimension('E')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('E6:E6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('F6',"CR")
            ->getColumnDimension('F')->setWidth('10');
$spreadsheet->getActiveSheet()->getStyle('F6:F6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('G6',"Description-Referance")
            ->getColumnDimension('G')->setWidth('35');
$spreadsheet->getActiveSheet()->getStyle('G6:G6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('H6',"Quantity")
            ->getColumnDimension('H')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('H6:H6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('I6',"Canceled QTY")
            ->getColumnDimension('I')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('I6:I6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('J6',"Unit Price")
    ->getColumnDimension('J')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('J6:J6')->applyFromArray($redWhite);



$spreadsheet->getActiveSheet()
            ->setCellValue('K6',"Total (HT)")
            ->getColumnDimension('K')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('K6:K6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('L6',"Canclled Amount");
           /* ->getColumnDimension('L')->setWidth('30'); */
$spreadsheet->getActiveSheet()->getStyle('L6:L6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('M6',"OA Comments")
            ->getColumnDimension('M')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('M6:M6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('N6',"Protech Comments")
            ->getColumnDimension('N')->setWidth('30');
$spreadsheet->getActiveSheet()->getStyle('N6:N6')->applyFromArray($redWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('O6',"Wta Quarter")
            ->getColumnDimension('O')->setWidth('11');
$spreadsheet->getActiveSheet()->getStyle('O6:O6')->applyFromArray($greenWhite);

$spreadsheet->getActiveSheet()
            ->setCellValue('P6',"FAUX CR")
            ->getColumnDimension('P')->setWidth('20');
$spreadsheet->getActiveSheet()->getStyle('P6:P6')->applyFromArray($greenWhite);

//************ loop start ***********


$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");
$query = "SELECT * FROM `conssite_rel` WHERE cons_type='Installation Portable DG' AND `cons_date` BETWEEN '$fd' AND '$td'";

$statement = mysqli_query($connect,$query);

/*if(mysqli_num_rows($statement) > 0) { */
    $i = 7;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'NORD');

        $spreadsheet->getActiveSheet()->setCellValue('B'.$i , 'OUEST');
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i , $row['wilaya']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i , $row['cons_c_site']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i , $row['cons_date']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i , $row['cons_cr']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i , $row['item']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['cons_qty']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['price']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i , '=H'.$i.'*J'.$i);
        $spreadsheet->getActiveSheet()->setCellValue('M'.$i , $row['cons_PA']);
        $spreadsheet->getActiveSheet()->setCellValue('N'.$i , $row['cons_PA']);
/*        $spreadsheet->getActiveSheet()->setCellValue('H'.$i , $row['siteId'])->getStyle('H'.$i.':H'.$i)->applyFromArray($borderCell);*/
/*        $spreadsheet->getActiveSheet()->setCellValue('I'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell); */
/*        $spreadsheet->getActiveSheet()->setCellValue('J'.$i , $row['siteId'])->getStyle('E'.$i.':E'.$i)->applyFromArray($borderCell);*/
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
          $spreadsheet->getActiveSheet()->getStyle('A7:P'.$i)->applyFromArray($styleArray);
        $i++;
    }
/*} */
$spreadsheet->getActiveSheet()->getStyle('J7:J'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('K7:K'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
$spreadsheet->getActiveSheet()->getStyle('L4:L'.$i)->getNumberFormat()->setFormatCode('#,##0.00_-"DZD"');
  $spreadsheet->getActiveSheet()->getStyle('A7:N'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('A7:A'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b7:b'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c7:c'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d7:d'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e7:e'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f7:f'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g7:g'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h7:h'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('i7:i'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('j7:j'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('k7:k'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('l7:l'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('m7:m'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('n7:n'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('O7:O'.$i)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('P7:P'.$i)->applyFromArray($styleArray);



$spreadsheet->setActiveSheetIndex(0);

//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="Variable charge PROTECH VSC from '.$fd.' to '.$td.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');


