<?php



//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;

use PhpOffice\PhpSpreadsheet\Worksheet\ConditionalFormatting\Rule;
use PhpOffice\PhpSpreadsheet\Worksheet\ConditionalFormatting\RuleCollection;
use PhpOffice\PhpSpreadsheet\Worksheet\ConditionalFormatting\Conditional;


  //style array start

  $cellBlackYellow = [
     'font'=>[
         'color'=>[
              'rgb'=>'FFFFFF'
            ],
        ],
     'fill'=> [

              'startColor' =>[
                  'rgb'=>'358ED5'
               ],
          ],
  ];


  $styleArray = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),

);


$redWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'b30000')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Arial'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

$WhiteTitle = array(
            /*'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),*/
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'FFFFFF')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 18,
        'name'  => 'Arial'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $greenWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '3FFF33')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $grayWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '626462')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 10,
        'name'  => 'Arial'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $blackYellow = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '000000')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFA500'),
        'size'  => 11,
        'name'  => 'Verdana'
         ) ,
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $Yellowblack = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'FFA500')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );



   $borderCell = array(
            'borders' => array(
                'allborders' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),

            'font'  => array(

        'color' => array('rgb' => '000000'),
        'size'  => 10,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

        $borderCella = array(
            'borders' => array(
                'allborders' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                )
            )
       );

          $styleArrayCenter = array(
                  'borders' => array(
                       'outline' => array(
                            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                               'color' => array('argb' => '000000'),
                        ),
                    ),
                     'alignment' => array(
                         'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
                         ),

        );

  //style array end.
 $spreadsheet = new Spreadsheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle("MS Team");
$spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
$spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(95);
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('5');
$spreadsheet->getActiveSheet()->getColumnDimension('B')->setWidth('30');
$spreadsheet->getActiveSheet()->getColumnDimension('C')->setWidth('20');
$spreadsheet->getActiveSheet()->getColumnDimension('D')->setWidth('20');
$spreadsheet->getActiveSheet()->getColumnDimension('E')->setWidth('30');


$spreadsheet->getActiveSheet()->setCellValue('A1',"#ID")->getStyle('A1:A1')->applyFromArray($grayWhite);
$spreadsheet->getActiveSheet()->setCellValue('B1',"Nom et Prenom")->getStyle('B1:B1')->applyFromArray($grayWhite);
$spreadsheet->getActiveSheet()->setCellValue('c1',"Nbr de presence")->getStyle('c1:c1')->applyFromArray($grayWhite);
$spreadsheet->getActiveSheet()->setCellValue('d1',"Nbr d absence")->getStyle('d1:d1')->applyFromArray($grayWhite);
$spreadsheet->getActiveSheet()->setCellValue('E1',"Coordinateur")->getStyle('E1:E1')->applyFromArray($grayWhite);


$fd = $_GET["fd"];
$td = $_GET["td"];

 $connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");

$query = "SELECT * FROM `effectives_all` WHERE active=1 and level in ('FMT','FMT2') order by `team` asc , `fullname` asc  ";
$statement = mysqli_query($connect,$query);

    $i = 0;
$y = 2;
   // $id = $i+1;
    while($row = mysqli_fetch_assoc($statement)) {
         $id = $row['id'];


        $query2 = "SELECT ddr.emp_id,  ddr.dd_fullname,
                    COUNT(IF(ddr.oper = 'Operationnel', 1, NULL)) AS presence,
                    COUNT(IF((ddr.oper = 'Absent' AND ddr.just NOT IN ('Conge', 'Recuperation')), 1, NULL)) AS absence , ea.Coord 
                    
                     FROM dailydispatch_rel AS ddr JOIN effectives_all AS ea ON ddr.emp_id = ea.id 
                     WHERE ddr.dd_date BETWEEN '$fd' 
                     AND '$td' 
                     AND ddr.emp_id = '$id' GROUP BY ddr.emp_id, ea.Coord, ddr.dd_fullname   ";

$statement2 = mysqli_query($connect,$query2);


    while($row2 = mysqli_fetch_assoc($statement2)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$y ,$row2['emp_id']);
        $spreadsheet->getActiveSheet()->setCellValue('B'.$y ,$row2['dd_fullname']);
        $spreadsheet->getActiveSheet()->setCellValue('C'.$y ,$row2['presence']);
        $spreadsheet->getActiveSheet()->setCellValue('d'.$y ,$row2['absence']);
        $spreadsheet->getActiveSheet()->setCellValue('e'.$y ,$row2['Coord']);


         $spreadsheet->getActiveSheet()->getStyle('A'.$y.':E'.$y)->applyFromArray($styleArrayCenter);
      $y++;
     }
     $yy=$y-1 ;



     $i++;
    // $id++;


      

 }

$spreadsheet->getActiveSheet()->getStyle('A2:E'.$y)->applyFromArray($styleArray);
$spreadsheet->getActiveSheet()->getStyle('A2:A'.$y)->applyFromArray($styleArray);
$spreadsheet->getActiveSheet()->getStyle('b2:b'.$y)->applyFromArray($styleArray);
$spreadsheet->getActiveSheet()->getStyle('c2:c'.$y)->applyFromArray($styleArray);
$spreadsheet->getActiveSheet()->getStyle('d2:d'.$y)->applyFromArray($styleArray);
$spreadsheet->getActiveSheet()->getStyle('e2:e'.$y)->applyFromArray($styleArray);



$spreadsheet->setActiveSheetIndex(0);

//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="Timesheet MS de '.$fd.' a '.$td.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');


