<?php



//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;

use PhpOffice\PhpSpreadsheet\Worksheet\ConditionalFormatting\Rule;
use PhpOffice\PhpSpreadsheet\Worksheet\ConditionalFormatting\RuleCollection;
use PhpOffice\PhpSpreadsheet\Worksheet\ConditionalFormatting\Conditional;


  //style array start

  $cellBlackYellow = [
     'font'=>[
         'color'=>[
              'rgb'=>'FFFFFF'
            ],
        ],
     'fill'=> [

              'startColor' =>[
                  'rgb'=>'358ED5'
               ],
          ],
  ];


  $styleArray = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),

);


$redWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'b30000')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Arial'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

$WhiteTitle = array(
            /*'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),*/
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'FFFFFF')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 18,
        'name'  => 'Arial'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $greenWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '3FFF33')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $grayWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '626462')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 10,
        'name'  => 'Arial'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $blackYellow = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '000000')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFA500'),
        'size'  => 11,
        'name'  => 'Verdana'
         ) ,
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

       $Yellowblack = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => 'FFA500')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => '000000'),
        'size'  => 11,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );



   $borderCell = array(
            'borders' => array(
                'allborders' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),

            'font'  => array(

        'color' => array('rgb' => '000000'),
        'size'  => 10,
        'name'  => 'Verdana'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

        $borderCella = array(
            'borders' => array(
                'allborders' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                )
            )
       );

          $styleArrayCenter = array(
                  'borders' => array(
                       'outline' => array(
                            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                               'color' => array('argb' => '000000'),
                        ),
                    ),
                     'alignment' => array(
                         'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
                         ),

        );

  //style array end.
 $spreadsheet = new Spreadsheet();

 $connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");

$query = "SELECT * FROM `effectives_all` WHERE active=1 and level in ('FMT','FMT2') order by `team` asc , `fullname` asc  ";
$statement = mysqli_query($connect,$query);

    $i = 0;
   // $id = $i+1;
    while($row = mysqli_fetch_assoc($statement)) {
         $id = $row['id'];
      $spreadsheet->createSheet();
      $spreadsheet->setActiveSheetIndex($i)->setTitle($row['fullname']);
      //$spreadsheet->getActiveSheet()->setAutoFilter('A6:AA889');
      $spreadsheet->getActiveSheet()->getDefaultRowDimension()->setRowHeight(17);
      $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(95);
      $spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('15');
      $spreadsheet->getActiveSheet()->getColumnDimension('B')->setWidth('25');
      $spreadsheet->getActiveSheet()->getColumnDimension('C')->setWidth('25');
      $spreadsheet->getActiveSheet()->getColumnDimension('D')->setWidth('7');
      $spreadsheet->getActiveSheet()->getColumnDimension('e')->setWidth('15');
      $spreadsheet->getActiveSheet()->getColumnDimension('f')->setWidth('15');
      $spreadsheet->getActiveSheet()->getColumnDimension('g')->setWidth('15');
      $spreadsheet->getActiveSheet()->getColumnDimension('h')->setWidth('25');

      $spreadsheet->getActiveSheet()->setCellValue('A1',"Date")->getStyle('A1:A1')->applyFromArray($grayWhite);
      $spreadsheet->getActiveSheet()->setCellValue('B1',"Nom et Prenom")->getStyle('B1:B1')->applyFromArray($grayWhite);
      $spreadsheet->getActiveSheet()->setCellValue('c1',"intervenant 2")->getStyle('c1:c1')->applyFromArray($grayWhite);
      $spreadsheet->getActiveSheet()->setCellValue('d1',"level")->getStyle('d1:d1')->applyFromArray($grayWhite);
      //$spreadsheet->getActiveSheet()->setCellValue('e1',"Date")->getStyle('e1:e1')->applyFromArray($greenWhite);
      $spreadsheet->getActiveSheet()->setCellValue('e1',"Presance")->getStyle('e1:e1')->applyFromArray($grayWhite);
      $spreadsheet->getActiveSheet()->setCellValue('f1',"Presance")->getStyle('f1:f1')->applyFromArray($grayWhite);
      $spreadsheet->getActiveSheet()->setCellValue('g1',"Code Site")->getStyle('g1:g1')->applyFromArray($grayWhite);
      $spreadsheet->getActiveSheet()->setCellValue('h1',"coordinateur")->getStyle('h1:h1')->applyFromArray($grayWhite);

      $fd = $_GET["fd"];
    $td = $_GET["td"];
/*$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");*/

$query2 = "SELECT `id`,`fullname`,`intervenant2`,`level`,`Coord`,dd_date,oper,just,dd_codesite,disp_coord
          from effectives_all,dailydispatch_rel
          where effectives_all.id=dailydispatch_rel.emp_id
          and id= '$id' and dailydispatch_rel.dd_date BETWEEN '$fd' AND '$td'  ORDER BY dd_date ";

$statement2 = mysqli_query($connect,$query2);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
    $y = 2;
    while($row2 = mysqli_fetch_assoc($statement2)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$y ,$row2['dd_date']);
        $spreadsheet->getActiveSheet()->setCellValue('B'.$y ,$row2['fullname']);
        $spreadsheet->getActiveSheet()->setCellValue('C'.$y ,$row2['intervenant2']);
        $spreadsheet->getActiveSheet()->setCellValue('d'.$y ,$row2['level']);
        $spreadsheet->getActiveSheet()->setCellValue('e'.$y ,$row2['oper']);
        $spreadsheet->getActiveSheet()->setCellValue('f'.$y ,$row2['just']);
        $spreadsheet->getActiveSheet()->setCellValue('g'.$y ,$row2['dd_codesite']);
        $spreadsheet->getActiveSheet()->setCellValue('h'.$y ,$row2['disp_coord']);

         $spreadsheet->getActiveSheet()->getStyle('A'.$y.':H'.$y)->applyFromArray($styleArrayCenter);
      $y++;
     }
     $yy=$y-1 ;
      $spreadsheet->getActiveSheet()->mergeCells('A'.$y.':D'.$y);
      $spreadsheet->getActiveSheet()->setCellValue('A'.$y,'Total working day');
       $spreadsheet->getActiveSheet()->getStyle('A'.$y.':A'.$y)->applyFromArray($grayWhite);
       $spreadsheet->getActiveSheet()->getStyle('e'.$y.':e'.$y)->applyFromArray($grayWhite);
      $spreadsheet->getActiveSheet()->setCellValue('e'.$y ,'=COUNTIF(E2:E'.$yy.',"=Operationnel")');
     $i++;
     $id++;
     $spreadsheet->getActiveSheet()->getStyle('A2:G'.$y)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('A2:A'.$y)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('b2:b'.$y)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('c2:c'.$y)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('d2:d'.$y)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('e2:e'.$y)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('f2:f'.$y)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('g2:g'.$y)->applyFromArray($styleArray);
    $spreadsheet->getActiveSheet()->getStyle('h2:h'.$y)->applyFromArray($styleArray);


      

 }



$spreadsheet->setActiveSheetIndex(0);

//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="Timesheet MS de '.$fd.' a '.$td.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');


