<?php


//$start_dd  = $_GET['start_dd'];
//$end_dd    = $_GET['end_dd'];
$q    = $_GET['q'];




//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;


$blackWhite = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ffff0000')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);

$redWhite = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ffff5733')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);


$styleArray = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),

);

$styleArrayCenter = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
    ),

);



//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle('PM PLAN with Last PM info');
$spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);

$spreadsheet->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('15');


//$spreadsheet->getActiveSheet()
//            ->setCellValue('A22',$dd_table);

$spreadsheet->getActiveSheet()->setCellValue('A1', "ID")->getStyle('A1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('B1', "Wilaya")->getStyle('B1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('C1', "CR")->getStyle('C1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('D1', "Code site")->getStyle('D1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('E1', "Week")->getStyle('E1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('F1', "Planned date")->getStyle('F1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('G1', "Quarter")->getStyle('G1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('H1', "PM Env")->getStyle('H1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('I1', "Team")->getStyle('I1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('J1', "Env ATP")->getStyle('J1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('K1', "Env Reserves")->getStyle('K1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('L1', "Priority")->getStyle('L1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('M1', "Topologie")->getStyle('M1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('N1', "Telco")->getStyle('N1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('O1', "Telco ATP")->getStyle('O1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('P1', "Last Q")->getStyle('P1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('Q1', "Last Env Ex")->getStyle('Q1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('R1', "Last Env Team")->getStyle('R1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('S1', "Last Env ATP")->getStyle('S1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('T1', "Last Env Reserves")->getStyle('T1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('U1', "Last Telco Ex")->getStyle('U1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('V1', "Last Telco ATP")->getStyle('V1')->applyFromArray($blackWhite);





for ($i = 'A'; $i !=  'Q'; $i++) {
    $spreadsheet->getActiveSheet()->getColumnDimension($i)->setAutoSize(TRUE);
}

$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
$connect->set_charset("utf8");

$query = " SELECT 

t1.id , t1.cr , t1.siteId , t1.wilaya , t1.plannedDate , t1.week_plan , t1.`quarter`,  t1.PM_ENV , t1.PM_ENV_Emp , t1.PM_ENV_Acceptance , t1.PM_rejected_cmnt , t1.Priorite , t1.Topologie , t1.CheckBSSSM9 , t1.BSS_SM9_Acceptance ,

t2.`siteId` as last_siteId, t2.`quarter` as last_quarter ,t2.`PM_ENV`  as last_PM_ENV, t2.`PM_ENV_Emp` as last_PM_ENV_Emp , t2.`PM_ENV_Acceptance` as last_PM_ENV_Acceptance , t2.`PM_rejected_cmnt` as last_PM_rejected_cmnt , t2.`CheckBSSSM9` as last_CheckBSSSM9 , t2.`BSS_SM9_Acceptance` as last_BSS_SM9_Acceptance FROM `progresspmbss2021_rel` t1 

left OUTER JOIN (SELECT * from `progresspmbss2021_rel` where id in (select MAX(`id`) FROM `progresspmbss2021_rel` where quarter!='$q' GROUP BY `siteId`))

 t2 ON t1.siteId = t2.`siteId` where t1.quarter='$q' order by t1.siteId ";

$statement = mysqli_query($connect,$query);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
$i = 2;
while($row = mysqli_fetch_assoc($statement)) {

    $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,$row['id']);
    $spreadsheet->getActiveSheet()->setCellValue('B'.$i ,$row['cr']);
    $spreadsheet->getActiveSheet()->setCellValue('C'.$i ,$row['siteId']);
    $spreadsheet->getActiveSheet()->setCellValue('D'.$i ,$row['wilaya']);
    $spreadsheet->getActiveSheet()->setCellValue('E'.$i ,$row['plannedDate']);
    $spreadsheet->getActiveSheet()->setCellValue('F'.$i ,$row['week_plan']);
    $spreadsheet->getActiveSheet()->setCellValue('G'.$i ,$row['quarter']);
    $spreadsheet->getActiveSheet()->setCellValue('H'.$i ,$row['PM_ENV']);
    $spreadsheet->getActiveSheet()->setCellValue('I'.$i ,$row['PM_ENV_Emp']);
    $spreadsheet->getActiveSheet()->setCellValue('J'.$i ,$row['PM_ENV_Acceptance']);
    $spreadsheet->getActiveSheet()->setCellValue('K'.$i ,$row['PM_rejected_cmnt']);
    $spreadsheet->getActiveSheet()->setCellValue('L'.$i ,$row['Priorite']);
    $spreadsheet->getActiveSheet()->setCellValue('M'.$i ,$row['Topologie']);
    $spreadsheet->getActiveSheet()->setCellValue('N'.$i ,$row['CheckBSSSM9']);
    $spreadsheet->getActiveSheet()->setCellValue('O'.$i ,$row['BSS_SM9_Acceptance']);
    $spreadsheet->getActiveSheet()->setCellValue('P'.$i ,$row['last_quarter']);
    $spreadsheet->getActiveSheet()->setCellValue('Q'.$i ,$row['last_PM_ENV']);
    $spreadsheet->getActiveSheet()->setCellValue('R'.$i ,$row['last_PM_ENV_Emp']);
    $spreadsheet->getActiveSheet()->setCellValue('S'.$i ,$row['last_PM_ENV_Acceptance']);
    $spreadsheet->getActiveSheet()->setCellValue('T'.$i ,$row['last_PM_rejected_cmnt']);
    $spreadsheet->getActiveSheet()->setCellValue('U'.$i ,$row['last_CheckBSSSM9']);
    $spreadsheet->getActiveSheet()->setCellValue('V'.$i ,$row['last_BSS_SM9_Acceptance']);







    $spreadsheet->getActiveSheet()->getStyle('A'.$i.':W'.$i)->applyFromArray($styleArrayCenter);
    $i++;
}

$ii = $i-1;
for ($y = 'A'; $y !=  'X'; $y++) {
    $spreadsheet->getActiveSheet()->getStyle($y.'2:'.$y.$ii)->applyFromArray($styleArrayCenter);
}



/*$x = $spreadsheet->getActiveSheet()->getHighestColumn();
$spreadsheet->getActiveSheet()->setCellValue('A2',$x)->getStyle('a2:a2')->applyFromArray($blackWhite);*/
$spreadsheet->setActiveSheetIndex(0);

$spreadsheet->getDefaultStyle()
    ->getFont()
    ->setName('Calibri')
    ->setSize(12);
//$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(FALSE);
//$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('60');


//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="PM PLAN with last PM for '.$q.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');




?>