<?php


$start_dd  = $_GET['fd'];
$end_dd    = $_GET['td'];




//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;


$blackWhite = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ffff0000')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);

$redWhite = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ffff5733')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);


$styleArray = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),

);

$styleArrayCenter = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
    ),

);



//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle('Facture');
$spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);

$spreadsheet->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('15');


//$spreadsheet->getActiveSheet()
//            ->setCellValue('A22',$dd_table);

$spreadsheet->getActiveSheet()->setCellValue('A1',"ID#")->getStyle('A1:A1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('B1',"Invoice category")->getStyle('b1:b1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('c1',"wilaya")->getStyle('c1:c1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('d1',"Site")->getStyle('d1:d1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('e1',"CR")->getStyle('e1:e1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('f1',"Invoice type")->getStyle('f1:f1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('g1',"item")->getStyle('g1:g1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('h1',"Price")->getStyle('h1:h1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('i1',"Qty")->getStyle('i1:i1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('j1',"Transport")->getStyle('j1:j1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('K1',"Comment")->getStyle('k1:k1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('l1',"Date")->getStyle('l1:l1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('m1',"FMT")->getStyle('m1:m1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('n1',"Coordinateur")->getStyle('n1:n1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('o1',"Insert date")->getStyle('o1:o1')->applyFromArray($blackWhite);




for ($i = 'A'; $i !=  'Q'; $i++) {
    $spreadsheet->getActiveSheet()->getColumnDimension($i)->setAutoSize(TRUE);
}

$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
$connect->set_charset("utf8");

$query = " SELECT * FROM `conssite_rel` where cons_inserted_date BETWEEN '$start_dd' and '$end_dd' ORDER BY cons_inserted_date ASC   ";

$statement = mysqli_query($connect,$query);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
$i = 2;
while($row = mysqli_fetch_assoc($statement)) {



    $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,$row['cons_id']);
    $spreadsheet->getActiveSheet()->setCellValue('B'.$i ,$row['fact_type']);
    $spreadsheet->getActiveSheet()->setCellValue('C'.$i ,$row['wilaya']);
    $spreadsheet->getActiveSheet()->setCellValue('D'.$i ,$row['cons_c_site']);
    $spreadsheet->getActiveSheet()->setCellValue('E'.$i ,$row['cons_cr']);
    $spreadsheet->getActiveSheet()->setCellValue('F'.$i ,$row['cons_type']);
    $spreadsheet->getActiveSheet()->setCellValue('G'.$i ,$row['item']);
    $spreadsheet->getActiveSheet()->setCellValue('H'.$i ,$row['price']);
    $spreadsheet->getActiveSheet()->setCellValue('I'.$i ,$row['cons_qty']);
    $spreadsheet->getActiveSheet()->setCellValue('J'.$i ,$row['transport_price']);
    $spreadsheet->getActiveSheet()->setCellValue('k'.$i ,$row['cons_PA']);
    $spreadsheet->getActiveSheet()->setCellValue('l'.$i ,$row['cons_date']);
    $spreadsheet->getActiveSheet()->setCellValue('m'.$i ,$row['cons_tl']);
    $spreadsheet->getActiveSheet()->setCellValue('n'.$i ,$row['cons_coord']);
    $spreadsheet->getActiveSheet()->setCellValue('o'.$i ,$row['cons_inserted_date']);





    $spreadsheet->getActiveSheet()->getStyle('A'.$i.':O'.$i)->applyFromArray($styleArrayCenter);
    $i++;
}

$ii = $i-1;
for ($y = 'A'; $y !=  'O'; $y++) {
    $spreadsheet->getActiveSheet()->getStyle($y.'2:'.$y.$ii)->applyFromArray($styleArrayCenter);
}



/*$x = $spreadsheet->getActiveSheet()->getHighestColumn();
$spreadsheet->getActiveSheet()->setCellValue('A2',$x)->getStyle('a2:a2')->applyFromArray($blackWhite);*/
$spreadsheet->setActiveSheetIndex(0);

$spreadsheet->getDefaultStyle()
    ->getFont()
    ->setName('Calibri')
    ->setSize(12);
//$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(FALSE);
//$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('50');



//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="Invoice protech - From '.$start_dd.' to '.$end_dd.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');




?>