<?php


//$start_dd  = $_GET['start_dd'];
//$end_dd    = $_GET['end_dd'];
$q  = $_GET['q_failed_correction'];





//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;


$blackWhite = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ffff0000')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);

$redWhite = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ffff5733')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);


$styleArray = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),

);

$styleArrayCenter = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
    ),

);



//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle('Failed correction follow - '.$q);
$spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);

$spreadsheet->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('15');


//$spreadsheet->getActiveSheet()
//            ->setCellValue('A22',$dd_table);

$spreadsheet->getActiveSheet()->setCellValue('A1',"#id")->getStyle('A1:A1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('B1',"SC")->getStyle('b1:b1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('c1',"CR")->getStyle('c1:c1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('d1',"SITE")->getStyle('d1:d1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('e1',"QUARTER")->getStyle('e1:e1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('f1',"FME")->getStyle('f1:f1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('g1',"RESERVES")->getStyle('g1:g1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('h1',"AFFECTATION")->getStyle('h1:h1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('i1',"CORRECTION")->getStyle('i1:i1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('j1',"ALIGNEMENT")->getStyle('j1:j1')->applyFromArray($blackWhite);




for ($i = 'A'; $i !=  'Q'; $i++) {
    $spreadsheet->getActiveSheet()->getColumnDimension($i)->setAutoSize(TRUE);
}

$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
$connect->set_charset("utf8");

$query = " SELECT * from  `failed_by_quarter2`  where quarter='$q'  order by id asc ";

$statement = mysqli_query($connect,$query);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
$i = 2;
while($row = mysqli_fetch_assoc($statement)) {



    $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,$row['id']);
    $spreadsheet->getActiveSheet()->setCellValue('B'.$i ,"PROTECH");
    $spreadsheet->getActiveSheet()->setCellValue('C'.$i ,$row['cr']);
    $spreadsheet->getActiveSheet()->setCellValue('D'.$i ,$row['code_site']);
    $spreadsheet->getActiveSheet()->setCellValue('E'.$i ,$row['quarter']);
    $spreadsheet->getActiveSheet()->setCellValue('F'.$i ,$row['fm_account']);
    $spreadsheet->getActiveSheet()->setCellValue('G'.$i ,$row['reserves']);
    $spreadsheet->getActiveSheet()->setCellValue('H'.$i ,$row['affectation']);
    $spreadsheet->getActiveSheet()->setCellValue('I'.$i ,$row['p_correction']);
    $spreadsheet->getActiveSheet()->setCellValue('J'.$i ,$row['o_alignment']);





    $spreadsheet->getActiveSheet()->getStyle('A'.$i.':J'.$i)->applyFromArray($styleArrayCenter);
    $i++;
}

$ii = $i-1;
for ($y = 'A'; $y !=  'K'; $y++) {
    $spreadsheet->getActiveSheet()->getStyle($y.'2:'.$y.$ii)->applyFromArray($styleArrayCenter);
}

mysqli_close($connect);

/*$x = $spreadsheet->getActiveSheet()->getHighestColumn();
$spreadsheet->getActiveSheet()->setCellValue('A2',$x)->getStyle('a2:a2')->applyFromArray($blackWhite);*/
$spreadsheet->setActiveSheetIndex(0);

$spreadsheet->getDefaultStyle()
    ->getFont()
    ->setName('Calibri')
    ->setSize(12);
//$spreadsheet->getActiveSheet()->getColumnDimension('H')->setAutoSize(FALSE);
//$spreadsheet->getActiveSheet()->getColumnDimension('H')->setWidth('50');



//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="Failed corretion follow '.$q.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');




?>