<?php

 $q = $_GET['q'];
 $date = date('d-m-Y');

//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;

use PhpOffice\PhpSpreadsheet\Cell\Coordinate;
use PhpOffice\PhpSpreadsheet\Style\ConditionalFormatting\Wizard;
use PhpOffice\PhpSpreadsheet\Style\Fill;
use PhpOffice\PhpSpreadsheet\Style\Style;


$blackWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '323e4f')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

$blackRed = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => ' FF5733 ')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);


           $styleArray = array(
        'borders' => array(
                'outline' => array(
                        'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                        'color' => array('argb' => '000000'),
                ),
        ),

        );

           $styleArrayCenter = array(
                  'borders' => array(
                       'outline' => array(
                            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                               'color' => array('argb' => '000000'),
                        ),
                    ),
                     'alignment' => array(
                         'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
                         ),

        );



//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle('Gap Telco vs Env');
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);

$spreadsheet->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('15');

$spreadsheet->getActiveSheet()
            ->setCellValue('A12','Attou ');

$spreadsheet->getActiveSheet()->setCellValue('A1',"FME")->getStyle('A1:A1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('B1',"PM Planned")->getStyle('b1:b1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('c1',"Env done")->getStyle('c1:c1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('d1',"BSS done")->getStyle('d1:d1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('e1',"Gap")->getStyle('e1:e1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('f1',"% Progress")->getStyle('f1:f1')->applyFromArray($blackWhite);



for ($i = 'A'; $i !=  'G'; $i++) {
    $spreadsheet->getActiveSheet()->getColumnDimension($i)->setAutoSize(TRUE);
}

$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");

$query = "SELECT `BSS_SM9_Emp` ,

count(*) as PM_planned ,

COUNT(if(`PM_ENV` in ('done'),1,null)) as env_done ,

COUNT(if(`CheckBSSSM9` in ('done','ok'),1,null)) as telco_done ,

	count(if(`PM_ENV`='done',1,null) and (if(`CheckBSSSM9` is null,1,null)) or if(`CheckBSSSM9` in ('Planned'),1,null)) as gap_env_telco

from progresspmbss2021 where quarter='$q' and `BSS_SM9_Emp`!='' and `BSS_SM9_Emp` is not null  group by `BSS_SM9_Emp`";

$statement = mysqli_query($connect,$query);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
    $i = 2;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,$row['BSS_SM9_Emp']);
        $spreadsheet->getActiveSheet()->setCellValue('B'.$i ,$row['PM_planned']);
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i ,$row['env_done']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i ,$row['telco_done']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i ,$row['gap_env_telco']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i ,'=D'.$i.'/C'.$i);



          $spreadsheet->getActiveSheet()->getStyle('A'.$i.':F'.$i)->applyFromArray($styleArrayCenter);
          $spreadsheet->getActiveSheet()->getStyle('F'.$i.':F'.$i)->getNumberFormat()
              ->setFormatCode(\PhpOffice\PhpSpreadsheet\Style\NumberFormat::FORMAT_PERCENTAGE_00);
        $i++;
    }



    for ($y = 'A'; $y !=  'F'; $y++) {
    $spreadsheet->getActiveSheet()->getStyle($y.'2:'.$y.$i)->applyFromArray($styleArrayCenter);



}



/*$x = $spreadsheet->getActiveSheet()->getHighestColumn();
$spreadsheet->getActiveSheet()->setCellValue('A2',$x)->getStyle('a2:a2')->applyFromArray($blackWhite);*/
$spreadsheet->setActiveSheetIndex(0);

$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Calibri')
            ->setSize(12);

$conditional = new \PhpOffice\PhpSpreadsheet\Style\Conditional();
$conditional->setConditionType(\PhpOffice\PhpSpreadsheet\Style\Conditional::CONDITION_CELLIS);
$conditional->setOperatorType(\PhpOffice\PhpSpreadsheet\Style\Conditional::OPERATOR_LESSTHAN);
$conditional->addCondition(0.51);
$conditional->getStyle()->getFont()->getColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_RED);
$conditional->getStyle()->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID);
$conditional->getStyle()->getFill()->getStartColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_RED);

$conditional2 = new \PhpOffice\PhpSpreadsheet\Style\Conditional();
$conditional2->setOperatorType(\PhpOffice\PhpSpreadsheet\Style\Conditional::OPERATOR_GREATERTHAN);
$conditional2->addCondition(0.79);
$conditional2->getStyle()->getFont()->getColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_BLUE);
$conditional2->getStyle()->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID);
$conditional2->getStyle()->getFill()->getStartColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_BLUE);

$conditionalStyles = $spreadsheet->getActiveSheet()->getStyle('f2:f30')->getConditionalStyles();
$conditionalStyles[] = $conditional;
$conditionalStyles[] = $conditional2;


$spreadsheet->getActiveSheet()->getStyle('f2:f30')->setConditionalStyles($conditionalStyles);







//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="Daily GAP Telco vs Env - '.$date.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');




?>