<?php

 $q = $_GET['q'];
 $date = date('d-m-Y');

//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;

use PhpOffice\PhpSpreadsheet\Cell\Coordinate;
use PhpOffice\PhpSpreadsheet\Style\ConditionalFormatting\Wizard;
use PhpOffice\PhpSpreadsheet\Style\Fill;
use PhpOffice\PhpSpreadsheet\Style\Style;


$blackWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '323e4f')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

$blackRed = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => ' FF5733 ')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);


           $styleArray = array(
        'borders' => array(
                'outline' => array(
                        'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                        'color' => array('argb' => '000000'),
                ),
        ),

        );

           $styleArrayCenter = array(
                  'borders' => array(
                       'outline' => array(
                            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                               'color' => array('argb' => '000000'),
                        ),
                    ),
                     'alignment' => array(
                         'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
                         ),

        );



//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle('Gap Telco vs Env');
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);

$spreadsheet->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('15');

$spreadsheet->getActiveSheet()
            ->setCellValue('A12','Attou ');

$spreadsheet->getActiveSheet()->setCellValue('A1',"CR")->getStyle('A1:A1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('B1',"Code site")->getStyle('b1:b1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('c1',"PM Env")->getStyle('c1:c1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('d1',"Correction")->getStyle('c1:c1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('e1',"Env Acceptance")->getStyle('d1:d1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('f1',"Env Reserves")->getStyle('E1:E1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('g1',"PM Telco")->getStyle('F1:F1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('h1',"FME")->getStyle('G1:G1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('i1',"Telco Acceptance")->getStyle('H1:H1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('j1',"Les reserves")->getStyle('I1:I1')->applyFromArray($blackWhite);



for ($i = 'A'; $i !=  'J'; $i++) {
    $spreadsheet->getActiveSheet()->getColumnDimension($i)->setAutoSize(TRUE);
}

$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");


//$query = "SELECT `cr`,`siteId`,`PM_ENV`,`correction`,`PM_ENV_Acceptance`,`PM_rejected_cmnt`,`CheckBSSSM9`,`BSS_SM9_Emp`,`BSS_SM9_Acceptance`,`BSS_SM9_rjct_cmnt` FROM `progresspmbss2021` WHERE
//
// cr in (
//
//   'C451312',
//'C453084',
//'C451269',
//'C451427',
//'C451318',
//'C451310',
//'C451835',
//'C451643',
//'C454713',
//'C453090',
//'C451425',
//'C454712',
//'C454697',
//'C454694',
//'C454686',
//'C451276',
//'C453088',
//'C454696',
//'C455827',
//'C455720',
//'C455545',
//'C455460',
//'C455430',
//'C451324',
//'C455834',
//'C455443',
//'C455719',
//'C455522',
//'C455506',
//'C455464',
//'C455462',
//'C455459',
//'C455423',
//'C451282',
//'C455466',
//'C451286',
//'C455539',
//'C455532',
//'C455515',
//'C455416',
//'C451674',
//'C451420',
//'C455824',
//'C455828',
//'C455829',
//'C451876',
//'C455845',
//'C455823',
//'C455764',
//'C455721',
//'C455666',
//'C451808',
//'C451253',
//'C455877',
//'C455536',
//'C451260',
//'C455902',
//'C455819',
//'C455678',
//'C455513',
//'C455436',
//'C451806',
//'C451661',
//'C455713',
//'C451888',
//'C455814',
//'C455813',
//'C455674',
//'C455546',
//'C455437',
//'C455421',
//'C455808',
//'C455512',
//'C455438',
//'C455419',
//'C451559',
//'C451413',
//'C455818',
//'C455410',
//'C451836',
//'C451781',
//'C451726',
//'C451628',
//'C451422',
//'C455788',
//'C455746',
//'C455697',
//'C455514',
//'C455442',
//'C455414',
//'C451442',
//'C451566',
//'C451394',
//'C451386',
//'C455897',
//'C455849',
//'C455749',
//'C455682',
//'C455627',
//'C455601',
//'C455537',
//'C455842',
//'C455797',
//'C455750',
//'C455731',
//'C455714',
//'C455705',
//'C455518',
//'C455473',
//'C451416',
//'C455775',
//'C455677',
//'C455888',
//'C455810',
//'C455807',
//'C455748',
//'C455706',
//'C455432',
//'C451908',
//'C451777',
//'C451683',
//'C455755',
//'C451420',
//'C455668'
//
//)";

$query = "SELECT `cr`,`siteId`,`PM_ENV`,`correction`,`PM_ENV_Acceptance`,`PM_rejected_cmnt`,`CheckBSSSM9`,`BSS_SM9_Emp`,`BSS_SM9_Acceptance`,`BSS_SM9_rjct_cmnt` FROM `progresspmbss2021` WHERE quarter='q12023' and 

 siteId in (

 'OR3103',
'RE4802',
'CH0237',
'TL1304',
'OR3109',
'OR3101',
'SA2015',
'TI1424',
'RE4814',
'TL1334',
'TL1302',
'TI1403',
'TL1320',
'SA2019',
'CH0241',
'MA2903',
'OR3102',
'OR3106',
'OR5900',
'TL1349',
'TL1308',
'OR3104',
'CH0239',
'OR3115',
'RE4819',
'MA2933',
'TL1347',
'SI2205',
'RE4803',
'OR3110',
'OR3107',
'OR3100',
'CH0210',
'MA2909',
'OR3113',
'MA2926',
'TL1300',
'TI1401',
'SA2002',
'CH0200',
'TL1355',
'TI1421',
'OR5370',
'OR5901',
'OR5902',
'TL1363',
'SA2031',
'OR5367',
'MA2928',
'TL1350',
'RE4811',
'OR5368',
'CH0202',
'TL1366',
'TI1409',
'CH0209',
'TL6144',
'OR5361',
'SA2004',
'RE4833',
'MA2906',
'OR5366',
'TL1340',
'TL1339',
'TL1376',
'OR5343',
'OR5342',
'RE7817',
'TL1309',
'MA2907',
'CH0207',
'OR5327',
'RE4832',
'MA2908',
'CH0204',
'OR3173',
'TI1404',
'OR5358',
'AT4606',
'SA2030',
'OR5320',
'MA2927',
'SI2215',
'TI1432',
'OR3194',
'CH0233',
'TI1408',
'SA2001',
'MA2932',
'AT4633',
'TL1319',
'OR3180',
'SI2200',
'REPOS02',
'TL1398',
'SI2221',
'CH0240',
'SA2029',
'OR3162',
'MA2922',
'TI1416',
'RE7809',
'OR5305',
'CH0243',
'TL6127',
'TL1341',
'TL1323',
'SA2026',
'OR3122',
'TI1414',
'MAT11',
'SA2000',
'TL1382',
'OR5334',
'OR5324',
'CH0238',
'TL1324',
'MA2900',
'TL6145',
'OR5316',
'TL6116',
'CH0254',
'RE4818'

)";


$statement = mysqli_query($connect,$query);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
    $i = 2;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,$row['cr']);
        $spreadsheet->getActiveSheet()->setCellValue('B'.$i ,$row['siteId']);
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i ,$row['PM_ENV']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i ,$row['correction']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i ,$row['PM_ENV_Acceptance']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i ,$row['PM_rejected_cmnt']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i ,$row['CheckBSSSM9']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i ,$row['BSS_SM9_Emp']);
        $spreadsheet->getActiveSheet()->setCellValue('I'.$i ,$row['BSS_SM9_Acceptance']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i ,$row['BSS_SM9_rjct_cmnt']);
       // $spreadsheet->getActiveSheet()->setCellValue('F'.$i ,'=D'.$i.'/C'.$i);



          $spreadsheet->getActiveSheet()->getStyle('A'.$i.':J'.$i)->applyFromArray($styleArrayCenter);
          //$spreadsheet->getActiveSheet()->getStyle('F'.$i.':F'.$i)->getNumberFormat()
            //  ->setFormatCode(\PhpOffice\PhpSpreadsheet\Style\NumberFormat::FORMAT_PERCENTAGE_00);
        $i++;
    }



    for ($y = 'A'; $y !=  'J'; $y++) {
    $spreadsheet->getActiveSheet()->getStyle($y.'2:'.$y.$i)->applyFromArray($styleArrayCenter);



}
$spreadsheet->getActiveSheet()->getColumnDimension('i')->setWidth('55');


/*$x = $spreadsheet->getActiveSheet()->getHighestColumn();
$spreadsheet->getActiveSheet()->setCellValue('A2',$x)->getStyle('a2:a2')->applyFromArray($blackWhite);*/
$spreadsheet->setActiveSheetIndex(0);

$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Calibri')
            ->setSize(12);

$conditional = new \PhpOffice\PhpSpreadsheet\Style\Conditional();
$conditional->setConditionType(\PhpOffice\PhpSpreadsheet\Style\Conditional::CONDITION_CELLIS);
$conditional->setOperatorType(\PhpOffice\PhpSpreadsheet\Style\Conditional::OPERATOR_LESSTHAN);
$conditional->addCondition(0.51);
$conditional->getStyle()->getFont()->getColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_RED);
$conditional->getStyle()->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID);
$conditional->getStyle()->getFill()->getStartColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_RED);

$conditional2 = new \PhpOffice\PhpSpreadsheet\Style\Conditional();
$conditional2->setOperatorType(\PhpOffice\PhpSpreadsheet\Style\Conditional::OPERATOR_GREATERTHAN);
$conditional2->addCondition(0.79);
$conditional2->getStyle()->getFont()->getColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_BLUE);
$conditional2->getStyle()->getFill()->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID);
$conditional2->getStyle()->getFill()->getStartColor()->setARGB(\PhpOffice\PhpSpreadsheet\Style\Color::COLOR_BLUE);

$conditionalStyles = $spreadsheet->getActiveSheet()->getStyle('f2:f30')->getConditionalStyles();
$conditionalStyles[] = $conditional;
$conditionalStyles[] = $conditional2;


$spreadsheet->getActiveSheet()->getStyle('f2:f30')->setConditionalStyles($conditionalStyles);







//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="Acceptance Telco vs Env - '.$date.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');




?>