<?php

 $q = $_GET['q'];
 $date = date('d-m-Y');

//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;




$blackWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '323e4f')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );

$blackRed = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => ' FF5733 ')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);


           $styleArray = array(
        'borders' => array(
                'outline' => array(
                        'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                        'color' => array('argb' => '000000'),
                ),
        ),

        );

           $styleArrayCenter = array(
                  'borders' => array(
                       'outline' => array(
                            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                               'color' => array('argb' => '000000'),
                        ),
                    ),
                     'alignment' => array(
                         'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
                         ),

        );



//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle('Telco acceptance vs Env');
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);

$spreadsheet->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('15');

$spreadsheet->getActiveSheet()
            ->setCellValue('A12','Attou ');

$spreadsheet->getActiveSheet()->setCellValue('A1',"CR")->getStyle('A1:A1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('B1',"Code site")->getStyle('b1:b1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('c1',"PM Env")->getStyle('c1:c1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('d1',"Env Acceptance")->getStyle('d1:d1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('e1',"PM Telco")->getStyle('e1:e1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('f1',"FME")->getStyle('f1:f1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('g1',"Telco Acceptance")->getStyle('g1:g1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('h1',"Les reserves")->getStyle('h1:h1')->applyFromArray($blackWhite);



for ($i = 'A'; $i !=  'G'; $i++) {
    $spreadsheet->getActiveSheet()->getColumnDimension($i)->setAutoSize(TRUE);
}

$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");

$query = "SELECT `cr`,`siteId`,`PM_ENV`,`PM_ENV_Acceptance`,`CheckBSSSM9`,`BSS_SM9_Emp`,`BSS_SM9_Acceptance` FROM `progresspmbss2021` WHERE `quarter`='q42022'";

$statement = mysqli_query($connect,$query);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
    $i = 2;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,$row['cr']);
        $spreadsheet->getActiveSheet()->setCellValue('B'.$i ,$row['siteId']);
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i ,$row['PM_ENV']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i ,$row['PM_ENV_Acceptance']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i ,$row['CheckBSSSM9']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i ,$row['BSS_SM9_Emp']);
        $spreadsheet->getActiveSheet()->setCellValue('g'.$i ,$row['BSS_SM9_Acceptance']);
       // $spreadsheet->getActiveSheet()->setCellValue('h'.$i ,$row['BSS_SM9_rjct_cmnt']);



          $spreadsheet->getActiveSheet()->getStyle('A'.$i.':h'.$i)->applyFromArray($styleArrayCenter);

        $i++;
    }



    for ($y = 'A'; $y !=  'h'; $y++) {
    $spreadsheet->getActiveSheet()->getStyle($y.'2:'.$y.$i)->applyFromArray($styleArrayCenter);



}



/*$x = $spreadsheet->getActiveSheet()->getHighestColumn();
$spreadsheet->getActiveSheet()->setCellValue('A2',$x)->getStyle('a2:a2')->applyFromArray($blackWhite);*/
$spreadsheet->setActiveSheetIndex(0);

$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Calibri')
            ->setSize(12);





//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="Telco acceptance vs Env.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');




?>