//alert(" the pm_chatsjs.js file have called...");

function calculateWeekdays(startDate, endDate) {
    const millisecondsPerDay = 24 * 60 * 60 * 1000; // Number of milliseconds in one day
    let currentDate = new Date(startDate); // Start with the startDate
    let weekdaysCount = 0; // Initialize weekdays count to zero

    // Loop through each date from startDate to endDate
    while (currentDate <= endDate) {
        const dayOfWeek = currentDate.getDay(); // Get the day of the week (0 for Sunday, 6 for Saturday)

        // Check if the current day is not a weekend (Saturday or Sunday)
        if (dayOfWeek !== 0 && dayOfWeek !== 6) {
            weekdaysCount++; // Increment weekdays count
        }

        // Move to the next day
        currentDate.setTime(currentDate.getTime() + millisecondsPerDay);
    }

    return weekdaysCount;
}

function calculateDaysSinceStart(start_q,end_q) {
    const today = new Date();
    const year = today.getFullYear();
    const month = (today.getMonth() + 1).toString().padStart(2, '0');
    const day = today.getDate().toString().padStart(2, '0');

    const currentDate = `${year}-${month}-${day}`;
    const start_quarter_date = start_q;
    const end_quarter_date   = end_q;
    //console.log("current date = " + currentDate + " - start date = " + start_quarter_date);
    alert("current date = " + currentDate + " - start date = " + start_quarter_date+" - end date = "+end_quarter_date);
    const start_date = new Date(start_quarter_date);
    const end_date   = new Date(end_quarter_date);
    const current_Date = new Date(currentDate);
    const end_current_date =end_date-current_Date;
    alert(" end_current_date = "+end_current_date);
    var diffInMilliseconds =0;
    if(end_current_date>=0){
         diffInMilliseconds = current_Date - start_date;
    }else if(end_current_date<0){
         diffInMilliseconds = end_date - start_date;
    }


    //const diffInMilliseconds = date2 - date1;
    const diffInSeconds = diffInMilliseconds / 1000;
    const diffInMinutes = diffInSeconds / 60;
    const diffInHours = diffInMinutes / 60;
    const diffInDays = diffInHours / 24;
alert(" diff date = "+diffInDays);
    return diffInDays;
}


function get_quarter_info(q) {
//alert(" start function chart_pm q = "+q);
    $.ajax({
        url:"chartjs/php/get_quarter_info.php",
        method:"POST",
        data:{
            action:'fetch_quarter_info',
            quarter : q
        },
        dataType:"JSON",
        beforeSend: function () { // Before we send the request, remove the .hidden class from the spinner and default to inline-block.
            //  alert(" before ");
            // $('#loadd').removeClass('hiddden');
            // document.getElementById("loading").style.display = "flex";

        },
        success:function(data)
        {
            // alert("q info  ="+data[0].q_name+data[0].start_date);

            var q_name        = data[0].q_name;
            var start_date    = data[0].start_date;
            var end_date      = data[0].end_date;
//alert("start date = "+start_date+" end date = "+end_date);
            document.getElementById("start_q").value = start_date;
            document.getElementById("end_q").value = end_date;

        },
        complete: function () { // Set our complete callback, adding the .hidden class and hiding the spinner.


        },
    })
}


// Function PM ENV Progress
function chart_pm(q) {
//alert(" start function chart_pm q = "+q);
    $.ajax({
        url:"chartjs/php/pm_chartjs.php",
        method:"POST",
        data:{
            action:'fetch_pm',
            quarter : q
        },
        dataType:"JSON",
        beforeSend: function () { // Before we send the request, remove the .hidden class from the spinner and default to inline-block.
          //  alert(" before ");
            // $('#loadd').removeClass('hiddden');
           // document.getElementById("loading").style.display = "flex";

        },
        success:function(data)
        {
           // alert("var ="+data[0].PMdone);

            var TotalPM        = data[0].TotalPM;
            var PMdone         = data[0].PMdone;
            var PMNotedone     = data[0].PMNotdone;
            var PM_Accessprblm = data[0].PM_Accessprblm;
            var PMenvAccep     = data[0].PMenvAccep;
            var PMenvReject    = data[0].PMenvReject;
            var PMenvNchecked  = data[0].PMenvNchecked;
            var PMenvAccPlan   = data[0].PMenvAccPlan;

            var BSSdone         = data[0].BSSdone;
            var BSSnotOk        = data[0].BSSnotOk;
            var BSSNotdone      = data[0].BSSNotdone;
            var BSS_Accessprblm = data[0].BSS_Accessprblm;
            var BSS_SND         = data[0].BSS_SND;
            var BSSAccep        = data[0].BSSAccep;
            var BSS_PWR         = data[0].BSS_PWR;
            var BSS_Corr        = data[0].BSS_Corr;
            var BSSReject       = data[0].BSSReject;
            var BSSNchecked     = data[0].BSSNchecked;
            var BSSAccPlan      = data[0].BSSAccPlan;

            var PMGlobaleDone    = data[0].PMGlobaleDone;
            var PMGlobaleNotDone = data[0].PMGlobaleNotDone;
            var PMGlobaleAccp    = data[0].PMGlobaleAccp;
            var PMGlobaleRejct   = data[0].PMGlobaleRejct;
            var PMenvDtelcoND    = data[0].PMenvDtelcoND;
            var PMenvAccptelcoND = data[0].PMenvAccptelcoND;
            var BSSAccptedEnvNdone = data[0].BSSAccptedEnvNdone;

            var ReportNotDone = data[0].ReportNotDone;
            var ReportAccept  = data[0].ReportAccept;
            var ReportSend    = data[0].ReportSend;
            var ReportReject  = data[0].ReportReject;

            var ConfPSdone   = data[0].ConfPSdone;
            var ConfPSnotOK  = data[0].ConfPSnotOK;
            var ConfPSnotDone= data[0].ConfPSnotDone;

            var MDTdone      = data[0].MDTdone;
            var MDTnoteDone  = data[0].MDTnoteDone;

            var P0Total     = data[0].P0Total;
            var P0BSC       = data[0].P0BSC;
            var P0SDH       = data[0].P0SDH;
            var P0THS       = data[0].P0THS;
            var P0BTS       = data[0].P0BTS;

            var P0BSC_GD       = data[0].P0BSC_GD;
            var P0SDH_GD       = data[0].P0SDH_GD;
            var P0THS_GD       = data[0].P0THS_GD;
            var P0BTS_GD       = data[0].P0BTS_GD;

            var P0BSC_GAccp       = data[0].P0BSC_GAccp;
            var P0SDH_GAccp       = data[0].P0SDH_GAccp;
            var P0THS_GAccp       = data[0].P0THS_GAccp;
            var P0BTS_GAccp       = data[0].P0BTS_GAccp;

            var P0BSC_Grej       = data[0].P0BSC_Grej;
            var P0SDH_Grej       = data[0].P0SDH_Grej;
            var P0THS_Grej       = data[0].P0THS_Grej;
            var P0BTS_Grej       = data[0].P0BTS_Grej;

            var P1Total          = data[0].P1Total;
            var P1THS            = data[0].P1THS;
            var P1BTS            = data[0].P1BTS;

            var P1THS_GD         = data[0].P1THS_GD;
            var P1BTS_GD         = data[0].P1BTS_GD;

            var P1THS_GAccp      = data[0].P1THS_GAccp;
            var P1BTS_GAccp      = data[0].P1BTS_GAccp;

            var P1THS_Grej       = data[0].P1THS_Grej;
            var P1BTS_Grej       = data[0].P1BTS_Grej;



           // let target = TotalPM/90;
            let target = 10;

            // let c_d = formatCurrentDate();
            // let nd = getNumberOfDays('10/16/2022',c_d);
            // alert("date = "+c_d);

            // let today = new Date();
            // let year = today.getFullYear();
            // let month = (today.getMonth() + 1).toString().padStart(2, '0');
            // let day = today.getDate().toString().padStart(2, '0');
            //
            // let currentDate = `${year}-${month}-${day}`;
            // let start_quarter_date = document.getElementById("start_q").value;
            // alert("current date = "+currentDate+" - start date = "+start_quarter_date);
            //
            // const date1 = new Date(start_quarter_date);
            // const date2 = new Date(currentDate);
            //
            // const diffInMilliseconds = date2 - date1;
            // const diffInSeconds = diffInMilliseconds / 1000;
            // const diffInMinutes = diffInSeconds / 60;
            // const diffInHours = diffInMinutes / 60;
            // const diffInDays = diffInHours / 24;
            const start_q = document.getElementById("start_q").value;
            const end_q = document.getElementById("end_q").value;
            const today = new Date();
            const year = today.getFullYear();
            const month = (today.getMonth() + 1).toString().padStart(2, '0');
            const day = today.getDate().toString().padStart(2, '0');
            const currentDate = `${year}-${month}-${day}`;


            const startDate = new Date(start_q);
            const endDate = new Date(end_q);
            const current_Date = new Date(currentDate);
            var daysSinceStart=0;
           // alert(" chart start date = "+startDate+"-- to -- "+endDate+" current = "+current_Date);
            if(endDate>=current_Date){
                const end = new Date(currentDate);
                 daysSinceStart = calculateWeekdays(startDate , end);
               // alert("end sup = "+daysSinceStart);
            }else{
                const end = new Date(end_q);
                 daysSinceStart = calculateWeekdays(startDate , end);
               // alert("current sup = "+daysSinceStart);
            }
            //const daysSinceStart = calculateWeekdays(startDate , end);
           // const daysSinceStart = 11;
           // alert("daysSinceStart = "+daysSinceStart);

            var daily_target = (target*daysSinceStart).toFixed(0);
            var env_prog_gap = daily_target-PMdone;
            var telco_accp_gap = parseInt(PMenvAccep)-parseInt(BSSAccep)+parseInt(BSSReject);


            var PMGlobalPlanned = TotalPM-PMGlobaleDone;
            var PMGlobalGap     = daily_target-PMGlobaleDone;
            var PMGlobalAccpGap = PMGlobaleDone-PMGlobaleAccp;

            var PMenvPlanned    = TotalPM-PMdone-PM_Accessprblm;
            var PMenvGap        = daily_target-PMdone;


            var PMBSSPlanned    = TotalPM-BSSdone-BSS_Accessprblm;
            var PMBSSGap        = daily_target-BSSdone;


            // chart_doughnut_3('div_chart_Env_prog','chart_Env_prog' , PMdone,PM_Accessprblm,PMNotedone,'Done','Issue','To be Planned',chart_green,chart_pink,chart_yellow , 'env_prog_trgt_span' , daily_target , 'env_prog_gap_span' , env_prog_gap , 'env_prog_taux_span' , '+00,00');
            // chart_doughnut_3('div_chart_Env_acc','chart_Env_acc' , PMenvAccep,PMenvReject,PMenvNchecked,'Accepted','Rejected','On check',chart_green,chart_red,chart_brown , 'env_acc_trgt_span' , PMdone , 'env_acc_gap_span' , PMenvReject , 'env_acc_taux_span' , '+00,00');
            //
            // chart_doughnut_3('div_chart_telc_prog','chart_telc_prog' , BSSdone,BSS_Accessprblm,BSSNotdone,'Done','Issue','Planned',chart_green,chart_pink,chart_yellow , 'telc_prog_trgt_span' , daily_target , 'telc_prog_gap_span' , env_prog_gap , 'telc_prog_taux_span' , '+00,00');
            // chart_doughnut_3('div_chart_telc_acc','chart_telc_acc' , BSSAccep,BSSReject,BSSNchecked,'Accepted','Rejected','On check',chart_green,chart_red,chart_brown , 'telc_acc_trgt_span' , BSSdone , 'telc_acc_gap_span' , BSSReject , 'telc_acc_taux_span' , '+00,00');

            // PS CONFIG *****************************************************************************
            var PSconfigPlanned = TotalPM - ConfPSdone - ConfPSnotOK;
            var PSconfigGap     = PMdone  - ConfPSdone ;

          //  alert("accp env ="+data[0].PMenvAccep);
            chart_doughnut_3('div_chart_pmg_prog','chart_pmg_prog' , PMGlobaleDone,0,PMGlobalPlanned,'Done','Issue','Planned',chart_green,chart_pink,chart_yellow , 'pmg_prog_trgt_span' , daily_target , 'pmg_prog_gap_span' , PMGlobalGap , 'pmg_prog_taux_span' , '+00,0');
            chart_doughnut_3('div_chart_pmg_accp','chart_pmg_accp' , PMGlobaleAccp,PMenvNchecked,PMGlobaleRejct,'Accepted','On check','Rejected',chart_green,chart_pink,chart_red , 'pmg_accp_trgt_span' , daily_target , 'pmg_accp_gap_span' , PMGlobalAccpGap , 'pmg_accp_taux_span' , '+00,0');

            chart_doughnut_3('div_chart_Env_prog','chart_Env_prog' , PMdone,PM_Accessprblm,PMenvPlanned,'Done','Issue','Planned',chart_green,chart_pink,chart_yellow , 'env_prog_trgt_span' , daily_target , 'env_prog_gap_span' , PMenvGap , 'env_prog_taux_span' , '+00,0');
            chart_doughnut_3('div_chart_Env_accp','chart_Env_accp' , PMenvAccep,PMenvNchecked,PMenvReject,'Accepted','On check','Rejected',chart_green,chart_pink,chart_red , 'env_accp_trgt_span' , daily_target , 'env_accp_gap_span' , PMenvNchecked , 'env_accp_taux_span' , '+00,0');

            chart_doughnut_3('div_chart_telco_prog','chart_telco_prog' , BSSdone,BSS_Accessprblm,PMBSSPlanned,'Done','Issue','Planned',chart_green,chart_pink,chart_yellow , 'telco_prog_trgt_span' , daily_target , 'telco_prog_gap_span' , PMBSSGap , 'telco_prog_taux_span' , '+00,0');
            chart_doughnut_3('div_chart_telco_accp','chart_telco_accp' , BSSAccep,BSSNchecked,BSSReject,'Accepted','On check','Rejected',chart_green,chart_pink,chart_red , 'telco_accp_trgt_span' , daily_target , 'telco_accp_gap_span' , BSSNchecked , 'telco_accp_taux_span' , '+00,0');







        },
        complete: function () { // Set our complete callback, adding the .hidden class and hiding the spinner.
            //  $('#loadd').addClass('hiddden');
          //  document.getElementById("loading").style.display = "none";

        },
    })
}


function get_pm_stat_table_by_wilaya(q,selectelement){

    var q = document.getElementById(selectelement).value;
    // alert("table stat q = "+q) ;

    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_stat_table.php?q="+q, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4 ) {
            /* document.getElementById("loading").style.display = "flex";  */
        }
        if (this.readyState == 4 && this.status == 200) {

            var data = JSON.parse(this.responseText);
            //  console.log(data);

            var NbR=0;
            var T_PM=0;
            var  T_env_done=0;
            var  T_env_acc=0;
            var  T_env_rej=0;
            var  T_telco_done =0;
            var  T_telco_acc =0;
            var  T_telco_rej =0;
            var  T_pm_global_acc =0;
            var  T_gap_env_telco =0;
            var  T_P0_Planned =0;
            var  T_P0_done =0;
            var  T_P0_acc =0;
            var  T_P1_Planned =0;
            var  T_P1_done =0;
            var  T_P1_acc =0;
            var  T_issues =0;
            var html = "";
            for(var a = 0; a < data.length; a++) {
                var wilaya            = data[a].wilaya;
                var total_PM          = data[a].total_PM;
                var env_done          = data[a].env_done;
                var env_acc           = data[a].env_acc;
                var env_rej           = data[a].env_rej;
                var telco_done        = data[a].telco_done;
                var telco_acc         = data[a].telco_acc;
                var telco_rej         = data[a].telco_rej;
                var pm_global_acc     = data[a].pm_global_acc;
                var gap_env_telco     = data[a].gap_env_telco;
                var P0_Planned        = data[a].P0_Planned;
                var P0_done           = data[a].P0_done;
                var P0_acc            = data[a].P0_acc;
                var P1_Planned        = data[a].P1_Planned;
                var P1_done           = data[a].P1_done;
                var P1_acc            = data[a].P1_acc;
                var issues            = data[a].issues;
                //alert("env="+env_acc);
                T_PM                  =T_PM+parseInt(data[a].total_PM);
                T_env_done            =T_env_done+parseInt(data[a].env_done);
                T_env_acc             =T_env_acc+parseInt(data[a].env_acc);
                T_env_rej             =T_env_rej+parseInt(data[a].env_rej);
                T_telco_done          =T_telco_done+parseInt(data[a].telco_done);
                T_telco_acc           =T_telco_acc+parseInt(data[a].telco_acc);
                T_telco_rej           =T_telco_rej+parseInt(data[a].telco_rej);
                T_pm_global_acc       =T_pm_global_acc+parseInt(data[a].pm_global_acc);
                T_gap_env_telco       =T_gap_env_telco+parseInt(data[a].gap_env_telco);
                T_P0_Planned          =T_P0_Planned+parseInt(data[a].P0_Planned);
                T_P0_done             =T_P0_done+parseInt(data[a].P0_done);
                T_P0_acc              =T_P0_acc+parseInt(data[a].P0_acc);
                T_P1_Planned          =T_P1_Planned+parseInt(data[a].P1_Planned);
                T_P1_done             =T_P1_done+parseInt(data[a].P1_done);
                T_P1_acc              =T_P1_acc+parseInt(data[a].P1_acc);
                T_issues              =T_issues+parseInt(data[a].issues);
                html += '<tr style="font-size: 12px" class="table-row" data-href="">';
                html += "<td class='tdd'  scope='col'>" + wilaya + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_PM + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_done + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_rej + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_done + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_rej + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + pm_global_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + gap_env_telco + "</td>";
                html += "<td class='tdd' style='background : #ffcccc'  scope='col'>" + P0_Planned + "</td>";
                html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_done + "</td>";
                html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_acc + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_Planned + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_done + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_acc + "</td>";
                html += "<td class='tdd' style='background : #e6e6ff'  scope='col'>" + issues + "</td>";
                html += "</tr>";
                NbR++;

            }
            html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            html += "<td class='tdd'  scope='col'>TOTAL</td>";
            html += "<td class='tdd'  scope='col'>"+T_PM+"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_env_done +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_env_acc +"</td>"
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_env_rej +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_telco_done +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_telco_acc +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_telco_rej +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_pm_global_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_gap_env_telco +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_Planned +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_done +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_Planned +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_done +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_issues +"</td>";
            html += "</tr>";

            document.getElementById("pm_stat_table").innerHTML = html;
            /*  getUniqueValuesFromColumnMY() ; */
            /*document.getElementById("loading").style.display = "none";
            document.getElementById("total").innerHTML = NbR;*/
        }
    };


}

function get_pm_stat_table_by_date(q , from_date , to_date  ){
    var q = document.getElementById('pm_quarter').value;
    //  var from_date = document.getElementById("start_q").value;
    //  var to_date   = document.getElementById("end_q").value;
      var from_date = from_date;
      var to_date   = to_date;
    // alert("table stat q = "+q+from_date+to_date) ;

    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_stat_table_by_date.php?q="+q+"&from_date="+from_date+"&to_date="+to_date, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4 ) {
            /* document.getElementById("loading").style.display = "flex";  */
        }
        if (this.readyState == 4 && this.status == 200) {

            var data = JSON.parse(this.responseText);
            //  console.log(data);

            var NbR=0;
            var T_PM=0;
            var  T_env_done=0;
            var  T_env_acc=0;
            var  T_env_rej=0;
            var  T_telco_done =0;
            var  T_telco_acc =0;
            var  T_telco_rej =0;
            var  T_pm_global_acc =0;
            var  T_gap_env_telco =0;
            var  T_P0_Planned =0;
            var  T_P0_done =0;
            var  T_P0_acc =0;
            var  T_P1_Planned =0;
            var  T_P1_done =0;
            var  T_P1_acc =0;
            var  T_issues =0;
            var html = "";
            for(var a = 0; a < data.length; a++) {
                var PM_date            = data[a].PM_date;
                var total_PM          = data[a].total_PM;
                var env_done          = data[a].env_done;
                var env_acc           = data[a].env_acc;
                var env_rej           = data[a].env_rej;
                var telco_done        = data[a].telco_done;
                var telco_acc         = data[a].telco_acc;
                var telco_rej         = data[a].telco_rej;
                var pm_global_acc     = data[a].pm_global_acc;
                var gap_env_telco     = data[a].gap_env_telco;
                var P0_Planned        = data[a].P0_Planned;
                var P0_done           = data[a].P0_done;
                var P0_acc            = data[a].P0_acc;
                var P1_Planned        = data[a].P1_Planned;
                var P1_done           = data[a].P1_done;
                var P1_acc            = data[a].P1_acc;
                var issues            = data[a].issues;

                T_PM                  =T_PM+parseInt(data[a].total_PM);
                T_env_done            =T_env_done+parseInt(data[a].env_done);
                T_env_acc             =T_env_acc+parseInt(data[a].env_acc);
                T_env_rej             =T_env_rej+parseInt(data[a].env_rej);
                T_telco_done          =T_telco_done+parseInt(data[a].telco_done);
                T_telco_acc           =T_telco_acc+parseInt(data[a].telco_acc);
                T_telco_rej           =T_telco_rej+parseInt(data[a].telco_rej);
                T_pm_global_acc       =T_pm_global_acc+parseInt(data[a].pm_global_acc);
                T_gap_env_telco       =T_gap_env_telco+parseInt(data[a].gap_env_telco);
                T_P0_Planned          =T_P0_Planned+parseInt(data[a].P0_Planned);
                T_P0_done             =T_P0_done+parseInt(data[a].P0_done);
                T_P0_acc              =T_P0_acc+parseInt(data[a].P0_acc);
                T_P1_Planned          =T_P1_Planned+parseInt(data[a].P1_Planned);
                T_P1_done             =T_P1_done+parseInt(data[a].P1_done);
                T_P1_acc              =T_P1_acc+parseInt(data[a].P1_acc);
                T_issues              =T_issues+parseInt(data[a].issues);

                html += '<tr style="font-size: 12px" class="table-row" data-href="">';
                html += "<td class='tdd'  scope='col'>" + PM_date + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_PM + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_done + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_rej + "</td>";

                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + pm_global_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + gap_env_telco + "</td>";
                html += "<td class='tdd' style='background : #ffcccc'  scope='col'>" + P0_Planned + "</td>";
                html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_done + "</td>";
                html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_acc + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_Planned + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_done + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_acc + "</td>";
                html += "<td class='tdd' style='background : #e6e6ff'  scope='col'>" + issues + "</td>";
                html += "</tr>";
                NbR++;

            }
            html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            html += "<td class='tdd'  scope='col'>TOTAL</td>";
            html += "<td class='tdd'  scope='col'>"+T_PM+"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_env_done +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_env_acc +"</td>"
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_env_rej +"</td>";

            html += "<td class='tdd'  scope='col'>"+ T_pm_global_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_gap_env_telco +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_Planned +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_done +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_Planned +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_done +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_issues +"</td>";
            html += "</tr>";

            document.getElementById("pm_stat_table_by_date").innerHTML = html;
            /*  getUniqueValuesFromColumnMY() ; */
            /*document.getElementById("loading").style.display = "none";
            document.getElementById("total").innerHTML = NbR;*/
        }
    };


}

function get_pm_telco_stat_table_by_date(q , from_date , to_date  ){
    //alert("pm_telco_stat_table_by_date = "+q+from_date+to_date) ;
   // var q = document.getElementById('pm_quarter').value;
    //  var from_date = document.getElementById("start_q").value;
    //  var to_date   = document.getElementById("end_q").value;
    var from_date = from_date;
    var to_date   = to_date;


    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_pm_telco_stat_table_by_date.php?q="+q+"&from_date="+from_date+"&to_date="+to_date, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4 ) {
            /* document.getElementById("loading").style.display = "flex";  */
        }
        if (this.readyState == 4 && this.status == 200) {

            var data = JSON.parse(this.responseText);
            //  console.log(data);

            var NbR=0;
            var T_PM=0;
            var  T_env_done=0;
            var  T_env_acc=0;
            var  T_env_rej=0;
            var  T_telco_done =0;
            var  T_telco_acc =0;
            var  T_telco_rej =0;
            var  T_pm_global_acc =0;
            var  T_gap_env_telco =0;
            var  T_P0_Planned =0;
            var  T_P0_done =0;
            var  T_P0_acc =0;
            var  T_P1_Planned =0;
            var  T_P1_done =0;
            var  T_P1_acc =0;
            var  T_issues =0;
            var html = "";
            //alert("data received2..."+data.length) ;
            for(var a = 0; a < data.length; a++) {
                var BSS_SM9_date            = data[a].BSS_SM9_date;
                var total_PM          = data[a].total_PM;
                var env_done          = data[a].env_done;
                var env_acc           = data[a].env_acc;
                var env_rej           = data[a].env_rej;
                var telco_done        = data[a].telco_done;
                var telco_acc         = data[a].telco_acc;
                var telco_rej         = data[a].telco_rej;
                var pm_global_acc     = data[a].pm_global_acc;
                var gap_env_telco     = data[a].gap_env_telco;
                var P0_Planned        = data[a].P0_Planned;
                var P0_done           = data[a].P0_done;
                var P0_acc            = data[a].P0_acc;
                var P1_Planned        = data[a].P1_Planned;
                var P1_done           = data[a].P1_done;
                var P1_acc            = data[a].P1_acc;
                var issues            = data[a].issues;

                T_PM                  =T_PM+parseInt(data[a].total_PM);
                T_env_done            =T_env_done+parseInt(data[a].env_done);
                T_env_acc             =T_env_acc+parseInt(data[a].env_acc);
                T_env_rej             =T_env_rej+parseInt(data[a].env_rej);
                T_telco_done          =T_telco_done+parseInt(data[a].telco_done);
                T_telco_acc           =T_telco_acc+parseInt(data[a].telco_acc);
                T_telco_rej           =T_telco_rej+parseInt(data[a].telco_rej);
                T_pm_global_acc       =T_pm_global_acc+parseInt(data[a].pm_global_acc);
                T_gap_env_telco       =T_gap_env_telco+parseInt(data[a].gap_env_telco);
                T_P0_Planned          =T_P0_Planned+parseInt(data[a].P0_Planned);
                T_P0_done             =T_P0_done+parseInt(data[a].P0_done);
                T_P0_acc              =T_P0_acc+parseInt(data[a].P0_acc);
                T_P1_Planned          =T_P1_Planned+parseInt(data[a].P1_Planned);
                T_P1_done             =T_P1_done+parseInt(data[a].P1_done);
                T_P1_acc              =T_P1_acc+parseInt(data[a].P1_acc);
                T_issues              =T_issues+parseInt(data[a].issues);

                html += '<tr style="font-size: 12px" class="table-row" data-href="">';
                html += "<td class='tdd'  scope='col'>" + BSS_SM9_date + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_PM + "</td>";

                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_done + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_rej + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + pm_global_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + gap_env_telco + "</td>";
                html += "<td class='tdd' style='background : #ffcccc'  scope='col'>" + P0_Planned + "</td>";
                html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_done + "</td>";
                html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_acc + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_Planned + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_done + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_acc + "</td>";
                html += "<td class='tdd' style='background : #e6e6ff'  scope='col'>" + issues + "</td>";
                html += "</tr>";
                NbR++;

            }
            html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            html += "<td class='tdd'  scope='col'>TOTAL</td>";
            html += "<td class='tdd'  scope='col'>"+T_PM+"</td>";

            html += "<td class='tdd'  scope='col'>"+ T_telco_done +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_telco_acc +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_telco_rej +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_pm_global_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_gap_env_telco +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_Planned +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_done +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_Planned +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_done +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_issues +"</td>";
            html += "</tr>";

            document.getElementById("pm_telco_stat_table_by_date").innerHTML = html;
            /*  getUniqueValuesFromColumnMY() ; */
            /*document.getElementById("loading").style.display = "none";
            document.getElementById("total").innerHTML = NbR;*/
        }
    };


}

function get_pm_stat_table_by_fmt(q,selectelement){

    var q = document.getElementById(selectelement).value;
    // alert("table stat q = "+q) ;

    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_stat_table_by_fmt.php?q="+q, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4 ) {
            /* document.getElementById("loading").style.display = "flex";  */
        }
        if (this.readyState == 4 && this.status == 200) {

            var data = JSON.parse(this.responseText);
            //  console.log(data);

            var NbR=0;
            var T_PM=0;
            var  T_env_done=0;
            var  T_env_acc=0;
            var  T_env_rej=0;
            var  T_telco_done =0;
            var  T_telco_acc =0;
            var  T_telco_rej =0;
            var  T_pm_global_acc =0;
            var  T_gap_env_telco =0;
            var  T_P0_Planned =0;
            var  T_P0_done =0;
            var  T_P0_acc =0;
            var  T_P1_Planned =0;
            var  T_P1_done =0;
            var  T_P1_acc =0;
            var  T_issues =0;
            var html = "";
            for(var a = 0; a < data.length; a++) {
                var PM_ENV_Emp            = data[a].PM_ENV_Emp;
                var total_PM          = data[a].total_PM;
                var env_done          = data[a].env_done;
                var env_acc           = data[a].env_acc;
                var env_rej           = data[a].env_rej;
                var telco_done        = data[a].telco_done;
                var telco_acc         = data[a].telco_acc;
                var telco_rej         = data[a].telco_rej;
                var pm_global_acc     = data[a].pm_global_acc;
                var gap_env_telco     = data[a].gap_env_telco;
                var P0_Planned        = data[a].P0_Planned;
                var P0_done           = data[a].P0_done;
                var P0_acc            = data[a].P0_acc;
                var P1_Planned        = data[a].P1_Planned;
                var P1_done           = data[a].P1_done;
                var P1_acc            = data[a].P1_acc;
                var issues            = data[a].issues;
                //alert("env="+env_acc);
                T_PM                  =T_PM+parseInt(data[a].total_PM);
                T_env_done            =T_env_done+parseInt(data[a].env_done);
                T_env_acc             =T_env_acc+parseInt(data[a].env_acc);
                T_env_rej             =T_env_rej+parseInt(data[a].env_rej);
                T_telco_done          =T_telco_done+parseInt(data[a].telco_done);
                T_telco_acc           =T_telco_acc+parseInt(data[a].telco_acc);
                T_telco_rej           =T_telco_rej+parseInt(data[a].telco_rej);
                T_pm_global_acc       =T_pm_global_acc+parseInt(data[a].pm_global_acc);
                T_gap_env_telco       =T_gap_env_telco+parseInt(data[a].gap_env_telco);
                T_P0_Planned          =T_P0_Planned+parseInt(data[a].P0_Planned);
                T_P0_done             =T_P0_done+parseInt(data[a].P0_done);
                T_P0_acc              =T_P0_acc+parseInt(data[a].P0_acc);
                T_P1_Planned          =T_P1_Planned+parseInt(data[a].P1_Planned);
                T_P1_done             =T_P1_done+parseInt(data[a].P1_done);
                T_P1_acc              =T_P1_acc+parseInt(data[a].P1_acc);
                T_issues              =T_issues+parseInt(data[a].issues);
                if(PM_ENV_Emp===null || PM_ENV_Emp===""){
                    PM_ENV_Emp="Not dispatched";
                }
                html += '<tr style="font-size: 12px" class="table-row" data-href="">';
                html += "<td class='tdd'  scope='col'>" + PM_ENV_Emp + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_PM + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_done + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_rej + "</td>";
                // html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_done + "</td>";
                // html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_acc + "</td>";
                // html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_rej + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + pm_global_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + gap_env_telco + "</td>";
                html += "<td class='tdd' style='background : #ffcccc'  scope='col'>" + P0_Planned + "</td>";
                html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_done + "</td>";
                html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_acc + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_Planned + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_done + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_acc + "</td>";
                html += "<td class='tdd' style='background : #e6e6ff'  scope='col'>" + issues + "</td>";
                html += "</tr>";
                NbR++;

            }
            html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            html += "<td class='tdd'  scope='col'>TOTAL</td>";
            html += "<td class='tdd'  scope='col'>"+T_PM+"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_env_done +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_env_acc +"</td>"
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_env_rej +"</td>";
            // html += "<td class='tdd'  scope='col'>"+ T_telco_done +"</td>";
            // html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_telco_acc +"</td>";
            // html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_telco_rej +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_pm_global_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_gap_env_telco +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_Planned +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_done +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_Planned +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_done +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_issues +"</td>";
            html += "</tr>";

            document.getElementById("pm_stat_table_by_fmt").innerHTML = html;
            /*  getUniqueValuesFromColumnMY() ; */
            /*document.getElementById("loading").style.display = "none";
            document.getElementById("total").innerHTML = NbR;*/
        }
    };


}

function get_pm_stat_table_by_fme(q,selectelement){

    var q = document.getElementById(selectelement).value;
    // alert("table Telco by FME= "+q) ;

    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_stat_table_by_fme.php?q="+q, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4 ) {
            /* document.getElementById("loading").style.display = "flex";  */
        }
        if (this.readyState == 4 && this.status == 200) {

            var data = JSON.parse(this.responseText);
            //  console.log(data);

            var NbR=0;
            var T_PM=0;
            var  T_env_done=0;
            var  T_env_acc=0;
            var  T_env_rej=0;
            var  T_telco_done =0;
            var  T_telco_acc =0;
            var  T_telco_rej =0;
            var  T_pm_global_acc =0;
            var  T_gap_env_telco =0;
            var  T_P0_Planned =0;
            var  T_P0_done =0;
            var  T_P0_acc =0;
            var  T_P1_Planned =0;
            var  T_P1_done =0;
            var  T_P1_acc =0;
            var  T_issues =0;
            var html = "";
            for(var a = 0; a < data.length; a++) {
                var BSS_SM9_Emp       = data[a].BSS_SM9_Emp;
                var total_PM          = data[a].total_PM;
                var env_done          = data[a].env_done;
                var env_acc           = data[a].env_acc;
                var env_rej           = data[a].env_rej;
                var telco_done        = data[a].telco_done;
                var telco_acc         = data[a].telco_acc;
                var telco_rej         = data[a].telco_rej;
                var pm_global_acc     = data[a].pm_global_acc;
                var gap_env_telco     = data[a].gap_env_telco;
                var P0_Planned        = data[a].P0_Planned;
                var P0_done           = data[a].P0_done;
                var P0_acc            = data[a].P0_acc;
                var P1_Planned        = data[a].P1_Planned;
                var P1_done           = data[a].P1_done;
                var P1_acc            = data[a].P1_acc;
                var issues            = data[a].issues;
                //alert("env="+env_acc);
                T_PM                  =T_PM+parseInt(data[a].total_PM);
                T_env_done            =T_env_done+parseInt(data[a].env_done);
                T_env_acc             =T_env_acc+parseInt(data[a].env_acc);
                T_env_rej             =T_env_rej+parseInt(data[a].env_rej);
                T_telco_done          =T_telco_done+parseInt(data[a].telco_done);
                T_telco_acc           =T_telco_acc+parseInt(data[a].telco_acc);
                T_telco_rej           =T_telco_rej+parseInt(data[a].telco_rej);
                T_pm_global_acc       =T_pm_global_acc+parseInt(data[a].pm_global_acc);
                T_gap_env_telco       =T_gap_env_telco+parseInt(data[a].gap_env_telco);
                T_P0_Planned          =T_P0_Planned+parseInt(data[a].P0_Planned);
                T_P0_done             =T_P0_done+parseInt(data[a].P0_done);
                T_P0_acc              =T_P0_acc+parseInt(data[a].P0_acc);
                T_P1_Planned          =T_P1_Planned+parseInt(data[a].P1_Planned);
                T_P1_done             =T_P1_done+parseInt(data[a].P1_done);
                T_P1_acc              =T_P1_acc+parseInt(data[a].P1_acc);
                T_issues              =T_issues+parseInt(data[a].issues);
                if(BSS_SM9_Emp===null || BSS_SM9_Emp===""){
                    BSS_SM9_Emp="Not dispatched";
                }
                html += '<tr style="font-size: 12px" class="table-row" data-href="">';
                html += "<td class='tdd'  scope='col' style='font-size: 10px; width: fit-content'>" + BSS_SM9_Emp + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_PM + "</td>";
                // html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_done + "</td>";
                // html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_acc + "</td>";
                // html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_rej + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_done + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_rej + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + pm_global_acc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + gap_env_telco + "</td>";
                html += "<td class='tdd' style='background : #ffcccc'  scope='col'>" + P0_Planned + "</td>";
                html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_done + "</td>";
                html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_acc + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_Planned + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_done + "</td>";
                html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_acc + "</td>";
                html += "<td class='tdd' style='background : #e6e6ff'  scope='col'>" + issues + "</td>";
                html += "</tr>";
                NbR++;

            }
            html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            html += "<td class='tdd'  scope='col'>TOTAL</td>";
            html += "<td class='tdd'  scope='col'>"+T_PM+"</td>";
            // html += "<td class='tdd'  scope='col'>"+ T_env_done +"</td>";
            // html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_env_acc +"</td>"
            // html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_env_rej +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_telco_done +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_telco_acc +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_telco_rej +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_pm_global_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_gap_env_telco +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_Planned +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_done +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P0_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_Planned +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_done +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_P1_acc +"</td>";
            html += "<td class='tdd'  scope='col'>"+ T_issues +"</td>";
            html += "</tr>";

            document.getElementById("pm_stat_table_by_fme").innerHTML = html;
            /*  getUniqueValuesFromColumnMY() ; */
            /*document.getElementById("loading").style.display = "none";
            document.getElementById("total").innerHTML = NbR;*/
        }
    };


}
