<?php include "../../init.php";
?>
<!DOCTYPE html>
<html>
  	<head>
    	<title>Import PM Telco acceptance status and reserves leading to rejection</title>
    	<meta name="viewport" content="width=device-width, initial-scale=1.0">

         <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:300,400,400i,700|Muli:300,400,400i,700" media="all" onload="this.media='all'">
         <link rel="stylesheet" href="../../assets/chartjsOrg/css/StatMyStyle.css" >
         <link rel="stylesheet" href="assets/css/MyStyle.css" />
         <link rel="stylesheet" href="../../assets/css/styleB.css" />
         <link rel="stylesheet" href="../../assets/css/Loading_spinner.css" />
         <link rel="stylesheet" href="../../assets/css/bootstrap.min.css" />
         <link rel="stylesheet" href="../../assets/css/bootstrapCDN.min.css">
         <link rel="stylesheet" href="../../assets/fonts/fontawesome-all.min.css">
         <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" />
         <style type="text/css">
         #loading {
                position: fixed;
                display: flex;
                display: -webkit-box;
                justify-content: center;
                align-items: center;
                -webkit-box-pack: center;
                -webkit-box-align: center;
                width: 100%;
                height: 100%;
                top: 0;
                left: 0;
                background-color: rgba(4, 0, 0, 0.6) ;
                z-index: 99;
            }

            #loader {
                display: inline-block;
                width: 65px;
                height: 65px;
                border: 3px solid rgba(255, 255, 255, 0.3);
                border-radius: 50%;
                border-top-color: #e95903;
                animation: spin 1s ease-in-out infinite;
                -webkit-animation: spin 1s ease-in-out infinite;
            }

            @keyframes spin {
                to {
                    -webkit-transform: rotate(360deg);
                }
            }
            @-webkit-keyframes spin {
                to {
                    -webkit-transform: rotate(360deg);
                }
            }
         </style>
  	</head>
  	<body>
  	    <div class="row  row-red px-2">
      <div class="col-10  d-flex align-items-center" style="background-color : ">
          <p class="text-red">PM Env PROGRESS UPDATE</p>
      </div>
      <div class="col-2 d-flex justify-content-end" style="background-color : ">
        <a href="../../progressPM.php" style="text-decoration: none">
         <i class="fa fa-home" style='font-size:24px ; color: white'></i> <p class="text-red" id="">Back</p>
        </a>
      </div>
    </div>
    	<div class="container">
    		<br />
    		<h3 align="center">Import PM Env progress From Excel file</h3>
    		<br />
        <div class="panel panel-default">
          <div class="panel-heading">Import PM (Env/config PS) progress </div>
          <div class="panel-body">
        		<div class="table-responsive">
        			<span id="message"></span>
              <form method="post" id="import_excel_form" enctype="multipart/form-data">
                <table class="table">
                  <tr>
                    <td width="25%" align="right">Select Excel File</td>
                    <td width="50%"><input type="file" name="import_excel" /></td>
                    <td width="25%"><input type="submit" name="import" id="import" class="btn btn-primary" value="Import" /></td>
                  </tr>
                </table>
              </form>
    	    		<br />

        		</div>
          </div>
        </div>
    	</div>
         <div  id="loading" style="display: none">
                    <div id="loader">
                    </div>
            </div>
    	<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
  </body>
</html>
<script>
$(document).ready(function(){
  $('#import_excel_form').on('submit', function(event){
    event.preventDefault();
    $.ajax({
      url:"import_env_progress.php",
      method:"POST",
      data:new FormData(this),
      contentType:false,
      cache:false,
      processData:false,
      beforeSend:function(){
        $('#import').attr('disabled', 'disabled');
        $('#import').val('Importing...');
         document.getElementById("loading").style.display = "flex";
      },
      success:function(data)
      {
        document.getElementById("loading").style.display = "none";
        $('#message').html(data);
        $('#import_excel_form')[0].reset();
        $('#import').attr('disabled', false);
        $('#import').val('Import');
      }
    })
  });
});
</script>