//alert();

const sideMenu      = document.querySelector("#aside");
const showMenuBtn   = document.querySelector("#aside-menu-button");
const CloseMenuBtn  = document.querySelector("#close");

const mycontainer   = document.querySelector("#mycontainer");
const mainIframe    = document.querySelector("#mainIframe");

const pm_analyse    = document.querySelector("#pm_analyse");
const cm_analyse    = document.querySelector("#cm_analyse");
const cm_acceptance_planning    = document.querySelector("#cm_acceptance_planning");
const pm_manager    = document.querySelector("#pm_manager");
const pm_planning   = document.querySelector("#pm_planning");
const pm_extra      = document.querySelector("#pm_extra");
const pm_env        = document.querySelector("#pm_env");
const pm_telco      = document.querySelector("#pm_telco");
const hse_check     = document.querySelector("#hse_check");
const pm_dispatch   = document.querySelector("#pm_dispatch");
const pm_invoice    = document.querySelector("#pm_invoice");
const pm_failed     = document.querySelector("#pm_failed");

const gpm           = document.querySelector("#gpm");

const close_tab_pm_analyse  = document.querySelector("#close_tab_pm_analyse");


CloseMenuBtn.addEventListener('click' , () => {

    sideMenu.style.display = 'none';
    mycontainer.style.gridTemplateColumns = '2fr';

})

// function act_div(id) {
//
//     const act = document.querySelectorAll('.active');
//     for(let i=0; i<act.length; i++){
//         act[i].classList.remove('active');
//     }
//     id.classList.add('active');
//
// }
function setCookie(cname, cvalue, exdays) {
    const d = new Date();
    d.setTime(d.getTime() + (exdays * 24 * 60 * 60 * 1000));
    let expires = "expires="+d.toUTCString();
    document.cookie = cname + "=" + cvalue + ";" + expires + ";path=/";
}

function getCookie(cname) {
    let name = cname + "=";
    let ca = document.cookie.split(';');
    for(let i = 0; i < ca.length; i++) {
        let c = ca[i];
        while (c.charAt(0) == ' ') {
            c = c.substring(1);
        }
        if (c.indexOf(name) == 0) {
            return c.substring(name.length, c.length);
        }
    }
    return "";
}

function checkCookie_quarter(cname, element) {
    let cookie_quarter = getCookie(cname);
    if (cookie_quarter != "") {
        //  alert("Welcome again =" + cookie_quarter);
        document.getElementById(element).value = cookie_quarter;
       // getsitebyquarter(cookie_quarter);
        return cookie_quarter;

    } else {
        // alert("no quarter cookies");
        var q = $(element).val();
        return q;
       // getsitebyquarter(q);
    }
}

function act(s) {
    const act = document.querySelectorAll('.active');
    for(let i=0; i<act.length; i++){
        act[i].classList.remove('active');
    }
    let ss = "#"+s;
    switch (s) {
        case 'pm_analyse'  : mainIframe.src="pm_analyse2.php";break;
        case 'cm_analyse'  : mainIframe.src="cm_analyse2.php";break;
        case 'cm_acceptance_planning'  : mainIframe.src="cm_acceptance/cm_acceptance_planning.php";break;
        case 'pm_manager'  : mainIframe.src="pm_manager.php";break;
        case 'pm_planning' : mainIframe.src="pm/pm_planning.php";break;
        case 'pm_extra'    : mainIframe.src="ew/ew_planning.php";break;
        case 'pm_env'      : mainIframe.src="spms_manage.php";break;
        case 'pm_telco'    : mainIframe.src="pm_env_manage.php";break;
        case 'hse_check'   : mainIframe.src="hse/hse_planning.php";break;
        case 'pm_dispatch' : mainIframe.src="pm_dispatch/pm_env_daily_dispatch.php";break;
        case 'pm_invoice'  : mainIframe.src="invoice/invoice.php";break;
        case 'gpm'         : mainIframe.src="gpm/gpm_planning.php";break;
        case 'pm_failed'   : mainIframe.src="pm/pm_failed.php";break;
    }

    const a_act  = document.querySelector(ss);
    a_act.classList.add('active');
    setCookie("act", s, 365);

}

// pm_analyse.addEventListener('click' , () => {
//
//    // alert("you click PM Analyse");
//    //  const act = document.querySelectorAll('.active');
//    //  for(let i=0; i<act.length; i++){
//    //      act[i].classList.remove('active');
//    //  }
//    //  pm_analyse.classList.add('active');
//     act_div(pm_analyse);
//     openCity(event, 'tab_pm_analyse');
//
// })
//
// pm_manager.addEventListener('click' , () => {
//
//    // alert("you click PM management");
//    //  const act = document.querySelectorAll('.active');
//    //  for(let i=0; i<act.length; i++){
//    //      act[i].classList.remove('active');
//    //  }
//    //  pm_manager.classList.add('active');
//     act_div(pm_manager);
//     openCity(event, 'tab_pm_management');
// })
//
// pm_env.addEventListener('click' , () => { act_div(pm_env); openCity(event, 'tab_pm_env'); })
//
// pm_telco.addEventListener('click' , () => { act_div(pm_telco); openCity(event, 'tab_pm_telco');  })

// close_tab_pm_analyse.addEventListener('click' , () => { alert("will you close this tab"); })


function openCity(evt, cityName) {
    var i, tabcontent, tablinks;
    tabcontent = document.getElementsByClassName("tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
    }
    tablinks = document.getElementsByClassName("tablinks");
    for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
    }
    document.getElementById(cityName).style.display = "block";
    evt.currentTarget.className += " active";
    setCookie("cookies_tabPM_open", cityName, 365);
}

function openTab_with_cookies(evt, cityName,cookiesName) {
    var i, tabcontent, tablinks;
    tabcontent = document.getElementsByClassName("tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
    }
    tablinks = document.getElementsByClassName("tablinks");
    for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
    }
    document.getElementById(cityName).style.display = "block";
    evt.currentTarget.className += " active";
    setCookie(cookiesName, cityName, 365);
}


function get_id_visible_row(Table) {
    var x = document.getElementById(Table).rows.length;
    var nbr_visibleRows = 0;
    var index_visibleRows = 0;
    for(var i = 0 ; i<x ; i++){
        var row = document.getElementById("tr"+i);

        if(row.style.display == 'none'){
            // alert("rows invisible = "+i);

        }else{
            alert("rows visible = "+i);
            nbr_visibleRows++;
            index_visibleRows = i;
        }

    }
   // alert("there are "+nbr_visibleRows+" visible row");
    if(nbr_visibleRows==1){
        var id_row = document.getElementById(Table).rows[index_visibleRows].cells[0].innerHTML;
        alert("the id = "+id_row);
return id_row;
    }

}