<?php


$Week             = $_GET['week'];
$start_plan_date  = $_GET['start_plan_date'];
$end_plan_date    = $_GET['end_plan_date'];




//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;


$blackWhite = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ffff0000')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);

$redWhite = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ffff5733')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);

$Accepted_cell = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '00000000'),
        ),
    ),
    'fill' => array(
        'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
        'startColor' => array('argb' => 'ff5733')
    ),
    'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
        'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
    )
);


$styleArray = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),

);

$styleArrayCenter = array(
    'borders' => array(
        'outline' => array(
            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
            'color' => array('argb' => '000000'),
        ),
    ),
    'alignment' => array(
        'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
    ),

);



//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle('ATP Follow-Up');
$spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);

$spreadsheet->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('15');


//$spreadsheet->getActiveSheet()
//            ->setCellValue('A22',$dd_table);

$spreadsheet->getActiveSheet()->setCellValue('A1', "#id")->getStyle('A1:A1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('B1', "Week")->getStyle('B1:B1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('C1', "Vendor")->getStyle('C1:C1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('D1', "Wilaya")->getStyle('D1:D1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('E1', "Site ID")->getStyle('E1:E1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('F1', "Scope")->getStyle('F1:F1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('G1', "Acceptance Plan Date")->getStyle('G1:G1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('H1', "BSS ATP")->getStyle('H1:H1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('I1', "Trans ATP")->getStyle('I1:I1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('J1', "CW ATP")->getStyle('J1:J1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('K1', "presence CW")->getStyle('K1:K1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('L1', "Description des reserves")->getStyle('L1:L1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('M1', "FME")->getStyle('M1:M1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('N1', "TL")->getStyle('N1:N1')->applyFromArray($blackWhite);




for ($i = 'A'; $i !=  'Q'; $i++) {
    $spreadsheet->getActiveSheet()->getColumnDimension($i)->setAutoSize(TRUE);
}

$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
$connect->set_charset("utf8");

//$query = " SELECT * FROM `ATP_FollowUp` WHERE `Week`='$Week' ";
$query = " SELECT * FROM `ATP_FollowUp` WHERE `Acceptance_Plan_Date` between  '$start_plan_date' and '$end_plan_date' ";

$statement = mysqli_query($connect,$query);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
$i = 2;
while($row = mysqli_fetch_assoc($statement)) {

    $Acceptance_Plan_Date= Date::PHPToExcel($row['Acceptance_Plan_Date']);
    if($Acceptance_Plan_Date==FALSE){
        $Acceptance_Plan_Date = "";
    }

    $spreadsheet->getActiveSheet()->setCellValue('A'.$i, $row['id_atp']);
    $spreadsheet->getActiveSheet()->setCellValue('B'.$i, $row['Week']);
    $spreadsheet->getActiveSheet()->setCellValue('C'.$i, $row['Vendor']);
    $spreadsheet->getActiveSheet()->setCellValue('D'.$i, $row['Wilaya']);
    $spreadsheet->getActiveSheet()->setCellValue('E'.$i, $row['Site_ID']);
    $spreadsheet->getActiveSheet()->setCellValue('F'.$i, $row['Scope']);
    $spreadsheet->getActiveSheet()->setCellValue('G'.$i, $Acceptance_Plan_Date);
    $spreadsheet->getActiveSheet()->setCellValue('H'.$i, $row['BSS_ATP']);
    $spreadsheet->getActiveSheet()->setCellValue('I'.$i, $row['Trans_ATP']);
    $spreadsheet->getActiveSheet()->setCellValue('J'.$i, $row['CW_ATP']);
    $spreadsheet->getActiveSheet()->setCellValue('K'.$i, $row['presence_CW']);
    $spreadsheet->getActiveSheet()->setCellValue('L'.$i, $row['Description_des_reserves']);
    $spreadsheet->getActiveSheet()->setCellValue('M'.$i, $row['atp_fme']);
    $spreadsheet->getActiveSheet()->setCellValue('N'.$i, $row['atp_tl']);





    $spreadsheet->getActiveSheet()->getStyle('A'.$i.':N'.$i)->applyFromArray($styleArrayCenter);
    $i++;
}

$ii = $i-1;
for ($y = 'A'; $y !=  'N'; $y++) {
    $spreadsheet->getActiveSheet()->getStyle($y.'2:'.$y.$ii)->applyFromArray($styleArrayCenter);
}



/*$x = $spreadsheet->getActiveSheet()->getHighestColumn();
$spreadsheet->getActiveSheet()->setCellValue('A2',$x)->getStyle('a2:a2')->applyFromArray($blackWhite);*/
$spreadsheet->setActiveSheetIndex(0);

$spreadsheet->getDefaultStyle()
    ->getFont()
    ->setName('Calibri')
    ->setSize(12);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setAutoSize(FALSE);
$spreadsheet->getActiveSheet()->getColumnDimension('F')->setWidth('60');

$spreadsheet->getActiveSheet()->getStyle('G2:G'.$i)->getNumberFormat()->setFormatCode('DD/MM/YYYY');


//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="PROTECH ATP Follow-UP -- de '.$start_plan_date.' à '.$end_plan_date.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');




?>