<?php

 $date = $_GET['d'];

//call the autoload
require 'vendor/autoload.php';
//load phpspreadsheet class using namespaces
use PhpOffice\PhpSpreadsheet\Spreadsheet;
//call iofactory instead of xlsx writer
use PhpOffice\PhpSpreadsheet\IOFactory;
//phpspreadsheet Date class
use PhpOffice\PhpSpreadsheet\Shared\Date;
//phpspreadsheet numberformat style class
use PhpOffice\PhpSpreadsheet\Style\NumberFormat;
//rich text class
use \PhpOffice\PhpSpreadsheet\RichText\RichText;
//phpspreadsheet style color
use \PhpOffice\PhpSpreadsheet\Style\Color;


$blackWhite = array(
            'borders' => array(
                'outline' => array(
                    'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                    'color' => array('argb' => '00000000'),
                ),
            ),
            'fill' => array(
                'fillType' => \PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID,
                'startColor' => array('argb' => '323e4f')
            ),
            'font'  => array(
        'bold'  => true,
        'color' => array('rgb' => 'FFFFFF'),
        'size'  => 11,
        'name'  => 'Calibri'
         ),
         'alignment' => array(
            'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::HORIZONTAL_CENTER,
            'vertical' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER
            )
       );


           $styleArray = array(
        'borders' => array(
                'outline' => array(
                        'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                        'color' => array('argb' => '000000'),
                ),
        ),

        );

           $styleArrayCenter = array(
                  'borders' => array(
                       'outline' => array(
                            'borderStyle' => \PhpOffice\PhpSpreadsheet\Style\Border::BORDER_THIN,
                               'color' => array('argb' => '000000'),
                        ),
                    ),
                     'alignment' => array(
                         'horizontal' => \PhpOffice\PhpSpreadsheet\Style\Alignment::VERTICAL_CENTER,
                         ),

        );



//make a new spreadsheet object
$spreadsheet = new Spreadsheet();
//get current active sheet (first sheet)
$sheet = $spreadsheet->getActiveSheet();
$spreadsheet->createSheet();
$spreadsheet->setActiveSheetIndex(0)->setTitle('Invoicing Variable Charge');
 $spreadsheet->getActiveSheet()->getSheetView()->setZoomScale(90);

$spreadsheet->getActiveSheet()->getRowDimension('1')->setRowHeight(25);
$spreadsheet->getActiveSheet()->getColumnDimension('A')->setWidth('15');

$spreadsheet->getActiveSheet()
            ->setCellValue('A12','Attou '.$date);

$spreadsheet->getActiveSheet()->setCellValue('A1',"SC")->getStyle('A1:A1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('B1',"1st Intervenant")->getStyle('b1:b1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('c1',"2nd Intervenant")->getStyle('c1:c1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('d1',"Contact")->getStyle('d1:d1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('e1',"Team")->getStyle('e1:e1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('f1',"Date")->getStyle('f1:f1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('g1',"Activity")->getStyle('g1:g1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('h1',"Operational/Absent")->getStyle('h1:h1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('i1',"Justification")->getStyle('i1:i1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('j1',"Resume date")->getStyle('j1:j1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('k1',"Site ID")->getStyle('k1:k1')->applyFromArray($blackWhite);
$spreadsheet->getActiveSheet()->setCellValue('l1',"Coordinateur")->getStyle('l1:l1')->applyFromArray($blackWhite);


for ($i = 'A'; $i !=  'M'; $i++) {
    $spreadsheet->getActiveSheet()->getColumnDimension($i)->setAutoSize(TRUE);
}

$connect = mysqli_connect("localhost","phpmyadmin","abdelhadi","protech");
 $connect->set_charset("utf8");

$query = "SELECT effectives.* , dailydispatch.* FROM effectives,dailydispatch WHERE dailydispatch.dd_date = '$date' AND dailydispatch.emp_id = effectives.id";

$statement = mysqli_query($connect,$query);
/* echo "refeuling = ".mysqli_num_rows($statement);
if(mysqli_num_rows($statement) > 0) {*/
    $i = 2;
    while($row = mysqli_fetch_assoc($statement)) {
        $spreadsheet->getActiveSheet()->setCellValue('A'.$i ,'PROTECH');
        $spreadsheet->getActiveSheet()->setCellValue('B'.$i ,$row['fullname']);
        $spreadsheet->getActiveSheet()->setCellValue('C'.$i ,$row['intervenant2']);
        $spreadsheet->getActiveSheet()->setCellValue('D'.$i ,$row['phoneNumber']);
        $spreadsheet->getActiveSheet()->setCellValue('E'.$i ,$row['level']);
        $spreadsheet->getActiveSheet()->setCellValue('F'.$i ,$row['dd_date']);
        $spreadsheet->getActiveSheet()->setCellValue('G'.$i ,$row['affictation']);
        $spreadsheet->getActiveSheet()->setCellValue('H'.$i ,$row['oper']);
        $spreadsheet->getActiveSheet()->setCellValue('I'.$i ,$row['just']);
        $spreadsheet->getActiveSheet()->setCellValue('J'.$i ,$row['resumedate']);
        $spreadsheet->getActiveSheet()->setCellValue('K'.$i ,$row['dd_codesite']);
        $spreadsheet->getActiveSheet()->setCellValue('L'.$i ,$row['Coord']);


          $spreadsheet->getActiveSheet()->getStyle('A'.$i.':L'.$i)->applyFromArray($styleArrayCenter);
        $i++;
    }


    for ($y = 'A'; $y !=  'M'; $y++) {
    $spreadsheet->getActiveSheet()->getStyle($y.'2:'.$y.$i)->applyFromArray($styleArrayCenter);
}



/*$x = $spreadsheet->getActiveSheet()->getHighestColumn();
$spreadsheet->getActiveSheet()->setCellValue('A2',$x)->getStyle('a2:a2')->applyFromArray($blackWhite);*/
$spreadsheet->setActiveSheetIndex(0);

$spreadsheet->getDefaultStyle()
            ->getFont()
            ->setName('Calibri')
            ->setSize(12);

//set the header first, so the result will be treated as an xlsx file.
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

//make it an attachment so we can define filename
header('Content-Disposition: attachment;filename="Daily Dispatch PROTECH - '.$date.'.xlsx"');

//create IOFactory object
$writer = IOFactory::createWriter($spreadsheet, 'Xlsx');
//save into php output
$writer->save('php://output');




?>