
function chart_wo(start_date,end_date) {
//alert(" start function wo from = "+start_date+" to "+end_date);
    $.ajax({
        url:"chartjs/php/wo_chartjs.php",
        method:"POST",
        data:{
            action:'fetch_wo',
            start_date : start_date ,
            end_date   : end_date
        },
        dataType:"JSON",
        beforeSend: function () { // Before we send the request, remove the .hidden class from the spinner and default to inline-block.
          //  alert(" before ");
            // $('#loadd').removeClass('hiddden');
           // document.getElementById("loading").style.display = "flex";

        },
        success:function(data)
        {
           // alert("var ="+data[0].PMdone);

            var total_im       = data[0].total_im;
            var in_sla_90      = data[0].in_sla_90;
            var out_sla_90     = data[0].out_sla_90;
            var prc_in_sla_90  = (parseInt(in_sla_90)/parseInt(total_im)*100).toFixed(2);
            var prc_out_sla_90 = (parseInt(out_sla_90)/parseInt(total_im)*100).toFixed(2);
//alert(total_im);


          //  alert("accp env ="+data[0].PMenvAccep);
            chart_doughnut_3('div_chart_wog_prog','chart_wog_prog' , in_sla_90,out_sla_90,total_im,'IN SLA ( '+prc_in_sla_90+' % )','OUT SLA ( '+prc_out_sla_90+' % )','Total',chart_green,chart_red,chart_yellow , 'pmg_prog_trgt_span' , 0 , 'pmg_prog_gap_span' , 0 , 'pmg_prog_taux_span' , '+00,0');
            //chart_doughnut_2('div_chart_wog_prog','chart_wog_prog' , in_sla_90,out_sla_90,'IN SLA','OUT SLA',chart_green,chart_red, 'pmg_prog_trgt_span' , 0 , 'pmg_prog_gap_span' , 0 , 'pmg_prog_taux_span' , '+00,0');





        },
        complete: function () { // Set our complete callback, adding the .hidden class and hiding the spinner.
            //  $('#loadd').addClass('hiddden');
          //  document.getElementById("loading").style.display = "none";

        },
    })
}

function get_wo_table_by_wilaya(start_date,end_date){

    //var q = document.getElementById(selectelement).value;
    // alert("wilaya ") ;

    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_wo_table_by_wilaya.php?start_date="+start_date+"&end_date="+end_date, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4 ) {
            /* document.getElementById("loading").style.display = "flex";  */
        }
        if (this.readyState == 4 && this.status == 200) {

            var data = JSON.parse(this.responseText);
            //  console.log(data);

            var NbR=0;
            var T_total_im=0;
            var  T_in_sla_90=0;
            var  T_out_sla_90=0;
            var  T_in_sla_90_prc=0;
            var  T_P0_in_sla_90=0;
            var  T_P0_out_sla_90 =0;
            var  T_P0_in_sla_90_prc=0;
            var  T_TSI_in_sla_90 =0;
            var  T_TSI_out_sla_90 =0;
            var  T_PSI_in_sla_90 =0;
            var  T_PSI_out_sla_90 =0;

            var  in_sla_90_prc=0;
            var html = "";
            for(var a = 0; a < data.length; a++) {
                var WILAYA            = data[a].WILAYA;
                var total_im          = data[a].total_im;
                var in_sla_90         = data[a].in_sla_90;
                var out_sla_90        = data[a].out_sla_90;
                var P0_in_sla_90      = data[a].P0_in_sla_90;
                var P0_out_sla_90     = data[a].P0_out_sla_90;
                var P0_in_sla_90_prc  = (parseInt(P0_in_sla_90)/(parseInt(P0_in_sla_90)+parseInt(P0_out_sla_90))*100).toFixed(2);
                var TSI_in_sla_90     = data[a].TSI_in_sla_90;
                var TSI_out_sla_90    = data[a].TSI_out_sla_90;
                var PSI_in_sla_90     = data[a].PSI_in_sla_90;
                var PSI_out_sla_90    = data[a].PSI_out_sla_90;

                in_sla_90_prc = (parseInt(in_sla_90)/parseInt(total_im)*100).toFixed(2);

                //alert("env="+env_acc);
                T_total_im             =T_total_im+parseInt(data[a].total_im);
                T_in_sla_90            =T_in_sla_90+parseInt(data[a].in_sla_90);
                T_out_sla_90           =T_out_sla_90+parseInt(data[a].out_sla_90);
                T_P0_in_sla_90         =T_P0_in_sla_90+parseInt(data[a].P0_in_sla_90);
                T_P0_out_sla_90        =T_P0_out_sla_90+parseInt(data[a].P0_out_sla_90);
                T_TSI_in_sla_90        =T_TSI_in_sla_90+parseInt(data[a].TSI_in_sla_90);
                T_TSI_out_sla_90       =T_TSI_out_sla_90+parseInt(data[a].TSI_out_sla_90);
                T_PSI_in_sla_90        =T_PSI_in_sla_90+parseInt(data[a].PSI_in_sla_90);
                T_PSI_out_sla_90       =T_PSI_out_sla_90+parseInt(data[a].PSI_out_sla_90);

                html += '<tr style="font-size: 12px" class="table-row" data-href="">';
                html += "<td class='tdd'  scope='col'>" + WILAYA + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_im + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + out_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + in_sla_90_prc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_out_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_in_sla_90_prc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + TSI_in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + TSI_out_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + PSI_in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + PSI_out_sla_90 + "</td>";
                html += "</tr>";
                NbR++;

            }
            T_in_sla_90_prc = (parseInt(T_in_sla_90)/parseInt(T_total_im)*100).toFixed(2);
            T_P0_in_sla_90_prc     = (parseInt(T_P0_in_sla_90)/(parseInt(T_P0_in_sla_90)+parseInt(T_P0_out_sla_90))*100).toFixed(2);
            html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            html += "<td class='tdd'  scope='col'>TOTAL</td>";
            html += "<td class='tdd'  scope='col'>"+T_total_im+"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_out_sla_90 +"</td>"
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_in_sla_90_prc +"</td>"
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P0_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_P0_out_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P0_in_sla_90_prc +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_TSI_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_TSI_out_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_PSI_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_PSI_out_sla_90 +"</td>";
            html += "</tr>";

            document.getElementById("wo_stat_table").innerHTML = html;
            /*  getUniqueValuesFromColumnMY() ; */
            /*document.getElementById("loading").style.display = "none";
            document.getElementById("total").innerHTML = NbR;*/
        }
    };


}

function get_wo_table_by_tl(start_date,end_date){

    //var q = document.getElementById(selectelement).value;
    // alert("table tl ") ;

    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_wo_table_by_tl.php?start_date="+start_date+"&end_date="+end_date, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4 ) {
            /* document.getElementById("loading").style.display = "flex";  */
        }
        if (this.readyState == 4 && this.status == 200) {

            var data = JSON.parse(this.responseText);
             // console.log(data);

            var NbR=0;
            var T_total_im=0;
            var  T_in_sla_90=0;
            var  T_out_sla_90=0;
            var  T_in_sla_90_prc=0;
            var  T_P0_in_sla_90=0;
            var  T_P0_out_sla_90 =0;
            var  T_P0_in_sla_90_prc=0;
            var  T_TSI_in_sla_90 =0;
            var  T_TSI_out_sla_90 =0;
            var  T_PSI_in_sla_90 =0;
            var  T_PSI_out_sla_90 =0;

            var html = "";
            for(var a = 0; a < data.length; a++) {
                var tl_name            = data[a].tl_name;
                var total_im          = data[a].total_im;
                var in_sla_90         = data[a].in_sla_90;
                var out_sla_90        = data[a].out_sla_90;
                var out_sla_90_prc    = (parseInt(in_sla_90)/parseInt(total_im)*100).toFixed(2);
                var P0_in_sla_90      = data[a].P0_in_sla_90;
                var P0_out_sla_90     = data[a].P0_out_sla_90;
                var P0_in_sla_90_prc  = (parseInt(P0_in_sla_90)/(parseInt(P0_in_sla_90)+parseInt(P0_out_sla_90))*100).toFixed(2);
                var TSI_in_sla_90     = data[a].TSI_in_sla_90;
                var TSI_out_sla_90    = data[a].TSI_out_sla_90;
                var PSI_in_sla_90     = data[a].PSI_in_sla_90;
                var PSI_out_sla_90    = data[a].PSI_out_sla_90;


                T_total_im             =T_total_im+parseInt(data[a].total_im);
                T_in_sla_90            =T_in_sla_90+parseInt(data[a].in_sla_90);
                T_out_sla_90           =T_out_sla_90+parseInt(data[a].out_sla_90);
                T_P0_in_sla_90         =T_P0_in_sla_90+parseInt(data[a].P0_in_sla_90);
                T_P0_out_sla_90        =T_P0_out_sla_90+parseInt(data[a].P0_out_sla_90);
                T_TSI_in_sla_90        =T_TSI_in_sla_90+parseInt(data[a].TSI_in_sla_90);
                T_TSI_out_sla_90       =T_TSI_out_sla_90+parseInt(data[a].TSI_out_sla_90);
                T_PSI_in_sla_90        =T_PSI_in_sla_90+parseInt(data[a].PSI_in_sla_90);
                T_PSI_out_sla_90       =T_PSI_out_sla_90+parseInt(data[a].PSI_out_sla_90);

                html += '<tr style="font-size: 12px" class="table-row" data-href="">';
                html += "<td class='tdd'  scope='col'>" + tl_name + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_im + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + out_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + out_sla_90_prc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_out_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_in_sla_90_prc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + TSI_in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + TSI_out_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + PSI_in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + PSI_out_sla_90 + "</td>";
                html += "</tr>";
                NbR++;

            }
            T_in_sla_90_prc        = (parseInt(T_in_sla_90)/parseInt(T_total_im)*100).toFixed(2);
            T_P0_in_sla_90_prc     = (parseInt(T_P0_in_sla_90)/(parseInt(T_P0_in_sla_90)+parseInt(T_P0_out_sla_90))*100).toFixed(2);
            html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            html += "<td class='tdd'  scope='col'>TOTAL</td>";
            html += "<td class='tdd'  scope='col'>"+T_total_im+"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_out_sla_90 +"</td>"
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_in_sla_90_prc +"</td>"
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P0_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_P0_out_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P0_in_sla_90_prc +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_TSI_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_TSI_out_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_PSI_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_PSI_out_sla_90 +"</td>";
            html += "</tr>";

            document.getElementById("wo_stat_table_by_tl").innerHTML = html;
            /*  getUniqueValuesFromColumnMY() ; */
            /*document.getElementById("loading").style.display = "none";
            document.getElementById("total").innerHTML = NbR;*/
        }
    };


}

function get_wo_table_by_fme(start_date,end_date){

    //var q = document.getElementById(selectelement).value;
    // alert("table tl ") ;
    document.getElementById("loading").style.display = "flex";
    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_wo_table_by_fme.php?start_date="+start_date+"&end_date="+end_date, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4 ) {
             // document.getElementById("loading").style.display = "flex";
        }
        if (this.readyState == 4 && this.status == 200) {

            var data = JSON.parse(this.responseText);
            // console.log(data);

            var NbR=0;
            var T_total_im=0;
            var  T_in_sla_90=0;
            var  T_out_sla_90=0;
            var  T_in_sla_90_prc=0;
            var  T_P0_in_sla_90=0;
            var  T_P0_out_sla_90 =0;
            var  T_P0_in_sla_90_prc=0;
            var  T_TSI_in_sla_90 =0;
            var  T_TSI_out_sla_90 =0;
            var  T_PSI_in_sla_90 =0;
            var  T_PSI_out_sla_90 =0;

            var html = "";
            for(var a = 0; a < data.length; a++) {
                var IM_Task_Activity_Operator            = data[a].IM_Task_Activity_Operator;
                var task_count        = data[a].task_count;
                var in_sla_90         = data[a].in_sla_90;
                var out_sla_90        = data[a].out_sla_90;
                var in_sla_90_prc     = (parseInt(in_sla_90)/(parseInt(in_sla_90)+parseInt(out_sla_90))*100).toFixed(2);
                var P0_in_sla_90      = data[a].P0_in_sla_90;
                var P0_out_sla_90     = data[a].P0_out_sla_90;
                var P0_in_sla_90_prc  = (parseInt(P0_in_sla_90)/(parseInt(P0_in_sla_90)+parseInt(P0_out_sla_90))*100).toFixed(2);
                var TSI_in_sla_90     = data[a].TSI_in_sla_90;
                var TSI_out_sla_90    = data[a].TSI_out_sla_90;
                var PSI_in_sla_90     = data[a].PSI_in_sla_90;
                var PSI_out_sla_90    = data[a].PSI_out_sla_90;


                T_total_im             =T_total_im+parseInt(data[a].task_count);
                T_in_sla_90            =T_in_sla_90+parseInt(data[a].in_sla_90);
                T_out_sla_90           =T_out_sla_90+parseInt(data[a].out_sla_90);
                T_P0_in_sla_90         =T_P0_in_sla_90+parseInt(data[a].P0_in_sla_90);
                T_P0_out_sla_90        =T_P0_out_sla_90+parseInt(data[a].P0_out_sla_90);
                T_TSI_in_sla_90        =T_TSI_in_sla_90+parseInt(data[a].TSI_in_sla_90);
                T_TSI_out_sla_90       =T_TSI_out_sla_90+parseInt(data[a].TSI_out_sla_90);
                T_PSI_in_sla_90        =T_PSI_in_sla_90+parseInt(data[a].PSI_in_sla_90);
                T_PSI_out_sla_90       =T_PSI_out_sla_90+parseInt(data[a].PSI_out_sla_90);

                html += '<tr style="font-size: 12px" class="table-row" data-href="">';
                html += "<td class='tdd'  scope='col'>" + IM_Task_Activity_Operator + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + task_count + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc;color: green;'  scope='col'>" + in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc;color: red;'  scope='col'>" + out_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc;color: green;'  scope='col'>" + in_sla_90_prc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc;color: green;'  scope='col'>" + P0_in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc;color: red;'  scope='col'>" + P0_out_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc;color: green;'  scope='col'>" + P0_in_sla_90_prc + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc;color: green;'  scope='col'>" + TSI_in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc;color: red;'  scope='col'>" + TSI_out_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc;color: green;'  scope='col'>" + PSI_in_sla_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc;color: red;'  scope='col'>" + PSI_out_sla_90 + "</td>";
                html += "</tr>";
                NbR++;

            }

            T_in_sla_90_prc        = (parseInt(T_in_sla_90)/parseInt(T_total_im)*100).toFixed(2);
            T_P0_in_sla_90_prc     = (parseInt(T_P0_in_sla_90)/(parseInt(T_P0_in_sla_90)+parseInt(T_P0_out_sla_90))*100).toFixed(2);

            html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            html += "<td class='tdd'  scope='col'>TOTAL</td>";
            html += "<td class='tdd'  scope='col'>"+T_total_im+"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_out_sla_90 +"</td>"
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_in_sla_90_prc +"</td>"
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P0_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_P0_out_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P0_in_sla_90_prc +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_TSI_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_TSI_out_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_PSI_in_sla_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_PSI_out_sla_90 +"</td>";
            html += "</tr>";

            document.getElementById("wo_stat_table_by_fme").innerHTML = html;
            /*  getUniqueValuesFromColumnMY() ; */
            /*document.getElementById("loading").style.display = "none";
            document.getElementById("total").innerHTML = NbR;*/
        }
        document.getElementById("loading").style.display = "none"
    };


}

function get_wo_table_by_P_90_PSI(start_date,end_date){

    //var q = document.getElementById(selectelement).value;
   // alert("table PSI ") ;

    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_wo_table_by_P_90_PSI.php?start_date="+start_date+"&end_date="+end_date, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4 ) {
            /* document.getElementById("loading").style.display = "flex";  */
        }
        if (this.readyState == 4 && this.status == 200) {

            var data = JSON.parse(this.responseText);
            // console.log(data);


            var prc_P0_IN_90    = 0;
            var prc_P0_OUT_90   = 0;
            var prc_P1_IN_90    = 0;
            var prc_P1_OUT_90   = 0;
            var prc_P2_IN_90    = 0;
            var prc_P2_OUT_90   = 0;
            var prc_P3_IN_90    = 0;
            var prc_P3_OUT_90   = 0;

            var T_P0_IN_90 = 0;
            var T_P0_OUT_90 = 0;
            var T_P1_IN_90 = 0;
            var T_P1_OUT_90 = 0;
            var T_P2_IN_90 = 0;
            var T_P2_OUT_90 = 0;
            var T_P3_IN_90 = 0;
            var T_P3_OUT_90 = 0;


            var html = "";
            for(var a = 0; a < data.length; a++) {
                var Type = data[a].Type;
                T_P0_IN_90 += parseInt(data[a].P0_IN_90);
                T_P0_OUT_90 += parseInt(data[a].P0_OUT_90);

                // Calculate totals for P1 variables
                T_P1_IN_90 += parseInt(data[a].P1_IN_90);
                T_P1_OUT_90 += parseInt(data[a].P1_OUT_90);

                // Calculate totals for P2 variables
                T_P2_IN_90 += parseInt(data[a].P2_IN_90);
                T_P2_OUT_90 += parseInt(data[a].P2_OUT_90);

                // Calculate totals for P3 variables
                T_P3_IN_90 += parseInt(data[a].P3_IN_90);
                T_P3_OUT_90 += parseInt(data[a].P3_OUT_90);

                // Calculate percentages for P0 variables
                var P0_IN_90 = parseInt(data[a].P0_IN_90);
                var P0_OUT_90 = parseInt(data[a].P0_OUT_90);

                var prc_P0_IN_90 = P0_IN_90 / (P0_IN_90 + P0_OUT_90);
                var prc_P0_OUT_90 = P0_OUT_90 / (P0_IN_90 + P0_OUT_90);

                // Calculate percentages for P1 variables
                var P1_IN_90 = parseInt(data[a].P1_IN_90);
                var P1_OUT_90 = parseInt(data[a].P1_OUT_90);

                var prc_P1_IN_90 = P1_IN_90 / (P1_IN_90 + P1_OUT_90);
                var prc_P1_OUT_90 = P1_OUT_90 / (P1_IN_90 + P1_OUT_90);

                // Calculate percentages for P2 variables
                var P2_IN_90 = parseInt(data[a].P2_IN_90);
                var P2_OUT_90 = parseInt(data[a].P2_OUT_90);

                var prc_P2_IN_90 = P2_IN_90 / (P2_IN_90 + P2_OUT_90);
                var prc_P2_OUT_90 = P2_OUT_90 / (P2_IN_90 + P2_OUT_90);

                // Calculate percentages for P3 variables
                var P3_IN_90 = parseInt(data[a].P3_IN_90);
                var P3_OUT_90 = parseInt(data[a].P3_OUT_90);

                var prc_P3_IN_90 = P3_IN_90 / (P3_IN_90 + P3_OUT_90);
                var prc_P3_OUT_90 = P3_OUT_90 / (P3_IN_90 + P3_OUT_90);

                var prc_P0_IN_90  = (prc_P0_IN_90 * 100).toFixed(2) + "%";
                var prc_P0_OUT_90 = (prc_P0_OUT_90 * 100).toFixed(2) + "%";
                var prc_P1_IN_90  = (prc_P1_IN_90 * 100).toFixed(2) + "%";
                var prc_P1_OUT_90 = (prc_P1_OUT_90 * 100).toFixed(2) + "%";
                var prc_P2_IN_90  = (prc_P2_IN_90 * 100).toFixed(2) + "%";
                var prc_P2_OUT_90 = (prc_P2_OUT_90 * 100).toFixed(2) + "%";
                var prc_P3_IN_90  = (prc_P3_IN_90 * 100).toFixed(2) + "%";
                var prc_P3_OUT_90 = (prc_P3_OUT_90 * 100).toFixed(2) + "%";


                T_P0_IN_90 += parseInt(data[a].P0_IN_90);
                T_P0_OUT_90 += parseInt(data[a].P0_OUT_90);

                // Calculate totals for P1 variables
                T_P1_IN_90 += parseInt(data[a].P1_IN_90);
                T_P1_OUT_90 += parseInt(data[a].P1_OUT_90);

                // Calculate totals for P2 variables
                T_P2_IN_90 += parseInt(data[a].P2_IN_90);
                T_P2_OUT_90 += parseInt(data[a].P2_OUT_90);

                // Calculate totals for P3 variables
                T_P3_IN_90 += parseInt(data[a].P3_IN_90);
                T_P3_OUT_90 += parseInt(data[a].P3_OUT_90);

               // alert("v ="+Type) ;


                html += '<tr style="font-size: 12px" class="table-row" data-href="">';
                html += "<td class='tdd'  scope='col'>" + Type + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_IN_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P0_IN_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_OUT_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P0_OUT_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P1_IN_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P1_IN_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P1_OUT_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P1_OUT_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P2_IN_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P2_IN_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P2_OUT_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P2_OUT_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P3_IN_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P3_IN_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P3_OUT_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P3_OUT_90 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'></td>";
                html += "</tr>";
               // NbR++;

            }
            html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            html += "<td class='tdd'  scope='col'>TOTAL</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+T_P0_IN_90+"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_P0_OUT_90 +"</td>"
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P1_IN_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_P1_OUT_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P2_IN_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_P2_OUT_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P3_IN_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_P3_OUT_90 +"</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'></td>";
            html += "</tr>";

            document.getElementById("wo_stat_table_P_90_PSI").innerHTML = html;
            /*  getUniqueValuesFromColumnMY() ; */
            /*document.getElementById("loading").style.display = "none";
            document.getElementById("total").innerHTML = NbR;*/
        }
    };


}

function get_wo_table_by_P_100_PSI(start_date, end_date) {
    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_wo_table_by_P_100_PSI.php?start_date=" + start_date + "&end_date=" + end_date, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4) {
            /* document.getElementById("loading").style.display = "flex";  */
        }
        if (this.readyState == 4 && this.status == 200) {
            var data = JSON.parse(this.responseText);

            var prc_P0_IN_100 = 0;
            var prc_P0_OUT_100 = 0;
            var prc_P1_IN_100 = 0;
            var prc_P1_OUT_100 = 0;
            var prc_P2_IN_100 = 0;
            var prc_P2_OUT_100 = 0;
            var prc_P3_IN_100 = 0;
            var prc_P3_OUT_100 = 0;

            var T_P0_IN_100 = 0;
            var T_P0_OUT_100 = 0;
            var T_P1_IN_100 = 0;
            var T_P1_OUT_100 = 0;
            var T_P2_IN_100 = 0;
            var T_P2_OUT_100 = 0;
            var T_P3_IN_100 = 0;
            var T_P3_OUT_100 = 0;


            var html = "";
            for (var a = 0; a < data.length; a++) {
                var Type = data[a].Type;
                T_P0_IN_100 += parseInt(data[a].P0_IN_100);
                T_P0_OUT_100 += parseInt(data[a].P0_OUT_100);

                // Calculate totals for P1 variables
                T_P1_IN_100 += parseInt(data[a].P1_IN_100);
                T_P1_OUT_100 += parseInt(data[a].P1_OUT_100);

                // Calculate totals for P2 variables
                T_P2_IN_100 += parseInt(data[a].P2_IN_100);
                T_P2_OUT_100 += parseInt(data[a].P2_OUT_100);

                // Calculate totals for P3 variables
                T_P3_IN_100 += parseInt(data[a].P3_IN_100);
                T_P3_OUT_100 += parseInt(data[a].P3_OUT_100);

                // Calculate percentages for P0 variables
                var P0_IN_100 = parseInt(data[a].P0_IN_100);
                var P0_OUT_100 = parseInt(data[a].P0_OUT_100);

                var prc_P0_IN_100 = (P0_IN_100 / (P0_IN_100 + P0_OUT_100)) * 100;
                var prc_P0_OUT_100 = (P0_OUT_100 / (P0_IN_100 + P0_OUT_100)) * 100;

                // Calculate percentages for P1 variables
                var P1_IN_100 = parseInt(data[a].P1_IN_100);
                var P1_OUT_100 = parseInt(data[a].P1_OUT_100);

                var prc_P1_IN_100 = (P1_IN_100 / (P1_IN_100 + P1_OUT_100)) * 100;
                var prc_P1_OUT_100 = (P1_OUT_100 / (P1_IN_100 + P1_OUT_100)) * 100;

                // Calculate percentages for P2 variables
                var P2_IN_100 = parseInt(data[a].P2_IN_100);
                var P2_OUT_100 = parseInt(data[a].P2_OUT_100);

                var prc_P2_IN_100 = (P2_IN_100 / (P2_IN_100 + P2_OUT_100)) * 100;
                var prc_P2_OUT_100 = (P2_OUT_100 / (P2_IN_100 + P2_OUT_100)) * 100;

                // Calculate percentages for P3 variables
                var P3_IN_100 = parseInt(data[a].P3_IN_100);
                var P3_OUT_100 = parseInt(data[a].P3_OUT_100);

                var prc_P3_IN_100 = (P3_IN_100 / (P3_IN_100 + P3_OUT_100)) * 100;
                var prc_P3_OUT_100 = (P3_OUT_100 / (P3_IN_100 + P3_OUT_100)) * 100;

                html += '<tr style="font-size: 12px" class="table-row" data-href="">';
                html += "<td class='tdd'  scope='col'>" + Type + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_IN_100 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P0_IN_100.toFixed(2) + "%</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_OUT_100 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P0_OUT_100.toFixed(2) + "%</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P1_IN_100 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P1_IN_100.toFixed(2) + "%</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P1_OUT_100 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P1_OUT_100.toFixed(2) + "%</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P2_IN_100 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P2_IN_100.toFixed(2) + "%</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P2_OUT_100 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P2_OUT_100.toFixed(2) + "%</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P3_IN_100 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P3_IN_100.toFixed(2) + "%</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P3_OUT_100 + "</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + prc_P3_OUT_100.toFixed(2) + "%</td>";
                html += "<td class='tdd' style='background : #ffe6cc'  scope='col'></td>";
                html += "</tr>";

            }
            html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            html += "<td class='tdd'  scope='col'>TOTAL</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>" + T_P0_IN_100 + "</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>" + T_P0_OUT_100 + "</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>" + T_P1_IN_100 + "</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>" + T_P1_OUT_100 + "</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>" + T_P2_IN_100 + "</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>" + T_P2_OUT_100 + "</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>" + T_P3_IN_100 + "</td>";
            html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>" + T_P3_OUT_100 + "</td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'></td>";
            html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'></td>";
            html += "</tr>";

            document.getElementById("wo_stat_table_P_100_PSI").innerHTML = html;

        }
    };
}


function get_atp_table_by_date(start_date,end_date) {
//alert(" start function ATP from = "+start_date+" to "+end_date);
    $.ajax({
        url:"chartjs/php/get_atp_table.php",
        method:"GET",
        data:{
            action:'fetch_atp_table',
            start_date : start_date ,
            end_date   : end_date
        },
        dataType:"JSON",
        beforeSend: function () { // Before we send the request, remove the .hidden class from the spinner and default to inline-block.
            //  alert(" before ");
            // $('#loadd').removeClass('hiddden');
            // document.getElementById("loading").style.display = "flex";

        },
        success:function(data)
        {
            // alert("var ="+data[0].PMdone);

            var BSS_Accepted  = data[0].BSS_Accepted;
            var BSS_AWR       = data[0].BSS_AWR;
            var BSS_Rejected  = data[0].BSS_Rejected;
            var BSS_Postponed = data[0].BSS_Postponed;
            var BSS_Absent    = data[0].BSS_Absent;
            var BSS_NA        = data[0].BSS_NA;
            var BSS_total     = parseInt(BSS_Accepted)+parseInt(BSS_AWR)+
                                parseInt(BSS_Rejected)+parseInt(BSS_Postponed)+
                                parseInt(BSS_Absent)+parseInt(BSS_NA);

            var Trans_Accepted  = data[0].Trans_Accepted;
            var Trans_AWR       = data[0].Trans_AWR;
            var Trans_Rejected  = data[0].Trans_Rejected;
            var Trans_Postponed = data[0].Trans_Postponed;
            var Trans_Absent    = data[0].Trans_Absent;
            var Trans_NA        = data[0].Trans_NA;
            var Trans_total     = parseInt(Trans_Accepted)+parseInt(Trans_AWR)+
                                  parseInt(Trans_Rejected)+parseInt(Trans_Postponed)+
                                  parseInt(Trans_Absent)+parseInt(Trans_NA);

            var CW_Accepted     = data[0].CW_Accepted;
            var CW_AWR          = data[0].CW_AWR;
            var CW_Rejected     = data[0].CW_Rejected;
            var CW_Postponed    = data[0].CW_Postponed;
            var CW_Absent       = data[0].CW_Absent;
            var CW_NA           = data[0].CW_NA;
            var CW_total       = parseInt(CW_Accepted)+parseInt(CW_AWR)+
                                  parseInt(CW_Rejected)+parseInt(CW_Postponed)+
                                  parseInt(CW_Absent)+parseInt(CW_NA);



            document.getElementById("bss_accepted").textContent = BSS_Accepted;
            document.getElementById("bss_awr").textContent = BSS_AWR;
            document.getElementById("bss_rejected").textContent = BSS_Rejected;
            document.getElementById("bss_postponed").textContent = BSS_Postponed;
            document.getElementById("bss_absent").textContent = BSS_Absent;
            document.getElementById("bss_na").textContent = BSS_NA;
            document.getElementById("bss_total").textContent = BSS_total;

            document.getElementById("trans_accepted").textContent = Trans_Accepted;
            document.getElementById("trans_awr").textContent = Trans_AWR;
            document.getElementById("trans_rejected").textContent = Trans_Rejected;
            document.getElementById("trans_postponed").textContent = Trans_Postponed;
            document.getElementById("trans_absent").textContent = Trans_Absent;
            document.getElementById("trans_na").textContent = Trans_NA;
            document.getElementById("trans_total").textContent = Trans_total;

            document.getElementById("cw_accepted").textContent = CW_Accepted;
            document.getElementById("cw_awr").textContent = CW_AWR;
            document.getElementById("cw_rejected").textContent = CW_Rejected;
            document.getElementById("cw_postponed").textContent = CW_Postponed;
            document.getElementById("cw_absent").textContent = CW_Absent;
            document.getElementById("cw_na").textContent = CW_NA;
            document.getElementById("cw_total").textContent = CW_total;





        },
        complete: function () { // Set our complete callback, adding the .hidden class and hiding the spinner.
            //  $('#loadd').addClass('hiddden');
            //  document.getElementById("loading").style.display = "none";

        },
    })
}

function get_atp_chart_by_date(start_date,end_date) {
//alert(" start function ATP from = "+start_date+" to "+end_date);
    $.ajax({
        url:"chartjs/php/get_atp_table.php",
        method:"GET",
        data:{
            action:'fetch_atp_table',
            start_date : start_date ,
            end_date   : end_date
        },
        dataType:"JSON",
        beforeSend: function () { // Before we send the request, remove the .hidden class from the spinner and default to inline-block.
            //  alert(" before ");
            // $('#loadd').removeClass('hiddden');
            // document.getElementById("loading").style.display = "flex";

        },
        success:function(data)
        {
            // alert("var ="+data[0].PMdone);

            var BSS_Accepted  = data[0].BSS_Accepted;
            var BSS_AWR       = data[0].BSS_AWR;
            var BSS_Rejected  = data[0].BSS_Rejected;
            var BSS_Postponed = data[0].BSS_Postponed;
            var BSS_Absent    = data[0].BSS_Absent;
            var BSS_NA        = data[0].BSS_NA;
            var BSS_total     = parseInt(BSS_Accepted)+parseInt(BSS_AWR)+
                parseInt(BSS_Rejected)+parseInt(BSS_Postponed)+
                parseInt(BSS_Absent)+parseInt(BSS_NA);

            var Trans_Accepted  = data[0].Trans_Accepted;
            var Trans_AWR       = data[0].Trans_AWR;
            var Trans_Rejected  = data[0].Trans_Rejected;
            var Trans_Postponed = data[0].Trans_Postponed;
            var Trans_Absent    = data[0].Trans_Absent;
            var Trans_NA        = data[0].Trans_NA;
            var Trans_total     = parseInt(Trans_Accepted)+parseInt(Trans_AWR)+
                parseInt(Trans_Rejected)+parseInt(Trans_Postponed)+
                parseInt(Trans_Absent)+parseInt(Trans_NA);

            var CW_Accepted     = data[0].CW_Accepted;
            var CW_AWR          = data[0].CW_AWR;
            var CW_Rejected     = data[0].CW_Rejected;
            var CW_Postponed    = data[0].CW_Postponed;
            var CW_Absent       = data[0].CW_Absent;
            var CW_NA           = data[0].CW_NA;
            var CW_total        = parseInt(CW_Accepted)+parseInt(CW_AWR)+
                parseInt(CW_Rejected)+parseInt(CW_Postponed)+
                parseInt(CW_Absent)+parseInt(CW_NA);
           // alert("bar ="+Trans_total);
            //chart_bar_3_stacked('div_chart_atp_g', 'chart_atp_g', BSS_Accepted, BSS_AWR, BSS_Rejected, BSS_Postponed, BSS_Absent, BSS_NA, 'accepted', 'awr', 'rejected', 'posteponed', 'absent', 'na', 'red', 'blue', 'red', 'blue','red', 'blue', trgt, vtrgt, gap, vgap, taux, vtaux)
           // chart_bar_atp_2( 'div_chart_atp_g' , 'chart_atp_g' , 10 , 20 , 'BSS' , 'red' , 'green' );

            // document.getElementById("bss_accepted").textContent = BSS_Accepted;
            // document.getElementById("bss_awr").textContent = BSS_AWR;
            // document.getElementById("bss_rejected").textContent = BSS_Rejected;
            // document.getElementById("bss_postponed").textContent = BSS_Postponed;
            // document.getElementById("bss_absent").textContent = BSS_Absent;
            // document.getElementById("bss_na").textContent = BSS_NA;
            // document.getElementById("bss_total").textContent = BSS_total;
            //
            // document.getElementById("trans_accepted").textContent = Trans_Accepted;
            // document.getElementById("trans_awr").textContent = Trans_AWR;
            // document.getElementById("trans_rejected").textContent = Trans_Rejected;
            // document.getElementById("trans_postponed").textContent = Trans_Postponed;
            // document.getElementById("trans_absent").textContent = Trans_Absent;
            // document.getElementById("trans_na").textContent = Trans_NA;
            // document.getElementById("trans_total").textContent = Trans_total;
            //
            // document.getElementById("cw_accepted").textContent = CW_Accepted;
            // document.getElementById("cw_awr").textContent = CW_AWR;
            // document.getElementById("cw_rejected").textContent = CW_Rejected;
            // document.getElementById("cw_postponed").textContent = CW_Postponed;
            // document.getElementById("cw_absent").textContent = CW_Absent;
            // document.getElementById("cw_na").textContent = CW_NA;
            // document.getElementById("cw_total").textContent = CW_total;





        },
        complete: function () { // Set our complete callback, adding the .hidden class and hiding the spinner.
            //  $('#loadd').addClass('hiddden');
            //  document.getElementById("loading").style.display = "none";

        },
    })
}


function get_atp_chart_bar_by_date(start_date,end_date) {
//alert(" start function ATP from = "+start_date+" to "+end_date);
    $.ajax({
        url:"chartjs/php/get_atp_table.php",
        method:"GET",
        data:{
            action:'fetch_atp_table',
            start_date : start_date ,
            end_date   : end_date
        },
        dataType:"JSON",
        beforeSend: function () { // Before we send the request, remove the .hidden class from the spinner and default to inline-block.
            //  alert(" before ");
            // $('#loadd').removeClass('hiddden');
            // document.getElementById("loading").style.display = "flex";

        },
        success:function(data)
        {
            // alert("var ="+data[0].PMdone);

            var BSS_Accepted  = data[0].BSS_Accepted;
            var BSS_AWR       = data[0].BSS_AWR;
            var BSS_Rejected  = data[0].BSS_Rejected;
            var BSS_Postponed = data[0].BSS_Postponed;
            var BSS_Absent    = data[0].BSS_Absent;
            var BSS_NA        = data[0].BSS_NA;
            var BSS_total     = parseInt(BSS_Accepted)+parseInt(BSS_AWR)+
                parseInt(BSS_Rejected)+parseInt(BSS_Postponed)+
                parseInt(BSS_Absent)+parseInt(BSS_NA);

            var Trans_Accepted  = data[0].Trans_Accepted;
            var Trans_AWR       = data[0].Trans_AWR;
            var Trans_Rejected  = data[0].Trans_Rejected;
            var Trans_Postponed = data[0].Trans_Postponed;
            var Trans_Absent    = data[0].Trans_Absent;
            var Trans_NA        = data[0].Trans_NA;
            var Trans_total     = parseInt(Trans_Accepted)+parseInt(Trans_AWR)+
                parseInt(Trans_Rejected)+parseInt(Trans_Postponed)+
                parseInt(Trans_Absent)+parseInt(Trans_NA);

            var CW_Accepted     = data[0].CW_Accepted;
            var CW_AWR          = data[0].CW_AWR;
            var CW_Rejected     = data[0].CW_Rejected;
            var CW_Postponed    = data[0].CW_Postponed;
            var CW_Absent       = data[0].CW_Absent;
            var CW_NA           = data[0].CW_NA;
            var CW_total        = parseInt(CW_Accepted)+parseInt(CW_AWR)+
                parseInt(CW_Rejected)+parseInt(CW_Postponed)+
                parseInt(CW_Absent)+parseInt(CW_NA);
           // alert("bar ="+Trans_total);
           // alert("bar rejected ="+BSS_Rejected);
            var data = [
                ["Accepted" , BSS_Accepted  , BSS_AWR  , BSS_Rejected  , BSS_Postponed],
                ["A.W.R"    , Trans_Accepted, Trans_AWR, Trans_Rejected, Trans_Postponed ],
                ["Rejected" , CW_Accepted   , CW_AWR   , CW_Rejected   , CW_Postponed ],
                ["Postponed" ]

            ];

            // Extracting data for the chart
            var labels = ["BSS ATP", "Trans ATP", "CW ATP"];
            var acceptedData = data.map(row => row[1]);
            var awrData = data.map(row => row[2]);
            var rejectedData = data.map(row => row[3]);
            var postponedData = data.map(row => row[4]);

            // Colors for the bars
            var acceptedColor  = 'rgba(2, 92, 0, 0.8)';
            var awrColor       = 'rgba(75, 192, 192, 0.8)';
            var rejectedColor  = 'rgba(255, 0, 0, 0.8)';
            var postponedColor = 'rgba(255, 150, 10, 0.8)';

            // Drawing the chart
            //chart_bar_atp_2("div_chart_atp_g", "chart_atp_g", acceptedData, awrData, rejectedData, posteponedData, labels, acceptedColor, awrColor, rejectedColor, postponedColor);
            chart_bar_atp_2("div_chart_atp2_g", "chart_atp2_g", acceptedData, awrData, rejectedData, postponedData, labels, acceptedColor, awrColor, rejectedColor, postponedColor);
            document.getElementById("chart_atp2_g").style.width = '50vw';
            document.getElementById("chart_atp2_g").style.height = '50vh';
        },
        complete: function () { // Set our complete callback, adding the .hidden class and hiding the spinner.
            //  $('#loadd').addClass('hiddden');
            //  document.getElementById("loading").style.display = "none";


        },
    })
}

function chart_bar_atp_2(div_canvas, canva, v1, v2, v3, v4, l1, c1, c2, c3, c4) {
    var chart_data = {
        labels: l1,
        datasets: [{
            label: 'Accepted',
            backgroundColor: c1,
            data: v1,
            borderWidth: 1.5,
            borderRadius: 2
        },
            {
                label: 'A.W.R',
                backgroundColor: c2,
                data: v2,
                borderWidth: 1.5,
                borderRadius: 2
            },
            {
                label: 'Rejected',
                backgroundColor: c3,
                data: v3,
                borderWidth: 1.5,
                borderRadius: 2
            },
            {
                label: 'Postponed',
                backgroundColor: c4,
                data: v4,
                borderWidth: 1.5,
                borderRadius: 2
            }
        ]
    };

    var canv_myChart = document.getElementById(canva);
    canv_myChart.remove();

    var div_chart = document.getElementById(div_canvas);
    //div_chart.innerHTML = '<canvas id=' + canva + '></canvas>';
    div_chart.innerHTML = '<canvas id=' + canva + ' width="60vw" height="35vh"></canvas>';

    var group_chart = document.getElementById(canva);

    var optionsbar2 = {
        plugins: {
            datalabels: {
                color: 'black',
                labels: {
                    title: {
                        font: {
                            weight: 'bold',

                        }
                    },
                    value: {
                        color: 'green'
                    }
                }
            },
            legend: {
                position: 'right',
                labels: {
                    boxWidth: 20,
                }
            }
        },
        legend: {
            labels: {
                fontColor: "000000",
                fontSize: 16
            }
        },
        responsive: true,
        scales: {
            x: {
                stacked: true,
            },
            y: {
                stacked: true,
                beginAtZero: true
            }
        }
    };

    var graph_chart = new Chart(group_chart, {
        type: "bar",
        data: chart_data,
        options: optionsbar2,
        plugins: [ChartDataLabels]
    });


}


function get_wo_chart_by_tl_for_bar2(start_date,end_date){

    //var q = document.getElementById(selectelement).value;
    // alert("table tl ") ;

    var ajax = new XMLHttpRequest();
    ajax.open("GET", "chartjs/php/get_wo_table_by_tl.php?start_date="+start_date+"&end_date="+end_date, true);
    ajax.send();

    ajax.onreadystatechange = function() {
        if (this.readyState < 4 ) {
            /* document.getElementById("loading").style.display = "flex";  */
        }
        if (this.readyState == 4 && this.status == 200) {

            var data = JSON.parse(this.responseText);
            // console.log(data);

            var tl_name            = [];
            var total_im           = [];
            var in_sla_90          = [];
            var out_sla_90         = [];
            var array_P0_in_sla_90_prc   = [];
            var array_P0_out_sla_90_prc  = [];

            var colorG  = [];
            var colorR  = [];
            var colorMr = [];

            for(var a = 0; a < data.length; a++) {
                var P0_in_sla_90       = data[a].P0_in_sla_90;
                var P0_out_sla_90      = data[a].P0_out_sla_90;
                var P0_in_sla_90_prc   = (parseInt(P0_in_sla_90)/(parseInt(P0_in_sla_90)+parseInt(P0_out_sla_90))*100).toFixed(2);
                var P0_out_sla_90_prc  = (parseInt(P0_out_sla_90)/(parseInt(P0_in_sla_90)+parseInt(P0_out_sla_90))*100).toFixed(2);

                tl_name.push(data[a].tl_name);
                total_im.push(data[a].total_im);
                in_sla_90.push(data[a].in_sla_90);
                out_sla_90.push(data[a].out_sla_90);
                array_P0_in_sla_90_prc.push(P0_in_sla_90_prc);
                array_P0_out_sla_90_prc.push(P0_out_sla_90_prc);

                colorG.push('rgba(71, 209, 71, 0.9)');
                colorR.push('rgba(255, 0, 0, 0.9)');
                colorMr.push('rgba(128, 0, 0, 0.9)');
            }
            //alert(tl_name+"-"+total_im+"-"+in_sla_90+"-"+out_sla_90+"----"+array_P0_in_sla_90_prc+"-"+array_P0_out_sla_90_prc);
            chart_bar_2( 'div_chart_wo_by_tl' , 'chart_wo_by_tl' , in_sla_90 , out_sla_90 , tl_name , colorG , colorR , 'IN SLA' , 'OUT SLA');
            chart_bar_2( 'div_chart_wo_p0_by_tl' , 'chart_wo_p0_by_tl' , array_P0_in_sla_90_prc , array_P0_out_sla_90_prc , tl_name , colorG , colorR , 'P0 IN SLA' , 'P0 OUT SLA');
            document.getElementById("chart_wo_by_tl").style.width = '40vw';
            document.getElementById("chart_wo_by_tl").style.height = '50vh';
            document.getElementById("chart_wo_by_tl").style.border = 'black 1px solid';

            document.getElementById("chart_wo_p0_by_tl").style.width = '40vw';
            document.getElementById("chart_wo_p0_by_tl").style.height = '50vh';
            document.getElementById("chart_wo_p0_by_tl").style.border = 'black 1px solid';
            // var NbR=0;
            // var T_total_im=0;
            // var  T_in_sla_90=0;
            // var  T_out_sla_90=0;
            // var  T_in_sla_90_prc=0;
            // var  T_P0_in_sla_90=0;
            // var  T_P0_out_sla_90 =0;
            // var  T_P0_in_sla_90_prc=0;
            // var  T_TSI_in_sla_90 =0;
            // var  T_TSI_out_sla_90 =0;
            // var  T_PSI_in_sla_90 =0;
            // var  T_PSI_out_sla_90 =0;
            //
            // var html = "";
            // for(var a = 0; a < data.length; a++) {
            //     var tl_name            = data[a].tl_name;
            //     var total_im          = data[a].total_im;
            //     var in_sla_90         = data[a].in_sla_90;
            //     var out_sla_90        = data[a].out_sla_90;
            //     var out_sla_90_prc    = (parseInt(in_sla_90)/parseInt(total_im)*100).toFixed(2);
            //     var P0_in_sla_90      = data[a].P0_in_sla_90;
            //     var P0_out_sla_90     = data[a].P0_out_sla_90;
            //     var P0_in_sla_90_prc  = (parseInt(P0_in_sla_90)/(parseInt(P0_in_sla_90)+parseInt(P0_out_sla_90))*100).toFixed(2);
            //     var TSI_in_sla_90     = data[a].TSI_in_sla_90;
            //     var TSI_out_sla_90    = data[a].TSI_out_sla_90;
            //     var PSI_in_sla_90     = data[a].PSI_in_sla_90;
            //     var PSI_out_sla_90    = data[a].PSI_out_sla_90;
            //
            //
            //     T_total_im             =T_total_im+parseInt(data[a].total_im);
            //     T_in_sla_90            =T_in_sla_90+parseInt(data[a].in_sla_90);
            //     T_out_sla_90           =T_out_sla_90+parseInt(data[a].out_sla_90);
            //     T_P0_in_sla_90         =T_P0_in_sla_90+parseInt(data[a].P0_in_sla_90);
            //     T_P0_out_sla_90        =T_P0_out_sla_90+parseInt(data[a].P0_out_sla_90);
            //     T_TSI_in_sla_90        =T_TSI_in_sla_90+parseInt(data[a].TSI_in_sla_90);
            //     T_TSI_out_sla_90       =T_TSI_out_sla_90+parseInt(data[a].TSI_out_sla_90);
            //     T_PSI_in_sla_90        =T_PSI_in_sla_90+parseInt(data[a].PSI_in_sla_90);
            //     T_PSI_out_sla_90       =T_PSI_out_sla_90+parseInt(data[a].PSI_out_sla_90);
            //
            //     html += '<tr style="font-size: 12px" class="table-row" data-href="">';
            //     html += "<td class='tdd'  scope='col'>" + tl_name + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_im + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + in_sla_90 + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + out_sla_90 + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + out_sla_90_prc + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_in_sla_90 + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_out_sla_90 + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + P0_in_sla_90_prc + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + TSI_in_sla_90 + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + TSI_out_sla_90 + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + PSI_in_sla_90 + "</td>";
            //     html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + PSI_out_sla_90 + "</td>";
            //     html += "</tr>";
            //     NbR++;
            //
            // }
            // T_in_sla_90_prc        = (parseInt(T_in_sla_90)/parseInt(T_total_im)*100).toFixed(2);
            // T_P0_in_sla_90_prc     = (parseInt(T_P0_in_sla_90)/(parseInt(T_P0_in_sla_90)+parseInt(T_P0_out_sla_90))*100).toFixed(2);
            // html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
            // html += "<td class='tdd'  scope='col'>TOTAL</td>";
            // html += "<td class='tdd'  scope='col'>"+T_total_im+"</td>";
            // html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_in_sla_90 +"</td>";
            // html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_out_sla_90 +"</td>"
            // html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_in_sla_90_prc +"</td>"
            // html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P0_in_sla_90 +"</td>";
            // html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_P0_out_sla_90 +"</td>";
            // html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_P0_in_sla_90_prc +"</td>";
            // html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_TSI_in_sla_90 +"</td>";
            // html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_TSI_out_sla_90 +"</td>";
            // html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_PSI_in_sla_90 +"</td>";
            // html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_PSI_out_sla_90 +"</td>";
            // html += "</tr>";
            //
            // document.getElementById("wo_stat_table_by_tl").innerHTML = html;
            /*  getUniqueValuesFromColumnMY() ; */
            /*document.getElementById("loading").style.display = "none";
            document.getElementById("total").innerHTML = NbR;*/
        }
    };


}

function chart_bar_2( div_canvas , canva , v1 , v2 , l1 , c1 , c2 , label1, label2) {

    var chart_data = {
        labels:l1,
        datasets:[
            {
                label:label1,
                backgroundColor: c1,
                data: v1,
                //borderColor: 'black',
                borderWidth: 1.5,
                borderRadius : 2,
                barThickness: 50 // Set the width of the bars to 50px
            },
            {
                label:label2,
                backgroundColor: c2,
                data: v2,
                //borderColor: 'black',
                borderWidth: 1.5,
                borderRadius : 2,
                barThickness: 50 // Set the width of the bars to 50px
            }
        ]
    };

    var canv_myChart = document.getElementById(canva);
    canv_myChart.remove();

    var div_chart = document.getElementById(div_canvas);
    div_chart.innerHTML = '<canvas id='+canva+'></canvas>';

    var group_chart = document.getElementById(canva);

    var optionsbar2 = {
        //***************
        plugins: {
            datalabels: {
                color: 'black',
                labels: {
                    title: {
                        font: {
                            weight: 'bold',

                        }
                    },
                    value: {
                        color: 'green'
                    }
                }
            },
            legend : {
                position : 'right',
                labels : {boxWidth : 20 ,
                    // usePointStyle : true , pointStyle : 'circle'
                }
            }
        },
        legend: {
            labels: {
                fontColor: "000000",
                fontSize: 16
            }
        },
        //***************
        responsive:true,
        scales: {
            x: {
                stacked: true ,// this should be set to make the bars stacked

            },
            y: {
                stacked: true, // this also..
                beginAtZero: true
                // ticks: {
                //     major: {
                //       fontStyle: 'bold',
                //       fontColor: '#FF0000'
                //     }
                //   }
            }

        },

    };

    var graph_chart = new Chart(group_chart, {
        type:"bar",
        data:chart_data,
        options:optionsbar2,
        plugins: [ChartDataLabels]
    });

}



// //alert(" the pm_chatsjs.js file have called...");
//
// function calculateWeekdays(startDate, endDate) {
//     const millisecondsPerDay = 24 * 60 * 60 * 1000; // Number of milliseconds in one day
//     let currentDate = new Date(startDate); // Start with the startDate
//     let weekdaysCount = 0; // Initialize weekdays count to zero
//
//     // Loop through each date from startDate to endDate
//     while (currentDate <= endDate) {
//         const dayOfWeek = currentDate.getDay(); // Get the day of the week (0 for Sunday, 6 for Saturday)
//
//         // Check if the current day is not a weekend (Saturday or Sunday)
//         if (dayOfWeek !== 0 && dayOfWeek !== 6) {
//             weekdaysCount++; // Increment weekdays count
//         }
//
//         // Move to the next day
//         currentDate.setTime(currentDate.getTime() + millisecondsPerDay);
//     }
//
//     return weekdaysCount;
// }
//
// function calculateDaysSinceStart(start_q,end_q) {
//     const today = new Date();
//     const year = today.getFullYear();
//     const month = (today.getMonth() + 1).toString().padStart(2, '0');
//     const day = today.getDate().toString().padStart(2, '0');
//
//     const currentDate = `${year}-${month}-${day}`;
//     const start_quarter_date = start_q;
//     const end_quarter_date   = end_q;
//     //console.log("current date = " + currentDate + " - start date = " + start_quarter_date);
//     alert("current date = " + currentDate + " - start date = " + start_quarter_date+" - end date = "+end_quarter_date);
//     const start_date = new Date(start_quarter_date);
//     const end_date   = new Date(end_quarter_date);
//     const current_Date = new Date(currentDate);
//     const end_current_date =end_date-current_Date;
//     alert(" end_current_date = "+end_current_date);
//     var diffInMilliseconds =0;
//     if(end_current_date>=0){
//          diffInMilliseconds = current_Date - start_date;
//     }else if(end_current_date<0){
//          diffInMilliseconds = end_date - start_date;
//     }
//
//
//     //const diffInMilliseconds = date2 - date1;
//     const diffInSeconds = diffInMilliseconds / 1000;
//     const diffInMinutes = diffInSeconds / 60;
//     const diffInHours = diffInMinutes / 60;
//     const diffInDays = diffInHours / 24;
// alert(" diff date = "+diffInDays);
//     return diffInDays;
// }
//
//
// function get_quarter_info(q) {
// //alert(" start function chart_pm q = "+q);
//     $.ajax({
//         url:"chartjs/php/get_quarter_info.php",
//         method:"POST",
//         data:{
//             action:'fetch_quarter_info',
//             quarter : q
//         },
//         dataType:"JSON",
//         beforeSend: function () { // Before we send the request, remove the .hidden class from the spinner and default to inline-block.
//             //  alert(" before ");
//             // $('#loadd').removeClass('hiddden');
//             // document.getElementById("loading").style.display = "flex";
//
//         },
//         success:function(data)
//         {
//             // alert("q info  ="+data[0].q_name+data[0].start_date);
//
//             var q_name        = data[0].q_name;
//             var start_date    = data[0].start_date;
//             var end_date      = data[0].end_date;
// //alert("start date = "+start_date+" end date = "+end_date);
//             document.getElementById("start_q").value = start_date;
//             document.getElementById("end_q").value = end_date;
//
//         },
//         complete: function () { // Set our complete callback, adding the .hidden class and hiding the spinner.
//
//
//         },
//     })
// }


//////////////////////////

//
// function get_pm_stat_table_by_wilaya(q,selectelement){
//
//     var q = document.getElementById(selectelement).value;
//     // alert("table stat q = "+q) ;
//
//     var ajax = new XMLHttpRequest();
//     ajax.open("GET", "chartjs/php/get_stat_table.php?q="+q, true);
//     ajax.send();
//
//     ajax.onreadystatechange = function() {
//         if (this.readyState < 4 ) {
//             /* document.getElementById("loading").style.display = "flex";  */
//         }
//         if (this.readyState == 4 && this.status == 200) {
//
//             var data = JSON.parse(this.responseText);
//             //  console.log(data);
//
//             var NbR=0;
//             var T_PM=0;
//             var  T_env_done=0;
//             var  T_env_acc=0;
//             var  T_env_rej=0;
//             var  T_telco_done =0;
//             var  T_telco_acc =0;
//             var  T_telco_rej =0;
//             var  T_pm_global_acc =0;
//             var  T_gap_env_telco =0;
//             var  T_P0_Planned =0;
//             var  T_P0_done =0;
//             var  T_P0_acc =0;
//             var  T_P1_Planned =0;
//             var  T_P1_done =0;
//             var  T_P1_acc =0;
//             var  T_issues =0;
//             var html = "";
//             for(var a = 0; a < data.length; a++) {
//                 var wilaya            = data[a].wilaya;
//                 var total_PM          = data[a].total_PM;
//                 var env_done          = data[a].env_done;
//                 var env_acc           = data[a].env_acc;
//                 var env_rej           = data[a].env_rej;
//                 var telco_done        = data[a].telco_done;
//                 var telco_acc         = data[a].telco_acc;
//                 var telco_rej         = data[a].telco_rej;
//                 var pm_global_acc     = data[a].pm_global_acc;
//                 var gap_env_telco     = data[a].gap_env_telco;
//                 var P0_Planned        = data[a].P0_Planned;
//                 var P0_done           = data[a].P0_done;
//                 var P0_acc            = data[a].P0_acc;
//                 var P1_Planned        = data[a].P1_Planned;
//                 var P1_done           = data[a].P1_done;
//                 var P1_acc            = data[a].P1_acc;
//                 var issues            = data[a].issues;
//                 //alert("env="+env_acc);
//                 T_PM                  =T_PM+parseInt(data[a].total_PM);
//                 T_env_done            =T_env_done+parseInt(data[a].env_done);
//                 T_env_acc             =T_env_acc+parseInt(data[a].env_acc);
//                 T_env_rej             =T_env_rej+parseInt(data[a].env_rej);
//                 T_telco_done          =T_telco_done+parseInt(data[a].telco_done);
//                 T_telco_acc           =T_telco_acc+parseInt(data[a].telco_acc);
//                 T_telco_rej           =T_telco_rej+parseInt(data[a].telco_rej);
//                 T_pm_global_acc       =T_pm_global_acc+parseInt(data[a].pm_global_acc);
//                 T_gap_env_telco       =T_gap_env_telco+parseInt(data[a].gap_env_telco);
//                 T_P0_Planned          =T_P0_Planned+parseInt(data[a].P0_Planned);
//                 T_P0_done             =T_P0_done+parseInt(data[a].P0_done);
//                 T_P0_acc              =T_P0_acc+parseInt(data[a].P0_acc);
//                 T_P1_Planned          =T_P1_Planned+parseInt(data[a].P1_Planned);
//                 T_P1_done             =T_P1_done+parseInt(data[a].P1_done);
//                 T_P1_acc              =T_P1_acc+parseInt(data[a].P1_acc);
//                 T_issues              =T_issues+parseInt(data[a].issues);
//                 html += '<tr style="font-size: 12px" class="table-row" data-href="">';
//                 html += "<td class='tdd'  scope='col'>" + wilaya + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_PM + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_done + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_acc + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_rej + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_done + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_acc + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_rej + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + pm_global_acc + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + gap_env_telco + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc'  scope='col'>" + P0_Planned + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_done + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_acc + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_Planned + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_done + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_acc + "</td>";
//                 html += "<td class='tdd' style='background : #e6e6ff'  scope='col'>" + issues + "</td>";
//                 html += "</tr>";
//                 NbR++;
//
//             }
//             html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
//             html += "<td class='tdd'  scope='col'>TOTAL</td>";
//             html += "<td class='tdd'  scope='col'>"+T_PM+"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_env_done +"</td>";
//             html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_env_acc +"</td>"
//             html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_env_rej +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_telco_done +"</td>";
//             html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_telco_acc +"</td>";
//             html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_telco_rej +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_pm_global_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_gap_env_telco +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_Planned +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_done +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_Planned +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_done +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_issues +"</td>";
//             html += "</tr>";
//
//             document.getElementById("pm_stat_table").innerHTML = html;
//             /*  getUniqueValuesFromColumnMY() ; */
//             /*document.getElementById("loading").style.display = "none";
//             document.getElementById("total").innerHTML = NbR;*/
//         }
//     };
//
//
// }
//
// function get_pm_stat_table_by_date(q , from_date , to_date  ){
//     var q = document.getElementById('pm_quarter').value;
//     //  var from_date = document.getElementById("start_q").value;
//     //  var to_date   = document.getElementById("end_q").value;
//       var from_date = from_date;
//       var to_date   = to_date;
//     // alert("table stat q = "+q+from_date+to_date) ;
//
//     var ajax = new XMLHttpRequest();
//     ajax.open("GET", "chartjs/php/get_stat_table_by_date.php?q="+q+"&from_date="+from_date+"&to_date="+to_date, true);
//     ajax.send();
//
//     ajax.onreadystatechange = function() {
//         if (this.readyState < 4 ) {
//             /* document.getElementById("loading").style.display = "flex";  */
//         }
//         if (this.readyState == 4 && this.status == 200) {
//
//             var data = JSON.parse(this.responseText);
//             //  console.log(data);
//
//             var NbR=0;
//             var T_PM=0;
//             var  T_env_done=0;
//             var  T_env_acc=0;
//             var  T_env_rej=0;
//             var  T_telco_done =0;
//             var  T_telco_acc =0;
//             var  T_telco_rej =0;
//             var  T_pm_global_acc =0;
//             var  T_gap_env_telco =0;
//             var  T_P0_Planned =0;
//             var  T_P0_done =0;
//             var  T_P0_acc =0;
//             var  T_P1_Planned =0;
//             var  T_P1_done =0;
//             var  T_P1_acc =0;
//             var  T_issues =0;
//             var html = "";
//             for(var a = 0; a < data.length; a++) {
//                 var PM_date            = data[a].PM_date;
//                 var total_PM          = data[a].total_PM;
//                 var env_done          = data[a].env_done;
//                 var env_acc           = data[a].env_acc;
//                 var env_rej           = data[a].env_rej;
//                 var telco_done        = data[a].telco_done;
//                 var telco_acc         = data[a].telco_acc;
//                 var telco_rej         = data[a].telco_rej;
//                 var pm_global_acc     = data[a].pm_global_acc;
//                 var gap_env_telco     = data[a].gap_env_telco;
//                 var P0_Planned        = data[a].P0_Planned;
//                 var P0_done           = data[a].P0_done;
//                 var P0_acc            = data[a].P0_acc;
//                 var P1_Planned        = data[a].P1_Planned;
//                 var P1_done           = data[a].P1_done;
//                 var P1_acc            = data[a].P1_acc;
//                 var issues            = data[a].issues;
//
//                 T_PM                  =T_PM+parseInt(data[a].total_PM);
//                 T_env_done            =T_env_done+parseInt(data[a].env_done);
//                 T_env_acc             =T_env_acc+parseInt(data[a].env_acc);
//                 T_env_rej             =T_env_rej+parseInt(data[a].env_rej);
//                 T_telco_done          =T_telco_done+parseInt(data[a].telco_done);
//                 T_telco_acc           =T_telco_acc+parseInt(data[a].telco_acc);
//                 T_telco_rej           =T_telco_rej+parseInt(data[a].telco_rej);
//                 T_pm_global_acc       =T_pm_global_acc+parseInt(data[a].pm_global_acc);
//                 T_gap_env_telco       =T_gap_env_telco+parseInt(data[a].gap_env_telco);
//                 T_P0_Planned          =T_P0_Planned+parseInt(data[a].P0_Planned);
//                 T_P0_done             =T_P0_done+parseInt(data[a].P0_done);
//                 T_P0_acc              =T_P0_acc+parseInt(data[a].P0_acc);
//                 T_P1_Planned          =T_P1_Planned+parseInt(data[a].P1_Planned);
//                 T_P1_done             =T_P1_done+parseInt(data[a].P1_done);
//                 T_P1_acc              =T_P1_acc+parseInt(data[a].P1_acc);
//                 T_issues              =T_issues+parseInt(data[a].issues);
//
//                 html += '<tr style="font-size: 12px" class="table-row" data-href="">';
//                 html += "<td class='tdd'  scope='col'>" + PM_date + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_PM + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_done + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_acc + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_rej + "</td>";
//
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + pm_global_acc + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + gap_env_telco + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc'  scope='col'>" + P0_Planned + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_done + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_acc + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_Planned + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_done + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_acc + "</td>";
//                 html += "<td class='tdd' style='background : #e6e6ff'  scope='col'>" + issues + "</td>";
//                 html += "</tr>";
//                 NbR++;
//
//             }
//             html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
//             html += "<td class='tdd'  scope='col'>TOTAL</td>";
//             html += "<td class='tdd'  scope='col'>"+T_PM+"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_env_done +"</td>";
//             html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_env_acc +"</td>"
//             html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_env_rej +"</td>";
//
//             html += "<td class='tdd'  scope='col'>"+ T_pm_global_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_gap_env_telco +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_Planned +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_done +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_Planned +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_done +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_issues +"</td>";
//             html += "</tr>";
//
//             document.getElementById("pm_stat_table_by_date").innerHTML = html;
//             /*  getUniqueValuesFromColumnMY() ; */
//             /*document.getElementById("loading").style.display = "none";
//             document.getElementById("total").innerHTML = NbR;*/
//         }
//     };
//
//
// }
//
// function get_pm_telco_stat_table_by_date(q , from_date , to_date  ){
//     var q = document.getElementById('pm_quarter').value;
//     //  var from_date = document.getElementById("start_q").value;
//     //  var to_date   = document.getElementById("end_q").value;
//     var from_date = from_date;
//     var to_date   = to_date;
//    // alert("table stat q = "+q+from_date+to_date) ;
//
//     var ajax = new XMLHttpRequest();
//     ajax.open("GET", "chartjs/php/get_pm_telco_stat_table_by_date.php?q="+q+"&from_date="+from_date+"&to_date="+to_date, true);
//     ajax.send();
//
//     ajax.onreadystatechange = function() {
//         if (this.readyState < 4 ) {
//             /* document.getElementById("loading").style.display = "flex";  */
//         }
//         if (this.readyState == 4 && this.status == 200) {
//
//             var data = JSON.parse(this.responseText);
//             //  console.log(data);
//
//             var NbR=0;
//             var T_PM=0;
//             var  T_env_done=0;
//             var  T_env_acc=0;
//             var  T_env_rej=0;
//             var  T_telco_done =0;
//             var  T_telco_acc =0;
//             var  T_telco_rej =0;
//             var  T_pm_global_acc =0;
//             var  T_gap_env_telco =0;
//             var  T_P0_Planned =0;
//             var  T_P0_done =0;
//             var  T_P0_acc =0;
//             var  T_P1_Planned =0;
//             var  T_P1_done =0;
//             var  T_P1_acc =0;
//             var  T_issues =0;
//             var html = "";
//             for(var a = 0; a < data.length; a++) {
//                 var BSS_SM9_date            = data[a].BSS_SM9_date;
//                 var total_PM          = data[a].total_PM;
//                 var env_done          = data[a].env_done;
//                 var env_acc           = data[a].env_acc;
//                 var env_rej           = data[a].env_rej;
//                 var telco_done        = data[a].telco_done;
//                 var telco_acc         = data[a].telco_acc;
//                 var telco_rej         = data[a].telco_rej;
//                 var pm_global_acc     = data[a].pm_global_acc;
//                 var gap_env_telco     = data[a].gap_env_telco;
//                 var P0_Planned        = data[a].P0_Planned;
//                 var P0_done           = data[a].P0_done;
//                 var P0_acc            = data[a].P0_acc;
//                 var P1_Planned        = data[a].P1_Planned;
//                 var P1_done           = data[a].P1_done;
//                 var P1_acc            = data[a].P1_acc;
//                 var issues            = data[a].issues;
//
//                 T_PM                  =T_PM+parseInt(data[a].total_PM);
//                 T_env_done            =T_env_done+parseInt(data[a].env_done);
//                 T_env_acc             =T_env_acc+parseInt(data[a].env_acc);
//                 T_env_rej             =T_env_rej+parseInt(data[a].env_rej);
//                 T_telco_done          =T_telco_done+parseInt(data[a].telco_done);
//                 T_telco_acc           =T_telco_acc+parseInt(data[a].telco_acc);
//                 T_telco_rej           =T_telco_rej+parseInt(data[a].telco_rej);
//                 T_pm_global_acc       =T_pm_global_acc+parseInt(data[a].pm_global_acc);
//                 T_gap_env_telco       =T_gap_env_telco+parseInt(data[a].gap_env_telco);
//                 T_P0_Planned          =T_P0_Planned+parseInt(data[a].P0_Planned);
//                 T_P0_done             =T_P0_done+parseInt(data[a].P0_done);
//                 T_P0_acc              =T_P0_acc+parseInt(data[a].P0_acc);
//                 T_P1_Planned          =T_P1_Planned+parseInt(data[a].P1_Planned);
//                 T_P1_done             =T_P1_done+parseInt(data[a].P1_done);
//                 T_P1_acc              =T_P1_acc+parseInt(data[a].P1_acc);
//                 T_issues              =T_issues+parseInt(data[a].issues);
//
//                 html += '<tr style="font-size: 12px" class="table-row" data-href="">';
//                 html += "<td class='tdd'  scope='col'>" + BSS_SM9_date + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_PM + "</td>";
//
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_done + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_acc + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_rej + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + pm_global_acc + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + gap_env_telco + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc'  scope='col'>" + P0_Planned + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_done + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_acc + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_Planned + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_done + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_acc + "</td>";
//                 html += "<td class='tdd' style='background : #e6e6ff'  scope='col'>" + issues + "</td>";
//                 html += "</tr>";
//                 NbR++;
//
//             }
//             html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
//             html += "<td class='tdd'  scope='col'>TOTAL</td>";
//             html += "<td class='tdd'  scope='col'>"+T_PM+"</td>";
//
//             html += "<td class='tdd'  scope='col'>"+ T_telco_done +"</td>";
//             html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_telco_acc +"</td>";
//             html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_telco_rej +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_pm_global_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_gap_env_telco +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_Planned +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_done +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_Planned +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_done +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_issues +"</td>";
//             html += "</tr>";
//
//             document.getElementById("pm_telco_stat_table_by_date").innerHTML = html;
//             /*  getUniqueValuesFromColumnMY() ; */
//             /*document.getElementById("loading").style.display = "none";
//             document.getElementById("total").innerHTML = NbR;*/
//         }
//     };
//
//
// }
//
// function get_pm_stat_table_by_fmt(q,selectelement){
//
//     var q = document.getElementById(selectelement).value;
//     // alert("table stat q = "+q) ;
//
//     var ajax = new XMLHttpRequest();
//     ajax.open("GET", "chartjs/php/get_stat_table_by_fmt.php?q="+q, true);
//     ajax.send();
//
//     ajax.onreadystatechange = function() {
//         if (this.readyState < 4 ) {
//             /* document.getElementById("loading").style.display = "flex";  */
//         }
//         if (this.readyState == 4 && this.status == 200) {
//
//             var data = JSON.parse(this.responseText);
//             //  console.log(data);
//
//             var NbR=0;
//             var T_PM=0;
//             var  T_env_done=0;
//             var  T_env_acc=0;
//             var  T_env_rej=0;
//             var  T_telco_done =0;
//             var  T_telco_acc =0;
//             var  T_telco_rej =0;
//             var  T_pm_global_acc =0;
//             var  T_gap_env_telco =0;
//             var  T_P0_Planned =0;
//             var  T_P0_done =0;
//             var  T_P0_acc =0;
//             var  T_P1_Planned =0;
//             var  T_P1_done =0;
//             var  T_P1_acc =0;
//             var  T_issues =0;
//             var html = "";
//             for(var a = 0; a < data.length; a++) {
//                 var PM_ENV_Emp            = data[a].PM_ENV_Emp;
//                 var total_PM          = data[a].total_PM;
//                 var env_done          = data[a].env_done;
//                 var env_acc           = data[a].env_acc;
//                 var env_rej           = data[a].env_rej;
//                 var telco_done        = data[a].telco_done;
//                 var telco_acc         = data[a].telco_acc;
//                 var telco_rej         = data[a].telco_rej;
//                 var pm_global_acc     = data[a].pm_global_acc;
//                 var gap_env_telco     = data[a].gap_env_telco;
//                 var P0_Planned        = data[a].P0_Planned;
//                 var P0_done           = data[a].P0_done;
//                 var P0_acc            = data[a].P0_acc;
//                 var P1_Planned        = data[a].P1_Planned;
//                 var P1_done           = data[a].P1_done;
//                 var P1_acc            = data[a].P1_acc;
//                 var issues            = data[a].issues;
//                 //alert("env="+env_acc);
//                 T_PM                  =T_PM+parseInt(data[a].total_PM);
//                 T_env_done            =T_env_done+parseInt(data[a].env_done);
//                 T_env_acc             =T_env_acc+parseInt(data[a].env_acc);
//                 T_env_rej             =T_env_rej+parseInt(data[a].env_rej);
//                 T_telco_done          =T_telco_done+parseInt(data[a].telco_done);
//                 T_telco_acc           =T_telco_acc+parseInt(data[a].telco_acc);
//                 T_telco_rej           =T_telco_rej+parseInt(data[a].telco_rej);
//                 T_pm_global_acc       =T_pm_global_acc+parseInt(data[a].pm_global_acc);
//                 T_gap_env_telco       =T_gap_env_telco+parseInt(data[a].gap_env_telco);
//                 T_P0_Planned          =T_P0_Planned+parseInt(data[a].P0_Planned);
//                 T_P0_done             =T_P0_done+parseInt(data[a].P0_done);
//                 T_P0_acc              =T_P0_acc+parseInt(data[a].P0_acc);
//                 T_P1_Planned          =T_P1_Planned+parseInt(data[a].P1_Planned);
//                 T_P1_done             =T_P1_done+parseInt(data[a].P1_done);
//                 T_P1_acc              =T_P1_acc+parseInt(data[a].P1_acc);
//                 T_issues              =T_issues+parseInt(data[a].issues);
//                 if(PM_ENV_Emp===null || PM_ENV_Emp===""){
//                     PM_ENV_Emp="Not dispatched";
//                 }
//                 html += '<tr style="font-size: 12px" class="table-row" data-href="">';
//                 html += "<td class='tdd'  scope='col'>" + PM_ENV_Emp + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + total_PM + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_done + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_acc + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + env_rej + "</td>";
//                 // html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_done + "</td>";
//                 // html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_acc + "</td>";
//                 // html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + telco_rej + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + pm_global_acc + "</td>";
//                 html += "<td class='tdd' style='background : #ffe6cc'  scope='col'>" + gap_env_telco + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc'  scope='col'>" + P0_Planned + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_done + "</td>";
//                 html += "<td class='tdd' style='background : #ffcccc' scope='col'>" + P0_acc + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_Planned + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_done + "</td>";
//                 html += "<td class='tdd' style='background : #cce6ff'  scope='col'>" + P1_acc + "</td>";
//                 html += "<td class='tdd' style='background : #e6e6ff'  scope='col'>" + issues + "</td>";
//                 html += "</tr>";
//                 NbR++;
//
//             }
//             html += '<tr style="font-size: 14px ; background : radial-gradient(#1fe4f5, #3fbafe) " class="table-row" data-href="">';
//             html += "<td class='tdd'  scope='col'>TOTAL</td>";
//             html += "<td class='tdd'  scope='col'>"+T_PM+"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_env_done +"</td>";
//             html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_env_acc +"</td>"
//             html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_env_rej +"</td>";
//             // html += "<td class='tdd'  scope='col'>"+ T_telco_done +"</td>";
//             // html += "<td class='tdd'  scope='col' style='color: green;font-weight: bold;'>"+ T_telco_acc +"</td>";
//             // html += "<td class='tdd'  scope='col' style='color: red;font-weight: bold;'>"+ T_telco_rej +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_pm_global_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_gap_env_telco +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_Planned +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_done +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P0_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_Planned +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_done +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_P1_acc +"</td>";
//             html += "<td class='tdd'  scope='col'>"+ T_issues +"</td>";
//             html += "</tr>";
//
//             document.getElementById("pm_stat_table_by_fmt").innerHTML = html;
//             /*  getUniqueValuesFromColumnMY() ; */
//             /*document.getElementById("loading").style.display = "none";
//             document.getElementById("total").innerHTML = NbR;*/
//         }
//     };
//
//
// }
